nvidia-graphics-drivers (455.45.01-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 21 Nov 2020 14:54:29 -0800

nvidia-graphics-drivers (455.45.01-1) experimental; urgency=medium

  * New upstream short lived branch release 455.45.01 (2020-11-17).
    - Fixed a bug in a Vulkan blending optimization that could produce incorrect
      results. Some of the Vulkan titles affected by this bug were:
      Life is Strange 2, Shadow of the Tomb Raider.
    - Fixed an issue that caused Vulkan swapchain creation to fail for
      full-screen windows when a G-SYNC monitor is connected.
    * Supposedly fixes nvidia-uvm usability with Linux 5.9.  (Closes: #973729)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 20 Nov 2020 22:12:34 +0100

nvidia-graphics-drivers (455.38-1) experimental; urgency=medium

  * New upstream short lived branch release 455.38 (2020-10-29).
    - Added support for the following GPU: GeForce RTX 3070.
    - Added support for using an NVIDIA-driven display as a PRIME Display
      Offload sink with a PRIME Display Offload source driven by the
      xf86-video-intel driver.
    - Fixed a bug in a Vulkan barrier optimization that allowed some
      back-to-back copies to run unordered.
  * New upstream release 450 series.
    - Fixed a performance regression in the NVIDIA X driver which affected
      some X11 RENDER extension use cases.
    - Added AMD Secure Memory Encryption compatibility.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 03 Nov 2020 08:34:40 +0100

nvidia-graphics-drivers (455.28-1) experimental; urgency=medium

  * New upstream short lived branch release 455.28 (2020-10-07).
    - Fixed a bug that caused X to crash when the NVIDIA RandR provider was
      disabled while using an NVIDIA-driven display as a PRIME Display Offload
      sink.  (Closes: #972860)
  * New upstream release 450 series.
    - Fixed a bug where glGetGraphicsResetStatusARB would incorrectly
      return GL_PURGED_CONTEXT_RESET_NV immediately after application
      start-up if the system had previously been suspended.
    - Added support for the following GPUs: A100-PCIE-40GB,
      A100 Graphics Device.

  [ Luca Boccassi ]
  * Update nv-readme.ids.

  [ Andreas Beckmann ]
  * libcuda1: Add Provides: libcuda-11.1-1{,-i386}.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Nov 2020 13:57:40 +0100

nvidia-graphics-drivers (455.23.04-1) experimental; urgency=medium

  * New upstream beta 455.23.04 (2020-09-17).
    - Added support for the following GPUs: GeForce RTX 3080, GeForce RTX 3090.
    - Fixed a bug that prevented 8K displays from being used in portrait
      orientation on Pascal and earlier GPUs.
    - Fixed a bug which caused excessive CPU usage in Vulkan applications
      which create a large number of VkFence objects. This was particularly
      prevalent in the Steam Play title Red Dead Redemption 2.
    - Added support for a new device-local VkMemoryType which is host-coherent
      and host-visible. This may result in improved performance in some
      applications. Applications which are known to benefit from this new
      VkMemoryType include: DXVK Title DiRT Rally 2.0, Steam Play Title
      DOOM: Eternal, and DXVK title World of Warcraft.
    - Fixed a bug that caused WebKit-based applications to crash when
      running on Wayland.
    - Fixed a bug that led to display corruption at some resolutions when
      using an NVIDIA-driven display as a PRIME Display Offload sink.
    - Fixed a bug in a SPIR-V optimization that may cause conditional blocks to
      not execute.
    - Fixed a bug where calls to vkGetRandROutputDisplayEXT with unexpected
      inputs would generate X11 protocol errors.
      (https://bugs.winehq.org/show_bug.cgi?id=49407)
    - Fixed a small memory leak during exit of the NVIDIA EGL driver.
    - Implemented support for the NVIDIA NGX Updater. See the "NGX" chapter in
      the README for information on how to configure this feature.
    - Removed support for the SLI modes "SFR", "AFR", and "AA".  SLI Mosaic,
      Base Mosaic, GL_NV_gpu_multicast, and GLX_NV_multigpu_context are still
      supported.
    - Updated Base Mosaic support on GeForce to allow a maximum of
      five simultaneous displays, rather than three.
    - Fixed several synchronization bugs that could momentarily lock
      up the X server when moving/resizing/focusing OpenGL and Vulkan
      windows when PRIME Sync was enabled.
    - Added NVIDIA VDPAU driver support for decoding VP9 10- and 12-bit
      bitstreams.
      Note that VDPAU's presentation pipeline and OpenGL-VDPAU interop
      does not support 10- and 12-bit video surfaces yet. See the "VDPAU
      Support" appendix in the README for supported decoder profiles.
    - Fixed a bug that could cause dual-link DVI to be driven over a
      connector that only supports single-link DVI, when "NoMaxPClkCheck" is
      specified in the "ModeValidation" X configuration option.  Note this fix
      may cause behavioral changes for configurations using this option.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update symbols files.
  * Update lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 24 Sep 2020 21:52:54 +0200

nvidia-graphics-drivers (450.80.02-1) unstable; urgency=medium

  * New upstream long lived branch release 450.80.02 (2020-09-30).
    - Added support for the following GPUs: DGX Display, GeForce MX450.
    * Improved compatibility with recent Linux kernels.
      (Closes: #972514, #972582, #972834, #972856, #972901, #973362)

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update symbols files.
  * Restrict watch file to releases from the 450.xx long lived branch.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Oct 2020 01:05:29 +0100

nvidia-graphics-drivers (450.66-1) unstable; urgency=medium

  * New upstream long lived branch release 450.66 (2020-08-18).
    - Added support for the following GPUs: EIZO Quadro MED-XN31LP,
      EIZO Quadro MED-XN50LP, EIZO Quadro MED-XN51LP, EIZO Quadro MED-XN70,
      EIZO Quadro MED-XN71, EIZO Quadro MED-XN72, EIZO Quadro MED-XN90,
      EIZO Quadro MED-XN91, EIZO Quadro MED-XN92, Matrox D-Series D1450,
      Matrox D-Series D1480
    - Fixed triple buffering support of Vulkan X11 swapchains when applications
      are syncing to vblank.

  [ Luca Boccassi ]
  * Update nv-readme.ids.
  * Update symbols files.

  [ Andreas Beckmann ]
  * Test that the patches can be applied to the module source.
  * nvidia-kernel-dkms: Ship with unapplied patches and apply the patches
    while building kernel modules.
  * Simplify generating the -source and -dkms packages.

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Sep 2020 00:29:22 +0200

nvidia-graphics-drivers (450.57-3) unstable; urgency=medium

  * There is no libnvidia-compiler on arm64.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Aug 2020 14:53:30 +0200

nvidia-graphics-drivers (450.57-2) unstable; urgency=medium

  * Allow alternative libnvidia-{tesla,legacy}-*-cfg1 packages to substitute
    libnvidia-cfg1 in third-party packages.
    - Add Provides: libnvidia-cfg.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libnvidia-cfg.so.1 through
      the symbols file.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 09 Aug 2020 23:55:49 +0200

nvidia-graphics-drivers (450.57-1) experimental; urgency=medium

  * New upstream long lived branch release 450.57 (2020-07-09).
    - Fixed a bug that caused a brief orange flash on some platforms when a
      display mode is being set.
  * New upstream release 440 series.
    - Fixed a bug that could cause the X server to crash when using large
      cursor images with PRIME display offloading.
  * New upstream release 390 series.
    - Fixed a driver installation failure on Linux kernel 5.8 release
      candidates, where the NVIDIA kernel module failed to build with error
      "'struct mm_struct' has no member named 'mmap_sem'".
    - Fixed a driver installation failure on Linux kernel 5.8 release
      candidates, where the NVIDIA kernel module failed to build with error
      "too many arguments to function '__vmalloc'".

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Jul 2020 16:33:11 +0200

nvidia-graphics-drivers (450.51.06-2) UNRELEASED; urgency=medium

  * Backport nv_vmalloc and nv_mmap_* (mmap_{sem=>lock}) changes from 450.57
    to fix kernel module build for Linux 5.8.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Sep 2020 00:39:37 +0200

nvidia-graphics-drivers (450.51.06-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 450.51.06 (2020-07-28).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 18 Aug 2020 23:20:53 +0200

nvidia-graphics-drivers (450.51.05-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 450.51.05 (2020-07-07).

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Jul 2020 17:50:32 +0200

nvidia-graphics-drivers (450.51-2) experimental; urgency=medium

  * Prepare infrastructure for packaging Tesla 450 driver releases (available
    for amd64 (including some i386 libs), arm64 and ppc64el).
  * nvidia-detect: Add support for Tesla 450 drivers.
  * Merge changes from 440.100-2.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Jul 2020 16:34:04 +0200

nvidia-graphics-drivers (450.51-1) experimental; urgency=medium

  * New upstream beta 450.51 (2020-06-24).
    - Added support for Vulkan direct-to-display on DisplayPort displays which
      are connected via DisplayPort Multi-Stream Transport (DP-MST).
    - Added a new documentation file, supported-gpus.json, which exposes a
      machine-readable list of supported GPUs and features.
    - Added an implementation of glNamedBufferPageCommitmentARB, which was
      missing from the NVIDIA driver's support for the GL_ARB_sparse_buffer
      extension.
    - Fixed a bug that could cause a KDE Plasma session to crash when running
      under Wayland.
    - Fixed a bug that could cause some Swap Group configurations to present
      at half of the display refresh rate.
    - Fixed a bug that prevented X11 EGL displays from being reinitialized.
    - The 450 driver series is the last that supports NvFBC's
      NVFBC_CAPTURE_TO_HW_ENCODER capture interface, which has been deprecated
      since NVIDIA Capture SDK 6.0 released in 2017. Future NVIDIA drivers
      after the 450 series will return NVFBC_ERR_UNSUPPORTED if that capture
      interface is requested.
      The recommended way to encode captured frames with NVENC is by using the
      NVIDIA Video Codec SDK.
      See: https://developer.nvidia.com/nvidia-video-codec-sdk
    - Implemented support for NVIDIA NGX. A new library, libnvidia-ngx.so, has
      been added to support the new functionality. This new library is needed by
      applications which link against any of the following SDKs:
      NVIDIA DLSS SDK, NVIDIA NGX SDK.
    - Fixed a bug which caused Vulkan applications to leak file descriptors
      when destroying Vulkan instances.
    - Added a fallback presentation path for PRIME Render Offload
      configurations where the DRI3 and/or Present extension are unavailable.
    - Fixed a bug where vkCreateSampler would fail with no borderColor data,
      even though it wasn't needed.
    - Fixed a bug where vkUpdateDescriptorSetWithTemplate would ignore the
      stride parameter for some VkDescriptorType values.
    - Fixed a bug causing the Plasma desktop panel to freeze when
      compositing is disabled (https://bugs.kde.org/show_bug.cgi?id=353983)
    - Added support for the following GPUs: A100-PCIE-40GB, A100-PG509-200,
      A100-SXM4-40GB.
    - Improved Vulkan device enumeration under an X.Org X server environment.
      See the "Known Issues" in the README for more information.
    - Fixed a visual glitch of Vulkan applications when they stop flipping
      due to a window change, such as when alt-tab is used to change
      window focus.
    - Fixed a bug where XGetImage requests would return stale data for
      flipping Vulkan applications. In particular, this fixes screen-scraping
      tools such as VNC and import.
    - Removed libnvidia-fatbinaryloader.so from the driver package.  This
      functionality is now built into other driver libraries.
    - Extended the dynamic runtime power management support in the NVIDIA
      driver to shut off power to video memory under certain conditions.
      See the chapter titled "PCI-Express Runtime D3 (RTD3) Power Management"
      in the README for more information.
    - Added HEVC 10/12 bit "decode only" support to the NVIDIA VDPAU driver.
      Note that VDPAU's presentation pipeline and OpenGL-VDPAU interop
      does not support 10- and 12-bit video surfaces yet. See the "VDPAU
      Support" appendix in the README for supported HEVC decoder profiles.
    - Added support for Image Sharpening for OpenGL and Vulkan applications
    - Added new VdpYCbCrFormats VDP_YCBCR_FORMAT_Y_U_V_444_16,
      VDP_YCBCR_FORMAT_P010 and VDP_YCBCR_FORMAT_P016 for accessing 16-bit
      surfaces via VdpVideoSurfaceGetBitsYCbCr() and
      VdpVideoSurfacePutBitsYCbCr() in the NVIDIA VDPAU driver.
    - Added support to create 16-bit video surfaces in the NVIDIA VDPAU driver.
    - Modified nvidia-persistenced and libnvidia-ml (NVML) to use libtirpc for
      communication instead of relying on the deprecated glibc RPC
      implementation.
    - Enabled GPU screens by default on X.Org xserver version 1.20.7 and higher.
    - Fixed a bug where rendering in a separate user namespace (unshare -U)
      would show black window and produce Xid 13 errors.
  * New upstream release 445 series.
    - Removed support for "IgnoreDisplayDevices" X configuration option.
    - Added support for PRIME Synchronization when using displays driven by
      the x86-video-amdgpu driver as PRIME display offload sinks.
    - Added support for displays connected to NVIDIA GPUs to act as PRIME
      display offload sinks, also known as "Reverse PRIME". See the chapter
      titled "Offloading Graphics Display with RandR 1.4" in the README for
      additional information.
    - Removed 'libGL.la' libtool archive from the install package.
  * New upstream release 440 series.
    - Fixed a bug where a Vulkan application under PRIME render
      offload would not always be correctly throttled to vsync despite
      the application's request for VK_PRESENT_MODE_FIFO_KHR. This was
      particularly prevalent on DXVK titles.

  [ Andreas Beckmann ]
  * Add support for arm64 driver releases.
  * Update nv-readme.ids.
  * Refresh patches.
  * Update symbols files.
  * Remove libnvidia-fatbinaryloader package.
  * libnvidia-ngx1: New package for the NVIDIA NGX runtime library.
  * libcuda1: Add Provides: libcuda-11.0-1{,-i386}.
  * Update lintian overrides.
  * Build the nvidia-*-common and nvidia-detect packages for arm64.
  * Bump glx-alternative-nvidia dependency for arm64 support.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 01 Jul 2020 00:02:18 +0200

nvidia-graphics-drivers (440.118.02-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 440.118.02 (2020-09-30).
    - Fixed a bug that could cause the X server to crash when using large
      cursor images with PRIME display offloading.
    - Fixed a bug where a Vulkan application under PRIME render
      offload would not always be correctly throttled to vsync despite
      the application's request for VK_PRESENT_MODE_FIFO_KHR. This was
      particularly prevalent on DXVK titles.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Backport get_user_pages_remote, vga_tryget, smp_read_barrier_depends,
    drm_driver_has_gem_free_object, drm_display_mode_has_vrefresh,
    drm_driver_master_set_has_int_return_type and drm_gem_object_put_unlocked
    changes from 455.23.04 to fix kernel module build for Linux 5.9.
  * Refresh patches.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 13 Oct 2020 00:01:20 +0200

nvidia-graphics-drivers (440.100-2) unstable; urgency=medium

  * Restrict watch file to releases from the 440.xx long lived branch.
  * Replace *-i386 helper packages with *:i386 recommendations.
  * [i386 armhf]: Remove transitional packages.
  * nvidia-detect.install: Use dh-exec for arch restrictions.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Jul 2020 13:30:24 +0200

nvidia-graphics-drivers (440.100-1) unstable; urgency=medium

  * New upstream long lived branch release 440.100 (2020-06-24).
    * Fixed CVE-2020-5963, CVE-2020-5967.  (Closes: #963766)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5031
    - Added a workaround for some Pascal based notebooks, where the GPU
      could fall off the bus when idle.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 30 Jun 2020 09:52:45 +0200

nvidia-graphics-drivers (440.95.01-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 440.95.01 (2020-06-24).
    * Fixed CVE-2020-5963, CVE-2020-5967.  (Closes: #963766)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5031
    - Added support for the following GPUs: GeForce GTX 1650 Ti,
      GeForce GTX 1650 Ti with Max-Q Design,
      GeForce RTX 2060 with Max-Q Design, Quadro T1000 with Max-Q Design.
    - Added new "Connector-N" display device aliases to the X driver's
      X configuration option parser.  This is useful in conjunction with
      the "ConnectedMonitor" X configuration option, for emulating the
      presence of connected monitors without knowing what specific
      connectors are available.  See the "Display Device Names" appendix
      in the README for details.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Refresh patches.
  * Update lintian overrides.
  * Backport nv_vmalloc and nv_mmap_* (mmap_{sem=>lock}) changes from 450.57
    to fix kernel module build for Linux 5.8.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Jun 2020 21:42:12 +0200

nvidia-graphics-drivers (440.82-2) unstable; urgency=medium

  * Fix #includes in conftest.sh to fix kernel module build for Linux 5.7,
    thanks to Jiri Palecek.  (Closes: #960735)
  * Switch to debhelper-compat (= 13).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 May 2020 17:22:58 +0200

nvidia-graphics-drivers (440.82-1) unstable; urgency=medium

  * New upstream long lived branch release 440.82 (2020-04-07).
    - Added a workaround for Steam Play title DOOM Eternal, which overrides
      application requested memory locations, to ensure performance-critical
      resources be placed in video memory.
    - Allow presenting from queue families which only expose
      VK_QUEUE_COMPUTE_BIT when using XCB in addition to Xlib surfaces.
    - Fixed a bug that caused render-offloaded applications to crash on exit.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 11 Apr 2020 14:29:59 +0200

nvidia-graphics-drivers (440.64.00-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 440.64.00 (2020-03-10).

  [ Andreas Beckmann ]
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Mar 2020 21:10:14 +0100

nvidia-graphics-drivers (440.64-2) unstable; urgency=medium

  * Prepare infrastructure for packaging Tesla 440 driver releases (available
    for amd64 (including some i386 libs) and ppc64el).
  * nvidia-detect: Add support for Tesla 440 drivers.
  * Bump glx-alternative-nvidia dependency for ppc64el support.
  * Drop versioned constraints that are satisfied in stretch.
  * bug-control: Report information about more (virtual) packages.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Mar 2020 21:01:28 +0100

nvidia-graphics-drivers (440.64-1) unstable; urgency=medium

  * New upstream long lived branch release 440.64 (2020-02-28).
    - Added support for the following GPUs: GeForce MX330, GeForce MX350.
    - Fixed a regression that allowed displays to enter DPMS mode even
      when DPMS is disabled in the X server settings.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 01 Mar 2020 11:25:24 +0100

nvidia-graphics-drivers (440.59-1) unstable; urgency=medium

  * New upstream long lived branch release 440.59 (2020-02-03).
    - Disabled frame rate limiting for configurations without active
      displays when HardDPMS is enabled.
    - Restricted the maximum number of GPU Screens to one GPU Screen per
      GPU device, to prevent X from crashing when more than one GPU Screen
      is configured for a single GPU device.
    - Fixed a bug that could cause the X server to crash while exiting
      DPMS with HardDPMS enabled.
    - Added support for the following GPUs: Tesla PG500-216, Tesla PG504-216.
    - Added support for audio over DisplayPort Multi-Stream. This support
      requires Linux kernel version 5.5 or newer.
    - Updated the NVIDIA driver to allow NVIDIA High Definition Audio (HDA)
      controllers to respond to display hotplug events while the HDA is
      runtime-suspended.
    - Fixed a bug that caused DXVK titles to endlessly loop during shader
      compilation if no OpSource instruction was present.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update symbols files.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 06 Feb 2020 22:39:27 +0100

nvidia-graphics-drivers (440.44-2) unstable; urgency=medium

  * Merge changes from 435.21-3.
  * Rename "legacy" variables to more generic "variant".
  * Upload to unstable.  (Closes: #950128)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 29 Jan 2020 21:03:10 +0100

nvidia-graphics-drivers (440.44-1) experimental; urgency=medium

  * New upstream long lived branch release 440.44 (2019-12-11).
    - Added support for the following GPU: GeForce GTX 1650 SUPER.
    - Added support for the __GL_SYNC_DISPLAY_DEVICE environment variable for
      Vulkan applications.
    - Fixed a bug that caused applications running directly on a display
      (such as VR HMDs) to tear when a G-SYNC or G-SYNC Compatible monitor
      is plugged in the system.
  * New upstream release 430 series.
    - Fixed a bug in an error handling path that could cause a kernel crash
      while loading nvidia.ko.

  [ Andreas Beckmann ]
  * Merge changes from 430.64-4.
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Dec 2019 13:06:12 +0100

nvidia-graphics-drivers (440.36-1) experimental; urgency=medium

  * New upstream long lived branch release 440.36 (2019-11-22).
    - Fixed graphical corruption that can occur when using
      glslang SPIR-V Generator Version <= 2.
  * New upstream Tesla release 440.33.01 (2019-11-19).

  [ Andreas Beckmann ]
  * Update symbols files.
  * libcuda1: Add Provides: libcuda-10.2-1{,-i386}.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 26 Nov 2019 15:27:45 +0100

nvidia-graphics-drivers (440.31-1) experimental; urgency=medium

  * New upstream long lived branch release 440.31 (2019-11-04).
    - Added support for the following GPUs: Tesla V100S-PCIE-32GB,
      GeForce GTX 1660 SUPER.
    - Fixed a regression in the 440.26 driver that could prevent the NVIDIA
      kernel modules from building correctly on systems localized to a
      language other than English.  (Closes: #944556)

  [ Andreas Beckmann ]
  * Merge changes from 430.64-1.
  * Update nv-readme.ids.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 18 Nov 2019 00:28:08 +0100

nvidia-graphics-drivers (440.26-1) experimental; urgency=medium

  * New upstream beta 440.26 (2019-10-17).
    - Enabled parallel GLSL shader linking by default; i.e., allow
      GL_ARB_parallel_shader_compile to work without first calling
      glMaxShaderCompilerThreadsARB().
    - Added support for HDMI 2.1 variable refresh rate (VRR) G-SYNC Compatible
      monitors on supported GPUs.  For more details, see "Configuring Multiple
      Display Devices on One X Screen" in the README.
    - Added support for the GLX_NV_multigpu_context and GL_NV_gpu_multicast
      extensions.  For more details, see the "Configuring SLI and Multi-GPU
      FrameRendering" chapter of the README, and the extension specifications:
        https://www.khronos.org/registry/OpenGL/extensions/NV/GLX_NV_multigpu_context.txt
        https://www.khronos.org/registry/OpenGL/extensions/NV/NV_gpu_multicast.txt
    - Fixed a bug that prevented Vulkan applications running on systems
      configured for SLI. Vulkan applications can now run while SLI is
      enabled; however, they will only be able to use a single GPU.
    - Simplified the nvidia-sleep.sh sample script to no longer depend on
      unreliable detection of the current VT through X server logs.
    - Added EGL support for PRIME render offload. Please see the PRIME Render
      Offload chapter in the README for configuration details.
    - Fixed a regression introduced in 435.19.02 that would cause some
      applications which use the VK_KHR_DISPLAY extension to result in a
      segmentation fault.
    - Enabled HardDPMS by default. See the README entry on the X configuration
      option "HardDPMS" for more information.
    - Fixed a bug which caused corruption in the following DXVK titles:
        Saints Row IV, Saints Row: The Third.
    - Added VP9 decode support to the NVIDIA VDPAU driver. See the
      VDPAU Support appendix in the README for supported VP9 decoder
      profiles.
    - Fixed a bug that could cause heapUsage values reported by
      VK_EXT_memory_budget to not immediately update after vkFreeMemory was
      called.
    - Changed GPU clock management strategy to more quickly ramp down clocks
      after a drop in GPU utilization.
    - Added X configuration option, "SidebandSocketPath", which
      controls the directory in which the X driver will create a
      pathname UNIX domain socket used to communicate with the NVIDIA
      OpenGL, Vulkan and VDPAU driver components.
    - The X driver will now create a fallback pathname UNIX domain
      socket in the directory specified by the "SidebandSocketPath"
      option, or /var/run by default, which will be used by other
      NVIDIA driver components if they are unable to connect to the
      default abstract socket.  This fixes a bug where graphics
      applications run within a network namespace (which prevents the
      use of abstract sockets) were unable to take advantage of some
      driver features, such as G-Sync.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update symbols files.
  * Refresh patches.
  * Update lintian overrides.
  * libnvidia-allocator1: New package for the allocator runtime library.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 02 Nov 2019 18:31:45 +0100

nvidia-graphics-drivers (435.21-3) unstable; urgency=low

  * Merge changes from 430.64-5.
  * Continue building libegl1-nvidia.
  * Insert '-' between suffix ending with digit and SOVERSION.
  * Bump Standards-Version to 4.5.0. No changes needed.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Jan 2020 16:14:18 +0100

nvidia-graphics-drivers (435.21-2) experimental; urgency=medium

  * Merge changes from 430.50-2.
  * Continue building nvidia-nonglvnd-vulkan-common.
  * Restrict watch file to releases from the 435.xx short lived branch.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 31 Oct 2019 15:07:11 +0100

nvidia-graphics-drivers (435.21-1) experimental; urgency=medium

  * New upstream short lived branch release 435.21 (2019-08-29).
    - Fixed a bug that caused the X server to crash when using HardDPMS with
      an NVIDIA-driven GPU Screen.
  * New upstream beta 435.17 (2019-08-13).
    - Fixed a bug which caused the kernel to panic when exiting a single X
      server when multiple X servers were active and in an SLI configuration.
    - Fixed a regression introduced in the 430.* series of releases that
      caused a segmentation fault in libnvcuvid.so while using Video Codec
      SDK APIs on certain graphics boards.
    - Added initial experimental support for runtime D3 (RTD3) power
      management on Turing notebook GPUs.
    - Improved nvidia-bug-report.sh to collect runtime D3 (RTD3) power
      management information.
    - Improved nvidia-bug-report.sh to collect ACPI tables when the acpidump
      tool is available.
    - Added Vulkan and OpenGL+GLX support for PRIME render offload.
      Please see the PRIME Render Offload chapter in the README for
      system requirements and configuration details.
    - Fixed the cuvidParseVideoData API in the NVCUVID driver to
      correctly propagate errors returned by the PFNVIDSEQUENCECALLBACK
      callback function to the application.
    - Fixed a bug that caused the NVIDIA X driver to behave incorrectly or
      crash when a client queried Xinerama information on X servers with a
      non-NVIDIA X screen as screen 0.
    - Fixed a bug that could cause Vulkan applications to generate spurious
      warning messages about a missing NV-GLX extension.
    - Removed the non-GLVND OpenGL libraries from the NVIDIA Linux driver
      installation package. The GLVND OpenGL libraries were introduced in
      release 361.16, and have been installed by default since release
      364.12, with the non-GLVND versions available as an alternative via
      the "--no-glvnd-glx-client" and "--no-glvnd-egl-client" installer
      options. As the non-GLVND libraries are no longer included in the
      installation package, these options will no longer have any effect.
    - Fixed a bug that prevented nvidia-drm from marking preferred modes
      properly when reporting display information via the DRM-KMS API.
    - Fixed the NvEncodeAPI driver to correctly reject the encoding of
      sequences with resolutions smaller than what the NVENC supports.

  [ Luca Boccassi ]
  * Remove non-GLVND packages.
  * nvidia-vulkan-common: Ship nvidia_layers.json.
  * Update symbols files.
  * Update lintian overrides.

  [ Andreas Beckmann ]
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 31 Aug 2019 00:15:24 +0200

nvidia-graphics-drivers (430.64-5) unstable; urgency=medium

  * Use substitution to keep Standards-Version in sync.
  * nvidia-detect: The 340xx legacy driver will not be in bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 08 Jan 2020 23:11:01 +0100

nvidia-graphics-drivers (430.64-4) unstable; urgency=medium

  * Do not build most non-GLVND packages (435.17-1).  (Closes: #939401)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 15 Dec 2019 22:39:11 +0100

nvidia-graphics-drivers (430.64-3) unstable; urgency=medium

  * Allow alternative libnvidia-{tesla,legacy-*}-cuda1 packages to substitute
    libcuda1 in third-party packages.
    - Add Provides: libcuda.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libcuda.so.1 through the
      symbols file.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Dec 2019 13:01:16 +0100

nvidia-graphics-drivers (430.64-2) unstable; urgency=medium

  * nvidia-detect: Add PCI ID list for 418.74 in buster.
  * nvidia-detect: Add support for Tesla 418 drivers.
  * nvidia-detect: Build for ppc64el.
  * Allow alternative libnvidia-{tesla,legacy-*}-ml1 packages to substitute
    libnvidia-ml1.
    - Add Provides: libnvidia-ml.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libnvidia-ml.so.1 through
      the symbols file.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Dec 2019 13:20:04 +0100

nvidia-graphics-drivers (430.64-1) unstable; urgency=medium

  * New upstream long lived branch release 430.64 (2019-11-05).
    - Fixed a bug that could cause the X server to crash when running
      applications using GLX indirect rendering.
    - Fall back to system memory when video memory is full for some
      driver-internal allocations. This can help fix Xid 13 and
      Xid 31 cases in Vulkan applications when video memory is full.
    - Fixed a bug that could cause a blank screen on some DisplayPort
      monitors when logging in to GNOME, if the nvidia-drm kernel module
      parameter modeset=1 is specified.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Create and commit tarball symlinks for legacy branches.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Nov 2019 01:43:24 +0100

nvidia-graphics-drivers (430.50-2) unstable; urgency=medium

  * debian/gen-control.pl: Support substitutions in the Architecture field and
    skip packages with empty or commented Architecture field.
  * Build the nvidia-*-common packages for ppc64el.
  * Prepare infrastructure for packaging Tesla 418 driver releases (available
    for amd64 (including some i386 libs) and ppc64el).
  * Bump Standards-Version to 4.4.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 30 Oct 2019 21:04:31 +0100

nvidia-graphics-drivers (430.50-1) unstable; urgency=medium

  * New upstream long lived branch release 430.50 (2019-09-11).

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update symbols files.
  * conftest-prefer-arch-headers.patch: New, prefer arch headers over common
    headers, thanks to Paul Szabo.  (Closes: #933309)
  * Restrict watch file to releases from the 430.xx long lived branch.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Sep 2019 14:00:06 +0200

nvidia-graphics-drivers (430.40-2) unstable; urgency=medium

  * Mark GPUs with Kepler notebook chips as legacy, supported only up to
    nvidia-legacy-390xx-driver. Support was dropped in the 430 series.
    https://nvidia.custhelp.com/app/answers/detail/a_id/4779
    https://nvidia.custhelp.com/app/answers/detail/a_id/4788
  * nvidia-detect: Fix bullseye detection.  (Closes: #934288)
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 30 Aug 2019 10:46:18 +0200

nvidia-graphics-drivers (430.40-1) experimental; urgency=medium

  * New upstream long lived branch release 430.40 (2019-07-29).
    - Added support for the following GPU: GeForce RTX 2080 SUPER.
    - Fixed a driver installation failure in Linux kernel configurations
      with CONFIG_HOTPLUG_CPU.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 13 Aug 2019 12:50:26 +0200

nvidia-graphics-drivers (430.34-1) experimental; urgency=medium

  * New upstream long lived branch release 430.34 (2019-07-09).
    - Added support for the following GPUs: GeForce RTX 2060 SUPER,
      GeForce RTX 2070 SUPER.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 14 Jul 2019 18:23:34 +0200

nvidia-graphics-drivers (430.26-1) experimental; urgency=medium

  * New upstream long lived branch release 430.26 (2019-06-10).

  [ Andreas Beckmann ]
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 13 Jun 2019 12:18:57 +0200

nvidia-graphics-drivers (430.14-1) experimental; urgency=medium

  * New upstream long lived branch release 430.14 (2019-05-14).
    - Improved performance of the Vulkan title, DiRT4.
    - Added support for presentation from queue families which only expose
      VK_QUEUE_COMPUTE_BIT. This improves performance of Steam Play title,
      Wolfenstein II: The New Colossus.
  * New upstream beta 430.09 (2019-04-23).
    - Fixed a bug that could cause the display to be driven at a low
      resolution when configuring PRIME display offloading with
      `nvidia-xconfig --prime`.
    - Added HEVC YUV 4:4:4 decode support to the NVIDIA VDPAU driver.
    - Added the new per-decoder profile capability bit
      VDP_DECODER_PROFILE_SUPPORTED_CHROMA_TYPES to the NVIDIA VDPAU driver.
    - Added new VdpYCbCrFormats VDP_YCBCR_FORMAT_Y_UV_444 and
      VDP_YCBCR_FORMAT_Y_U_V_444 for accessing YUV 4:4:4 surfaces via
      VdpVideoSurfaceGetBitsYCbCr() and VdpVideoSurfacePutBitsYCbCr()
      in the NVIDIA VDPAU driver.
    - Fixed display color range handling on pre-Turing GPUs, such that when
      limited color range is selected through the display controls page in
      nvidia-settings, output pixel values will be correctly clamped to
      Consumer Technology Association (CTA) range.
    - Added support for creation of YUV 4:4:4 video surfaces in
      the NVIDIA VDPAU driver.
    - Raised the minimum supported X.Org xserver version to 1.7 (video driver
      ABI version 6).

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update symbols files.
  * Update lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 25 May 2019 13:49:09 +0200

nvidia-graphics-drivers (418.165.02-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 418.165.02 (2020-09-30).
  * New upstream release 390 series.
    - Fixed a driver installation failure on Linux kernel 5.8 release
      candidates, where the NVIDIA kernel module failed to build with error
      "too many arguments to function '__vmalloc'".
    - Fixed a driver installation failure on Linux kernel 5.8 release
      candidates, where the NVIDIA kernel module failed to build with error
      "'struct mm_struct' has no member named 'mmap_sem'".

  [ Andreas Beckmann ]
  * Backport get_user_pages_remote, vga_tryget, smp_read_barrier_depends,
    drm_driver_has_gem_free_object, drm_display_mode_has_vrefresh,
    drm_driver_master_set_has_int_return_type and drm_gem_object_put_unlocked
    changes from 455.23.04 to fix kernel module build for Linux 5.9.
  * Refresh patches.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 11 Oct 2020 23:49:36 +0200

nvidia-graphics-drivers (418.152.00-2) UNRELEASED; urgency=medium

  * Backport nv_vmalloc and nv_mmap_* (mmap_{sem=>lock}) changes from 450.57
    to fix kernel module build for Linux 5.8.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Sep 2020 00:48:01 +0200

nvidia-graphics-drivers (418.152.00-1) buster; urgency=medium

  * New upstream Tesla release 418.152.00 (2020-06-24).
    * Fixed CVE-2020-5963, CVE-2020-5967.  (Closes: #963766)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5031

  [ Andreas Beckmann ]
  * Use amd64 Tesla releases for buster.
  * Refresh patches.
  * Update lintian overrides.
  * Upload to buster.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Jun 2020 18:01:24 +0200

nvidia-graphics-drivers (418.126.02-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 418.126.02 (2020-02-28).
    - Added support for the following GPU: Quadro T2000 with Max-Q Design.

  [ Andreas Beckmann ]
  * Import drmP.patch from Fedora and port it from 390.xx to 418.xx to fix
    kernel module build for Linux 5.5.  (Closes: #951091)
  * Backport nv_ioremap_nocache changes from 440.64 and nv_proc_ops_t and
    nv_timeval changes from 440.82 to fix kernel module build for Linux 5.6.
    (Closes: #956458)
  * Fix #includes in conftest.sh to fix kernel module build for Linux 5.7,
    thanks to Jiri Palecek.  (Closes: #960735)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Mar 2020 23:08:06 +0100

nvidia-graphics-drivers (418.116.00-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 418.116.00 (2019-12-09).

 -- Andreas Beckmann <anbe@debian.org>  Sat, 14 Dec 2019 14:29:50 +0100

nvidia-graphics-drivers (418.113-1) buster; urgency=medium

  * New upstream long lived branch release 418.113 (2019-11-05).
    - Updated the Module.symvers sanity check, which is part of the NVIDIA
      kernel module build process, to accommodate the recent addition of a
      new field in the Module.symvers file format. This fixes the error
      "The Module.symvers file is missing [...]" seen during driver
      installation or DKMS rebuilds with Linux 5.4 RC kernels.
    - Fixed a bug that prevented NVIDIA GPUs from entering the low-power
      D3 state when entering suspend-to-idle (s2idle). Note that on some
      systems this may expose an existing timing issue in the Linux kernel;
      see the "Known Issues and Workarounds" section of the "Configuring
      Power Management Support" chapter of the README for more details.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Refresh patches.
  * debian/gen-control.pl: Support substitutions in the Architecture field and
    skip packages with empty or commented Architecture field (430.50-2).
  * Prepare infrastructure for packaging Tesla 418 driver releases (available
    for amd64 (including some i386 libs) and ppc64el) (430.50-2).
  * Create and commit tarball symlinks for legacy branches (430.64-1).
  * nvidia-detect: Add PCI ID list for 418.74 in buster (430.64-2).
  * nvidia-detect: Add support for Tesla 418 drivers (430.64-2).
  * nvidia-detect: The 340xx legacy driver will not be in bullseye (430.64-5).
  * Allow alternative libnvidia-{tesla,legacy-*}-ml1 packages to substitute
    libnvidia-ml1 (430.64-2).
    - Add Provides: libnvidia-ml.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libnvidia-ml.so.1 through
      the symbols file.
  * Allow alternative libnvidia-{tesla,legacy-*}-cuda1 packages to substitute
    libcuda1 in third-party packages (430.64-3).
    - Add Provides: libcuda.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libcuda.so.1 through the
      symbols file.
  * Use substitution to keep Standards-Version in sync (430.64-5).
  * Insert '-' between suffix ending with digit and SOVERSION (435.21-3).
  * Rename "legacy" variables to more generic "variant" (440.44-2).
  * bug-control: Report information about more (virtual) packages (440.64-2).
  * Prepare infrastructure for packaging Tesla 440 driver releases (available
    for amd64 (including some i386 libs) and ppc64el) (440.64-2).
  * Bump Standards-Version to 4.5.0. No changes needed.
  * Update lintian overrides.
  * Upload to buster.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Apr 2020 00:47:30 +0200

nvidia-graphics-drivers (418.88-1) unstable; urgency=medium

  * New upstream long lived branch release 418.88 (2019-07-29).
    * Improved compatibility with recent Linux kernels.
      (Closes: #934290, #934344, #934648, #946128)

  [ Andreas Beckmann ]
  * Bump Standards-Version to 4.4.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Aug 2019 23:41:02 +0200

nvidia-graphics-drivers (418.87.01-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 418.87.01 (2019-10-03).
  * New upstream Tesla release 418.87.00 (2019-08-13).
    - Added support for the following GPUs: Quadro P520, Quadro RTX 3000,
      Quadro RTX 3000 with Max-Q Design, Quadro RTX 4000 with Max-Q Design,
      Quadro RTX 5000 with Max-Q Design, Quadro T1000, Quadro T2000.
    - Fixed a bug, introduced in 415.13, that caused audio over DisplayPort to
      not work in some configurations.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Backport fixes for Linux 5.2/5.3 from 418.88.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 26 Oct 2019 19:36:41 +0200

nvidia-graphics-drivers (418.74-1) unstable; urgency=medium

  * New upstream long lived branch release 418.74 (2019-05-07).
    - Added support for the following GPUs: Quadro P2200, GeForce GTX 1650,
      GeForce GTX 1650 with Max-Q Design,
      GeForce GTX 1660 Ti with Max-Q Design.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Refresh patches.
  * Restrict watch file to releases from the 418.xx long lived branch.
  * Remove support for arch-specific nv-readme.ids.
  * Tune Recommends to smoothen some upgrade paths on i386.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 11 May 2019 13:52:38 +0200

nvidia-graphics-drivers (418.56-2) unstable; urgency=medium

  * Merge changes from 415.27-2.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 22 Apr 2019 16:38:02 +0200

nvidia-graphics-drivers (418.56-1) experimental; urgency=medium

  * New upstream long lived branch release 418.56 (2019-03-20).
    - Added support for the following GPUs: GeForce GTX 1660, GeForce MX230,
      GeForce MX250.
    - Fixed a bug which could sometimes cause Vulkan applications to lock up
      the
      GPU when freeing large chunks of memory on systems with PRIME enabled.
    - Updated the driver to restrict use of the GPU performance counters to
      system administrators by default. The previous more permissive behavior
      can be restored by setting NVreg_RestrictProfilingToAdminUsers=0 when
      loading nvidia.ko.

  [ Luca Boccassi ]
  * Update nv-readme.ids.

  [ Andreas Beckmann ]
  * libcuda1: Add Provides: libcuda-10.1-1{,-i386}.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Mar 2019 09:02:22 +0100

nvidia-graphics-drivers (418.43-1) experimental; urgency=medium

  * New upstream long lived branch release 418.43 (2019-02-22).
    * Fixed CVE‑2018‑6260.  (Closes: #913467)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4772
    - Added support for the following GPU: GeForce GTX 1660 Ti.
    - Fixed a bug that would occasionally cause visual corruption on some
      Vulkan titles. This bug was particularly prevalent on DXVK titles.
    - Fixed a bug that caused vkCmdPushConstants to generate Xid 13 messages
      when executed with VK_SHADER_STAGE_ALL on a compute queue.
  * New upstream beta 418.30 (2019-01-30).
    - Added initial support for G-SYNC Compatible monitors.  See the README
      for details.
    - Added support for the following GPUs:
      GeForce RTX 2070 with Max-Q Design, GeForce RTX 2080 with Max-Q Design.
    - Added support for stereo presentation in Vulkan.
    - Fixed a bug that could cause OpenGL applications to crash after
      repeated VT-switches.
    - NVIDIA Video Codec SDK 9.0
      A new release of the Video Codec SDK will be available in Q1 2019.
      For more information and early access sign-up, refer to
        https://developer.nvidia.com/nvidia-video-codec-sdk
      The main features available in this release are listed below:
      o Support for Turing NVENC/NVDEC.
      o The NVDECODE API (also known as the NVCUVID API) has been updated to
        support YUV 4:4:4 decoding for HEVC on Turing GPUs.
      o NvEncodeAPI has been updated to support HEVC B-frames on Turing GPUs.
      o NvEncodeAPI adds the capability to output the encoded bitstream, and
        motion vectors from motion estimation-only mode, to video memory.
        This avoids the overhead of copying the output from system to video
        memory for processing pipelines operating directly on video memory.
      o NvEncodeAPI now accepts CUarrays as input buffers. The SDK contains
        a sample application to demonstrate how to feed a Vulkan image to
        NVENC using the Vulkan-CUDA interop.
    - Updated the NVIDIA VDPAU driver to support allocating VDPAU video
      surfaces with explicit field or frame picture structure.
    - Added support for the GL_NV_vdpau_interop2 OpenGL extension,
      which allows VDPAU/OpenGL surface sharing with explicit field or
      frame picture structure. Picture structure selection by applications
      can avoid the need for implicit surface structure conversion by
      the OpenGL implementation.
    - Added NVIDIA optical flow support.
      A new library libnvidia-opticalflow.so is included in the driver package.
      The NVIDIA optical flow library can be used for hardware-accelerated
      computation of optical flow vectors and stereo disparity values.
      The API header files, sample applications and documentation will be
      available in a separate Optical Flow SDK package in Q1 2019.
      For more information and early access sign-up, refer to
        https://developer.nvidia.com/opticalflow-sdk
    - Removed libnvidia-wfb.so from the driver package.  This module was only
      used on X servers that did not provide their own implementation of
      libwfb, and all X.Org xserver versions now supported by the driver do
      so.
    - Updated the VDPAU driver to reject decoding to YUV 4:2:2 video
      surfaces.  The NVIDIA VDPAU driver always produces YUV 4:2:0
      content.  Previously, the VDPAU driver implicitly converted a YUV
      4:2:2 video surface to YUV 4:2:0 during decode.  Now, the VDPAU
      driver will fail the decode request.
    - Removed the NVreg_UseThreadedInterrupts kernel module parameter from
      nvidia.ko. This removes the ability to forcibly fall back to an older
      mechanism (tasklets) for running the bottom-half interrupt handler.
      Instead, threaded IRQs (the default since 367.44) are always used.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update symbols files.
  * libnvidia-opticalflow1: New package for the NVIDIA Optical Flow runtime
    library.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 04 Mar 2019 16:55:38 +0100

nvidia-graphics-drivers (415.27-2) unstable; urgency=medium

  * Merge changes from 410.104-3.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 20 Apr 2019 08:11:31 +0200

nvidia-graphics-drivers (415.27-1) experimental; urgency=medium

  * New upstream short lived branch release 415.27 (2019-01-15).
    - Added support for the following GPU: GeForce RTX 2060.
  * New upstream short lived branch release 415.25 (2018-12-18).
    - Added support for the following GPU: TITAN RTX.
  * New upstream short lived branch release 415.23 (2018-12-12).
  * New upstream short lived branch release 415.22 (2018-12-07).
    - Fixed a regression that prevented applications based on the Unity engine
      from starting.
    - Added support for VK_EXT_transform_feedback.
  * New upstream short lived branch release 415.18 (2018-11-20).
    - Fixed a bug that caused corruption on vkCmdCopyImage calls for non-2D
      texture targets.
  * New upstream beta 415.13 (2018-11-08).
    - Improved error reporting in eglSwapBuffers() by generating codes for
      some missing error types, and adding additional detail to the already
      existing ones.
    - Fixed a bug that could cause WINE to crash on recent OS releases.
    - Fixed a bug that could cause an X server crash when exiting Vulkan
      applications running on X servers with UBB enabled.
    - Fixed an X driver bug that caused the "NoEdidModes" token of the
      "ModeValidation" X configuration option to reject non-EDID modes
      whose timings matched EDID modes.
    - Changed the NvEncCreateBitstreamBuffer API call in the NvEncodeAPI
      library to return NV_ENC_ERR_UNIMPLEMENTED instead of NV_ENC_SUCCESS when
      the encoder instance is configured to run in motion estimation-only mode.
      As an indirect consequence of this change, users running the AppEncME
      sample application from the Video Codec SDK prior to SDK version 8.2.16
      will observe a segmentation fault due to bugs in the NvEncoder class. It
      is recommended that users download the latest version of the SDK, where
      these bugs have been fixed, from
      https://developer.nvidia.com/nvidia-video-codec-sdk.
    - Fixed an OpenGL driver bug that caused the upper bounds of
      floating-point viewports, specified through the ARB_viewport_array
      extension, to be clipped incorrectly.
    - Added a new X configuration option "HardDPMS" which
      is disabled by default, but can be enabled to put displays to sleep with
      modesets rather than VESA DPMS. This may fix some displays that fail to
      sleep when DPMS becomes active. "HardDPMS" will be enabled by default in a
      future release.
    - Raised the minimum supported X.Org xserver version to 1.5 (video driver
      ABI version 4).
    - Enabled the NVreg_EnableBacklightHandler kernel module option by default.
    - Removed the LinuxThreads version of the /usr/lib/libnvidia-tls.so library
      and replaced it with the NPTL one that was previously installed in
      /usr/lib/tls/. This fixes crashes on Debian systems when the
      /etc/ld.so.nohwcap file is present.
    - Changed the minimum required Linux kernel version from 2.6.9 to 2.6.32.
    - Fixed an OpenGL bug where conditional rendering (NV_conditional_render)
      was incorrectly affecting mipmap generation.

  [ Andreas Beckmann ]
  * The classic LinuxThreads tls library variant for Linux < 2.6 is gone.
  * Update symbols files.
  * Update nv-readme.ids.
  * Update lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 11 Feb 2019 21:53:12 +0100

nvidia-graphics-drivers (410.104-3) unstable; urgency=medium

  * [i386 armhf]: Reinstate nvidia-smi as a transitional package depending on
    nvidia-legcy-390xx-smi.
  * Add a notice to the description of the transitional packages.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 27 Mar 2019 00:27:59 +0100

nvidia-graphics-drivers (410.104-2) unstable; urgency=medium

  * libcuda1: Add Provides: libcuda-10.0-1{,-i386}.
  * [i386 armhf]: Drop nvidia-legacy-check.
  * [i386 armhf]: Reinstate nvidia-driver, xserver-xorg-video-nvidia as
    transitional packages depending on the 390.xx legacy driver.
    (Closes: #921917)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 26 Mar 2019 10:30:59 +0100

nvidia-graphics-drivers (410.104-1) unstable; urgency=medium

  * New upstream long lived branch release 410.104 (2019-02-22).
    * Fixed CVE‑2018‑6260.  (Closes: #913467)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4772
    - Added support for the following GPU: Tesla V100-SXM3-32GB-H.
    - Fixed a bug where destroying a direct-to-display swapchain could
      crash Vulkan applications.
    - Fixed a bug that prevented Vulkan applications from using the
      VK_EXT_display_control extension on a display that is driven by X.

  [ Andreas Beckmann ]
  * Use substitution to keep debhelper-compat in sync.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Mar 2019 19:35:49 +0100

nvidia-graphics-drivers (410.93-2) unstable; urgency=medium

  * Merge changes from 396.54-4.
  * Add slave alternative for libnvoptix.so.1.
  * Restrict watch file to releases from the 410.xx long lived branch.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 11 Feb 2019 17:15:09 +0100

nvidia-graphics-drivers (410.93-1) experimental; urgency=medium

  * New upstream long lived branch release 410.93 (2019-01-03).
    - Fixed a bug that could prevent display detection from working on
      displays connected to some notebook docking stations.
    - Added support for the following GPU: Quadro RTX 8000.

  [ Andreas Beckmann ]
  * Merge changes from 390.87-6.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 09 Jan 2019 10:34:41 +0100

nvidia-graphics-drivers (410.78-2) experimental; urgency=medium

  * Merge changes from 396.54-3.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Dec 2018 12:41:04 +0100

nvidia-graphics-drivers (410.78-1) experimental; urgency=medium

  * New upstream long lived branch release 410.78 (2018-11-15).
    - Fixed a bug that could cause the X server to hang on systems booted in
      legacy VGA mode when using a DisplayPort Multi-Stream link.
    - Added support for the following GPUs: Quadro RTX 4000, Tesla T4.
  * New upstream long lived branch release 410.73 (2018-10-25).
  * New upstream long lived branch release 410.66 (2018-10-16).
    - Added a USB-C display connector type identifier, such that a display
      connected using Turing's USB-C connector will be named, e.g., "USB-C-0"
      rather than "DP-5". Scripts and configuration files that use the DP
      identifier for this connector will be affected.
    - Added support for the following GPUs: Quadro RTX 5000, Quadro RTX 6000,
      GeForce RTX 2070.  (Closes: #911433)
  * New upstream beta 410.57 (2018-09-20).
    - Added a graphics API visual indicator.  It can be toggled through
      nvidia-settings' "OpenGL Settings" panel, the
      __GL_SHOW_GRAPHICS_OSD environment variable, or the
      GLShowGraphicsOSD application profile.  See the README for more
      information.
    - Added support for X11 RandR transformations on outputs where the NVIDIA X
      driver is used as a synchronized RandR 1.4 output source (i.e., "PRIME
      Sync").
    - Fixed a bug that caused OpenGL corruption on outputs where the NVIDIA X
      driver was used as an RandR 1.4 output source (i.e., "PRIME"), and the
      output sink required a software cursor.
    - Fixed an X driver RandR output source (i.e., "PRIME") bug that could cause
      a duplicate cursor to appear on such outputs.
    - Exposed EGL 1.5 in the EGL version string. This does not add
      any extra functionality to the EGL driver. All EGL 1.5 features
      were already supported through EGL 1.4 plus extensions.
    - Added support for the following GPUs: GeForce RTX 2080 Ti,
      GeForce RTX 2080, Tesla V100-SXM2-16GB-LS, Tesla V100-PCIE-16GB-LS,
      Tesla V100-SXM2-32GB-LS, Tesla V100-SXM3-32GB.
    - Added the OptiX ray tracing engine, libnvoptix.so.1, to the driver
      package.
      This library is loaded by the liboptix.so.* library bundled with
      applications that use the OptiX API.
    - Added experimental support for VK_EXT_global_priority.
    - Removed support for the VK_NV_glsl_shader Vulkan extension.
      This extension was added before the Vulkan ecosystem had mature
      SPIR-V compilers and tools.  Now that the SPIR-V compilers and
      tools have advanced, Vulkan developers are encouraged to use SPIR-V
      instead of GLSL.
    - Fixed a bug that caused VDPAU-decoded H.265/HEVC content to have
      interlaced artifacts when shared with OpenGL through the
      GL_NV_vdpau_interop extension.
    - Implemented support for Vulkan real-time ray tracing extensions
      (VK_NV_raytracing). Two new libraries, libnvidia-rtcore.so and
      libnvidia-cbl.so, have been added to support the new functionality.
      These new libraries are needed by Vulkan at run-time to expose the
      new extension. If they are not found, Vulkan will continue to work
      without VK_NV_raytracing support.
  * New upstream release 396 series.
    - Added support for the following GPUs: Quadro P5200 with Max-Q Design,
      Quadro P4200 with Max-Q Design, Quadro P2000 with Max-Q Design.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Drop drm-mode.patch, fixed upstream.
  * Update libnvidia-egl-wayland ABI version to 1.1.0.
  * libglx.so has been replaced by libglxserver_nvidia.so.
  * Remove ModulePath workarounds since we no longer collide with the Xorg
    module libglx.so.
  * Update symbols files.
  * libnvidia-cbl, libnvidia-rtcore: New packages for the internal libraries
    implementing the Vulkan real-time ray tracing extensions.
  * libnvoptix1: New package for the implementation of the OptiX ray tracing
    engine for NVIDIA/CUDA.
  * Update lintian overrides.
  * Upload to experimental.

  [ Luca Boccassi ]
  * Drop kmem_cache_create_usercopy.patch, fixed upstream.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Nov 2018 15:43:24 +0100

nvidia-graphics-drivers (396.54-4) unstable; urgency=medium

  * Merge changes from 390.87-8.
  * Drop libgles[12]-nvidia transitional packages.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Feb 2019 14:44:51 +0100

nvidia-graphics-drivers (396.54-3) experimental; urgency=medium

  * Merge changes from 390.87-4.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Dec 2018 06:11:16 +0100

nvidia-graphics-drivers (396.54-2) experimental; urgency=medium

  * Drop do-div-cast.patch, 32-bit platforms are no longer supported.
  * Revert move of libglx.so to /usr/lib/nvidia/current/modules.
  * Merge changes from 390.87-3.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 13 Nov 2018 20:06:14 +0100

nvidia-graphics-drivers (396.54-1) experimental; urgency=medium

  * New upstream short lived branch release 396.54 (2018-08-21).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 18 Sep 2018 19:06:21 +0200

nvidia-graphics-drivers (396.51-1) experimental; urgency=medium

  * New upstream short lived branch release 396.51 (2018-08-03).
    - Added support for VK_EXT_vertex_attribute_divisor.
    - Added support for the following GPU: Quadro P3200 with Max-Q Design.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 06 Aug 2018 00:16:07 +0200

nvidia-graphics-drivers (396.45-1) experimental; urgency=medium

  * New upstream short lived branch release 396.45 (2018-07-19).
    - Improved recovery of Vulkan direct-to-display applications after an
      application hang or crash.
    - Fixed a bug that could cause multi-threaded EGL applications to crash
      when exiting.
    - Added support for the following GPU: TITAN V JHH Special Edition.
  * New upstream short lived branch release 396.24 (2018-05-02).
    - Fixed a regression that caused the current MetaMode's ViewPortIn and
      ViewPortOut settings to be preserved across RandR modesets. The driver now
      clears ViewPortIn and ViewPortOut when the mode is set through RandR,
      restoring the behavior that existed prior to the regression.
    - Improved error reporting in the Vulkan driver if
      libnvidia-glvkspirv.so, the new Vulkan SPIR-V compiler added in
      396.18, cannot be found at run time.
    - Fixed performance regressions and corruption issues in the new Vulkan
      SPIR-V compiler.
    - Added support for 32-bit PCI domains throughout the NVIDIA driver stack.
      This support is required for running Linux VMs with recent versions of
      the pci_hyperv driver on top of Hyper-V.

  [ Andreas Beckmann ]
  * libcuda1: Add Provides: libcuda-9.2-1{,-i386}.
  * Move libglx.so to /usr/lib/nvidia/current/modules.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 21 Jul 2018 12:52:40 +0200

nvidia-graphics-drivers (396.18-1) experimental; urgency=medium

  * New upstream beta 396.18 (2018-04-10).
    - Added support for a new Vulkan SPIR-V compiler which reduces shader
      compilation time and shader system memory consumption.
      A new environment variable can be used to enable (1) (default) or
      disable (0) the new compiler if errors in existing applications
      are found:
          __GL_NextGenCompiler=<int>
      The following application profile setting with the same definition
      is also available:
          { "pattern" : [], "profile" : [ "NextGenCompiler", <int> ] }
      The old compiler is deprecated and will be removed in a future
      release.
    - Improved performance of the following Vulkan APIs:
        vkAllocateMemory(), vkBindBufferMemory(), vkBindImageMemory().
    - Fixed a bug that caused the NV_CTRL_STEREO_SWAP_MODE setting for
      quad-buffered stereo visuals to not be preserved across modesets
      or VT switches.
    - Added a new global X configuration option "AllowExternalGpus", which
      defaults to disabled, but can be enabled to allow eGPUs and other
      surprise-removable GPUs to be configured with X screens.
    * Drop support for Fermi chips, supported by the 390xx legacy series.
    * Drop kernel and Xorg driver support for i386, drop all support for
      armhf: https://nvidia.custhelp.com/app/answers/detail/a_id/4604

  [ Luca Boccassi ]
  * Update nv-readme.ids.
  * Update libnvidia-egl-wayland ABI version to 1.0.3.
  * Update symbols files.
  * Add libnvidia-glvkspirv package for SPIR-V compiler support.
  * Drop swiotlb.patch, merged upstream.

  [ Andreas Beckmann ]
  * Build i386 library packages from the 32/ folder in the x86_64 .run file.
  * Continue building nvidia-egl-common and nvidia-egl-wayland-common on i386
    and armhf since they are used by legacy drivers.
  * Add NEWS entry and update nvidia-legacy-check to use
    nvidia-legacy-390xx-driver for Fermi cards.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 Apr 2018 13:59:45 +0200

nvidia-graphics-drivers (390.138-2) UNRELEASED; urgency=medium

  * Backport nv_vmalloc changes from 450.57
    and work around mmap_{sem=>lock} rename
    to fix kernel module build for Linux 5.8.
  * Backport get_user_pages_remote, vga_tryget,
    drm_driver_has_gem_free_object, drm_display_mode_has_vrefresh,
    drm_driver_master_set_has_int_return_type and drm_gem_object_put_unlocked
    changes from 455.23.04 to fix kernel module build for Linux 5.9.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Sep 2020 00:58:11 +0200

nvidia-graphics-drivers (390.138-1) stretch; urgency=medium

  * New upstream legacy branch release 390.138 (2020-06-24).
    * Fixed CVE-2020-5963, CVE-2020-5967.  (Closes: #963766)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5031
    - Fixed a driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with error
      "implicit declaration of function 'timespec_to_ns'".
    - Fixed a driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with error
      "implicit declaration of function 'getrawmonotonic'".
    - Fixed a driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with error
      "implicit declaration of function 'getnstimeofday'".
    - Fixed a driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with error
      "dereferencing pointer to incomplete type 'struct timeval'".
    - Fixed a driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with error
      "implicit declaration of function 'jiffies_to_timespec'".
    - Fixed driver installation failure on Linux kernel 5.6 release candidates,
      where the NVIDIA kernel module failed to build with error "passing
      argument 4 of 'proc_create_data' from incompatible pointer type".
    - Fixed driver installation failure on Linux kernel 5.6 release candidates,
      where the NVIDIA kernel module failed to build with error "implicit
      declaration of function 'ioremap_nocache'".  (Closes: #956458)
    - Fixed driver installation failure on Oracle Linux 7.7 systems, where the
      NVIDIA kernel module failed to build with error "unknown type name
      'vm_fault_t'".
    - Add PRIME Synchronization support for Linux kernel 5.4 and newer.
      (Closes: #948568)

  [ Andreas Beckmann ]
  * Fix #includes in conftest.sh to fix kernel module build for Linux 5.7,
    thanks to Jiri Palecek.  (Closes: #960735)
  * Refresh patches.
  * Update lintian overrides.
  * Upload to stretch.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 28 Jun 2020 22:35:52 +0200

nvidia-graphics-drivers (390.132-1) stretch; urgency=medium

  * New upstream legacy branch release 390.132 (2019-11-08).
    - Fixed kernel module build problems with Linux kernel 5.4.0 release
      candidates.
    - Updated nvidia-bug-report.sh to collect information about X server crashes
      from coredumpctl, when available.

  [ Andreas Beckmann ]
  * Refresh patches.
  * debian/gen-control.pl: Support substitutions in the Architecture field and
    skip packages with empty or commented Architecture field (430.50-2).
  * Create and commit tarball symlinks for legacy branches (430.64-1).
  * Allow alternative libnvidia-{tesla,legacy}-*-ml1 packages to substitute
    libnvidia-ml1 in third-party packages (430.64-2).
    - Add Provides: libnvidia-ml.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libnvidia-ml.so.1 through
      the symbols file.
  * Allow alternative libnvidia-{tesla,legacy}-*-cuda1 packages to substitute
    libcuda1 in third-party packages (430.64-3).
    - Add Provides: libcuda.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libcuda.so.1 through the
      symbols file.
  * Use substitution to keep Standards-Version in sync (430.64-5).
  * Insert '-' between suffix ending with digit and SOVERSION (435.21-3).
  * Rename "legacy" variables to more generic "variant" (440.44-2).
  * bug-control: Report information about more (virtual) packages (440.64-2).
  * Bump Standards-Version to 4.5.0. No changes needed.
  * Update lintian overrides.
  * *.symbols: List libraries from src:libglvnd (not in stretch) as second
    (instead of preferred) alternative dependencies.
  * Upload to stretch.

  [ Luca Boccassi ]
  * Import drmP.patch from Fedora to fix kernel module build failure for
    Linux 5.5 and newer.  (Closes: #951091)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Apr 2020 20:49:15 +0200

nvidia-graphics-drivers (390.129-1) UNRELEASED; urgency=medium

  * New upstream legacy branch release 390.129 (2019-07-29).
    - Improved nvidia-bug-report.sh to grab the output of the `vulkaninfo`
      command when it is available.
    * Improved compatibility with recent Linux kernels.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 06 Aug 2019 19:04:49 +0200

nvidia-graphics-drivers (390.116-1) stretch; urgency=medium

  * New upstream legacy branch release 390.116 (2019-02-22).
    * Fixed CVE‑2018‑6260.  (Closes: #913467)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4772
    - Fixed build failures which resulted in errors like "implicit declaration
      of function drm_...", when building the NVIDIA DRM kernel module for Linux
      kernel 5.0 release candidates.
    - Fixed a bug which could cause VK_KHR_external_semaphore_fd operations
      to fail.
    - Fixed a build failure, "implicit declaration of function
      'vm_insert_pfn'", when building the NVIDIA DRM kernel module for Linux
      kernel 4.20 release candidates.
    - Fixed a build failure, "unknown type name 'ipmi_user_t'", when building
      the NVIDIA kernel module for Linux kernel 4.20 release candidates.
    - Fixed a bug that caused mode switches to fail when an SDI output board was
      connected.
    - Fixed a bug that could cause rendering corruption in Vulkan programs.
    - Fixed a bug that caused vkGetPhysicalDeviceDisplayPropertiesKHR() to
      occasionally return incorrect values for physicalResolution.
  * New upstream legacy branch release 367 series.
    - Added a new kernel module parameter, NVreg_RestrictProfilingToAdminUsers,
      to allow restricting the use of GPU performance counters to system
      administrators only.

  [ Luca Boccassi ]
  * Drop kmem_cache_create_usercopy.patch, drm-mode.patch,
    ipmi-user.patch, vm-insert-pfn.patch: fixed upstream.
  * Update symbols files.

  [ Andreas Beckmann ]
  * nvidia-detect: stretch now has a 390.xx driver.
  * nvidia-kernel-source: Bump debhelper dependency to match Build-Depends.
  * Upload to stretch.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Mar 2019 09:27:07 +0100

nvidia-graphics-drivers (390.87-8~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Feb 2019 10:00:53 +0100

nvidia-graphics-drivers (390.87-8) unstable; urgency=medium

  * Tune more package relationships to prevent that installing packages from
    nvidia-graphics-drivers-legacy-390xx driver pulls in packages from
    nvidia-graphics-drivers via Recommends.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 04 Feb 2019 01:36:47 +0100

nvidia-graphics-drivers (390.87-7) unstable; urgency=medium

  * Updated French (fr) debconf translations by Quentin Lejard.
    (Closes: #920940)
  * Use d/control.md5sum to keep track of d/control being up-to-date.
  * Tune package relationships to prevent that installing packages from
    nvidia-graphics-drivers-legacy-390xx driver pulls in packages from
    nvidia-graphics-drivers via Recommends.
  * Drop versioned constraints that are satisfied in wheezy.
  * Drop versioned constraints that are satisfied in jessie.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 02 Feb 2019 15:24:09 +0100

nvidia-graphics-drivers (390.87-6) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add ipmi-user.patch and vm-insert-pfn.patch to fix kernel module build for
    Linux 4.20 and newer.  (Closes: #917586)
  * Update Swedish (sv) debconf translation. Thank you Martin Bagge!
    (Closes: #918018)

  [ Andreas Beckmann ]
  * Switch to debhelper-compat (= 12).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Jan 2019 00:32:54 +0100

nvidia-graphics-drivers (390.87-5) unstable; urgency=medium

  * Prefer KBUILD_LDFLAGS (used since 4.19) over LDFLAGS.  (Closes: #916883)
  * Work around update-alternatives bug #916799 and re-register the
    alternative to clean-up leftover slaves.
  * Bump Standards-Version to 4.3.0. No changes needed.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 24 Dec 2018 02:44:40 +0100

nvidia-graphics-drivers (390.87-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Drop libnvidia-egl-wayland1, nvidia-egl-wayland-{common,icd} packages.
    These will be provided by src:egl-wayland.  (Closes: #915824)
  * Add more Conflicts between GLVND/non-GLVND packages to smoothen some
    install paths with --install-recommends enabled.

  [ Philipp Kern ]
  * debian/gen-control.pl: Generate debian/control from debian/control.in.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Dec 2018 18:29:08 +0100

nvidia-graphics-drivers (390.87-3) unstable; urgency=medium

  * Make libgles-nvidia1 a full citizen again, libglvnd now builds libgles1.
  * libnvidia-fatbinaryloader: Prevent co-installation with the same upstream
    version of libnvidia-legacy-390xx-fatbinaryloader.
  * Pass the private library directory to dh_shlibdeps using the -l option
    instead of LD_LIBRARY_PATH, fixing FTBFS with dpkg 1.19.1.
  * Add Build-Depends-Package to symbols files where appropriate and override
    symbols-file-missing-build-depends-package-field elsewhere.
  * Clean up and unify rule style in debian/rules.
  * Add debian/rules targets for archiving the tarballs in a separate
    repository using sparse checkouts and git-lfs as storage backend.
  * Switch to debhelper-compat (= 11).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Nov 2018 13:28:56 +0100

nvidia-graphics-drivers (390.87-2) unstable; urgency=medium

  * Reinstate cc_version_check-gcc5.patch.  (Closes: #908568)
  * nvidia-kernel-dkms.README.Debian: Document that using a mismatching
    binutils version may result in modules failing to load with errors like
    "Invalid module format", "Unknown rela relocation: 4".

 -- Andreas Beckmann <anbe@debian.org>  Sat, 15 Sep 2018 20:42:51 +0200

nvidia-graphics-drivers (390.87-1) unstable; urgency=medium

  * New upstream long lived branch release 390.87 (2018-08-27).
    - Fixed a resource leak introduced in the 390 series of drivers that could
      lead to reduced performance after starting and stopping several OpenGL
      and/or Vulkan applications.

  [ Luca Boccassi ]
  * Update nv-readme.ids.
  * Add drm-mode.patch to fix nvidia-drm build for Linux 4.19.
    (Closes: #908359)

  [ Andreas Beckmann ]
  * Remove cc_version_check-gcc5.patch and re-enable strict version checks,
    using mismatching compiler versions may create unloadable modules due to
    unsupported relocations.
  * Refresh patches.
  * Synchronize the module build debhelper sequence with debhelper 10.
  * Bump Standards-Version to 4.2.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Sep 2018 15:24:08 +0200

nvidia-graphics-drivers (390.77-1) unstable; urgency=medium

  * New upstream long lived branch release 390.77 (2018-07-16).
    - Improved compatibility with recent Linux kernels.
    - Fixed an intermittent hang of Vulkan applications running fullscreen
      when flipping is allowed.
    - Removed informational messages that were printed by nvidia-modeset.ko
      whenever a GPU device was allocated or freed.
    - Fixed a bug that caused kwin OpenGL compositing to crash when
      launching certain OpenGL applications.
  * New upstream release 367 series.
    - Updated the OpenGL driver to allow the use of integer format (SINT/UINT)
      color attachments with depth attachments in Frame Buffer Objects.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 Jul 2018 15:35:18 +0200

nvidia-graphics-drivers (390.67-3) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add drm_control_allow.patch to fix kernel module build for Linux 4.18 and
    newer.

  [ Andreas Beckmann ]
  * The libGLX_indirect.so.0 alternative is now handled by glx-alternatives.
  * Bump Standards-Version to 4.1.5. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Jul 2018 23:57:17 +0200

nvidia-graphics-drivers (390.67-2) unstable; urgency=high

  * Add kmem_cache_create_usercopy.patch from Red Hat, fixing "Bad or missing
    usercopy whitelist? Kernel memory exposure attempt detected from SLUB
    object 'nvidia_stack_cache'" on Linux kernels that have disabled
    CONFIG_HARDENED_USERCOPY_FALLBACK (i.e. linux-image-4.16.0-2-* or newer).
    (Closes: #901919)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jul 2018 02:01:31 +0200

nvidia-graphics-drivers (390.67-1) unstable; urgency=medium

  * New upstream long lived branch release 390.67 (2018-06-05).
    - Fixed a bug that could cause kernel panics when using Quadro SDI
      Capture hardware.
    - Fixed an intermittent crash when launching Vulkan applications.
    - Fixed an intermittent crash when launching applications through Wine.
    - Fixed a bug that caused the driver, in some low bandwidth DisplayPort
      configurations, to not implicitly enable display dithering.  This
      resulted in visible banding.
    * (Closes: #884917)

  [ Andreas Beckmann ]
  * Convert packaging repository from SVN to GIT.
  * Update nv-readme.ids.
  * nvidia-detect: Drop support for wheezy(-lts) (EoL).
  * Add NEWS entry for using the driver on Linux 4.16.16-1 or newer, which may
    require the kernel boot option slab_common.usercopy_fallback=y as a
    workaround.  (See #901919 for details.)
  * nvidia-drm-outputclass.conf: Prepend (in a backwards-compatible way)
      ModulePath "/usr/lib/xorg/modules/linux"
    since xserver 1.20 no longer does that.
    (Closes: #900248, #900264, #900378, #900766)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Jun 2018 12:32:19 +0200

nvidia-graphics-drivers (390.59-1) unstable; urgency=medium

  * New upstream long lived branch release 390.59 (2018-05-16).
    - Fixed intermittent hangs of fullscreen Vulkan applications when focused
      away (e.g., by using the alt-tab key combination) on non-composited
      desktops.
    - Added support for the following GPUs:
      GeForce GTX 1050 with Max-Q Design, Tesla V100-FHHL-16GB, Quadro P3200,
      Quadro P4200.

  [ Luca Boccassi ]
  * Drop swiotlb.patch, fixed upstream.
  * Update nv-readme.ids.
  * Update symbols files.
  * Add xorg-video-abi-24 as alternative dependency.
  * Bump xserver-xorg-core dependency to << 2:1.20.99 for ABI 24.
    (Closes: #900112, #902375)

 -- Luca Boccassi <bluca@debian.org>  Sat, 26 May 2018 19:14:30 +0100

nvidia-graphics-drivers (390.48-4) UNRELEASED; urgency=medium

  * Stop building lib*-glvnd-nvidia, now built from the 390xx legacy driver.
  * Switch to debhelper compat level 11.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 Apr 2018 09:41:33 +0200

nvidia-graphics-drivers (390.48-3) unstable; urgency=medium

  * Prepare nvidia-detect for the upcoming nvidia-legacy-390xx packages.
  * Prepare for the removal of i386/armhf support in 396.xx.
  * Support renamed variants of libnvidia-egl-wayland1/nvidia-egl-wayland-icd
    in legacy drivers.
  * Restrict watch file to releases from the 390.xx legacy branch.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 Apr 2018 04:34:11 +0200

nvidia-graphics-drivers (390.48-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * Fix loading nvidia kernel module on Linux 4.16 due to missing symbol.
    (Closes: #895429)

  [ Andreas Beckmann ]
  * Bump Standards-Version to 4.1.4. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Apr 2018 01:52:42 +0200

nvidia-graphics-drivers (390.48-1) unstable; urgency=medium

  * New upstream long lived branch release 390.48 (2018-03-28).
    * Fixed CVE-2018-6249, CVE-2018-6253.  (Closes: #894338)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4649
    - Added support for the following GPUs: Quadro GV100,
      Tesla V100-SXM2-32GB, Tesla V100-PCIE-32GB, Tesla V100-DGXS-32GB.
    - Updated the driver to prevent G-SYNC from being enabled when a
      Quadro Sync board is installed. G-SYNC and Quadro Sync were always
      mutually incompatible features, and this change makes it easier to
      use G-SYNC capable monitors on Quadro Sync configurations, as it is
      now no longer necessary to manually disable G-SYNC.
    - Further improved the fix for occasional flicker when using the X
      driver's composition pipeline.  This was mostly fixed in 390.42,
      but now the fix should be more complete.

  [ Luca Boccassi ]
  * Update nv-readme.ids.
  * Drop linux-4.15.patch, merged upstream.

  [ Andreas Beckmann ]
  * Merge changes from 384.130-1 (UNRELEASED).
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Apr 2018 17:51:02 +0200

nvidia-graphics-drivers (390.42-1) unstable; urgency=medium

  * New upstream long lived branch release 390.42 (2018-03-12).
    - Fixed a regression, introduced in 390.12, that caused occasional
      flicker when using the X driver's composition pipeline, for
      example when using screen transformations like rotation, or the
      "ForceCompositionPipeline" or "ForceFullCompositionPipeline"
      options."

  [ Andreas Beckmann ]
  * Install the renamed GLVND libraries and add SONAME symlinks.
  * Update symbols files.
  * Add linux-4.15 patch from Archlinux.  (Closes: #892413)
  * Remove obsolete bits from README.source.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 13 Mar 2018 06:30:27 +0100

nvidia-graphics-drivers (390.25-2) unstable; urgency=medium

  * Merge changes from 387.34-4.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Mar 2018 03:00:11 +0100

nvidia-graphics-drivers (390.25-1) experimental; urgency=medium

  * New upstream long lived branch release 390.25 (2018-01-29).
    - Fixed a regression introduced in 390.12 that prevented displays from
      working normally when running multiple X screens with emulated overlays.
    - Added support for the following GPUs: GeForce GTX 1060 5GB, Quadro P620.
    - Fixed a regression introduced in 390.12 that caused occasional hangs and
      hard lockup messages in the system log when screen transformations are in
      use.
    * (Closes: #872988)

  [ Luca Boccassi ]
  * Update nv-readme.ids.
  * Update symbols files.
  * Refresh nvidia-use-ARCH.o_binary.patch to remove fuzz.

  [ Andreas Beckmann ]
  * libcuda1: Add Provides: libcuda-9.1-1{,-i386}.
  * Merge changes from 384.111-4.
  * nvidia-detect: Report devices only supported on amd64.
  * nvidia-detect: Add PCI ID list for 384.111 in stretch.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 31 Jan 2018 00:40:05 +0100

nvidia-graphics-drivers (390.12-1) experimental; urgency=medium

  * New upstream beta 390.12 (2018-01-04).
    * Fixed CVE-2017-5753, CVE-2017-5715 (spectre), CVE-2017-5754 (meltdown).
      https://nvidia.custhelp.com/app/answers/detail/a_id/4611
      (Closes: #886852)
    - Added new application profile settings, "EGLVisibleDGPUDevices" and
      "EGLVisibleTegraDevices", to control which discrete and Tegra GPU
      devices, respectively, may be enumerated by EGL. See the "Application
      Profiles" appendix of the driver README for more details.
    - Corrected the SONAME of the copy of the libnvidia-egl-wayland library
      included in the .run installer package to libnvidia-egl-wayland.so.1.
      The SONAME had previously been versioned incorrectly with the full
      version number of the library.
    - Updated nvidia.ko to veto the ACPI_VIDEO_NOTIFY_PROBE event on
      kernels that allow the handler for this event to be overridden,
      to improve interaction between the NVIDIA driver and acpi_video
      on display hotplug events.
    - Fixed a bug that prevented Xinerama Info from being handled properly
      in SLI or Base Mosaic layouts with more than 24 displays.
    - Updated the X driver's composition pipeline (used for rotation,
      warp and blend, transformation matrices, etc) to also support stereo.
    - Fixed a bug where GetTexSubImage() would read incorrect data into
      a pixel buffer object when supplied with a target of
      GL_TEXTURE_1D_ARRAY and a non-zero yoffset value.
    - Added support for generic active stereo with in-band DisplayPort
      signaling. The X configuration option "InbandStereoSignaling" is
      deprecated in favor of this stereo mode. See "Appendix B. X Config
      Options" in the README for more information.
    - Modified the driver to avoid restoring framebuffer console modes
      on virtual reality head-mounted displays.
  * New upstream release 387 series.
    - Added support for the following GPUs: TITAN Xp COLLECTORS EDITION,
      GeForce GTX 1070 Ti, TITAN V [amd64].
    - Fixed a bug that could cause a system crash when using the new
      NVreg_EnableBacklightHandler kernel module parameter on GPUs with no
      displays connected.

  [ Luca Boccassi ]
  * Update nv-readme.ids.
  * Update symbols files.
  * Update lintian overrides.

  [ Andreas Beckmann ]
  * Split nv-readme.ids into nv-readme.ids.common and nv-readme.ids.$ARCH, the
    Volta GPUs (VDPAU feature set I), e.g. Tesla V100 and Titan V, are only
    supported on amd64.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 13 Jan 2018 06:45:31 +0100

nvidia-graphics-drivers (387.34-4) unstable; urgency=medium

  * libcuda1: Add Provides: libcuda-9.1-1{,-i386}.
  * nvidia-modprobe.conf: Consistently handle nvidia-modeset.
  * Merge changes from 384.111-4 (unstable), 384.111-4~deb9u1 (stretch).
  * Update lintian overrides.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 05 Mar 2018 05:12:11 +0100

nvidia-graphics-drivers (387.34-3) experimental; urgency=medium

  [ Luca Boccassi ]
  * Add timer.patch to fix kernel module build for Linux 4.15 and newer.

  [ Andreas Beckmann ]
  * Merge changes from 384.111-1.
  * Restrict watch file to releases from the 387.xx short lived branch.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Jan 2018 12:30:17 +0100

nvidia-graphics-drivers (387.34-2) experimental; urgency=medium

  * Support easier and consistent switching between GLVND/non-GLVND variants.
  * nvidia-driver-libs{,-i386}: Depend only on the GLVND variants.
  * nvidia-driver-libs-nonglvnd{,-i386}: New metapackages depending only on
    the non-GLVND variants.  (Closes: #864497)
  * Stop shipping the classic libnvidia-tls.so.* and ship the modern one (for
    Linux 2.6 onwards) in the regular libdir instead of the tls/ subdir.
    (Closes: #883615)
  * Add #tls# substitution for the tls/ source directory.
  * Bump Standards-Version to 4.1.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 18 Dec 2017 04:49:57 +0100

nvidia-graphics-drivers (387.34-1) experimental; urgency=medium

  * New upstream short lived branch release 387.34 (2017-11-24).
    (Closes: #881164)
    - Fixed a bug that caused Vulkan X11 swapchains to fail on GPUs without a
      display engine, such as some Tesla-branded graphics cards and some Optimus
      laptops.
    - Fixed a bug that caused fullscreen Vulkan applications to hang on some
      Kepler GPUs, such as the GeForce GTX 680.
    - Fixed a bug where the G-SYNC indicator was reporting "normal" instead
      of "G-SYNC" on Vulkan applications when G-SYNC was enabled.
  * New upstream short lived branch release 387.22 (2017-10-30).
    - Fixed a regression that could cause driver errors when setting modes
      that include DisplayPort Multi-Stream Transport devices.
    - Added an nvidia.ko kernel module parameter, NVreg_EnableBacklightHandler,
      which can be used to enable experimental handling of laptop backlight
      brightness through /sys/class/backlight/. This handler overrides the
      ACPI-based one provided by the video.ko kernel module.
      NVreg_EnableBacklightHandler is disabled by default.
    - Added G-SYNC to all supported Vulkan swapchains for Maxwell and up.
      G-SYNC is enabled by default when using G-SYNC-ready monitors.  For
      direct-to-display swapchains, an application profile with "GLGSYNCAllowed"
      setting set to 'false' can be used to disable this feature:
        {
          "rules" : [
            { "pattern" : [], "profile" : [ "GLGSYNCAllowed", false ] }
          ]
        }
  * New upstream beta 387.12 (2017-10-03).
    - Fixed a regression that caused some display connectors on some GPUs to not
      report a connected HDMI or DisplayPort audio device even if the connected
      monitor supports audio.
    - Fixed a race condition that could lead to crashes when OpenGL programs
      manipulated vertex buffer objects from multiple threads simultaneously.
    - Improved performance of fullscreen Vulkan applications using X11
      swapchains.  This optimization will cause more events that trigger
      an out-of-date swapchain, such as when entering or leaving
      fullscreen mode.  (This is commonly encountered when using the
      alt-tab key combination, for example.)   Applications that do not
      properly respond to the VK_ERROR_OUT_OF_DATE_KHR return code may
      not function properly when these events occur.  See section 30.8
      of the Vulkan specification.
    - Added support for YUV 4:2:0 compression for monitors connected via
      DisplayPort in configurations where either the display or GPU is
      incapable of driving the current mode in RGB 4:4:4.  See the
      description in the "Programming Modes" appendix for details.
    - Added framebuffer console hot plug handling to nvidia-modeset.
      Note that hot plugging is only handled when nvidia-modeset is initialized;
      for example, when Xorg or nvidia-persistenced is running or when
      nvidia-drm is loaded with the "modeset=1" parameter.
    - Added an "AllowGSYNC" MetaMode attribute that can be used to disable
      G-SYNC completely. This can be use to allow enabling features that are
      incompatible with G-SYNC, such as Ultra Low Motion Blur or Frame Lock.
    - Fixed several problems that prevented the "cc_version_check" sanity
      test from running correctly when building the NVIDIA kernel modules.
      As these problems would have masked mismatches between the compiler
      versions used to build the kernel and the NVIDIA kernel modules for
      an extended period of time, nvidia-installer has been updated to
      ignore CC version mismatches by default when they are detected.
    - Tiled monitors formerly resulted in a separate Xinerama screen being
      reported for each tile. They will now, by default, be combined into a
      single large Xinerama screen.
    - The individual panels in a tiled monitor will now be arranged based
      on the layout information provided in the monitor's EDID. This can be
      overridden by either manually specifying offsets or using the
      "MetaModeOrientation" option.
    - Disabled interlaced modes over DisplayPort by default due to incomplete
      support in the GPU. Added "AllowDpInterlaced" mode validation token to
      override this default behavior and allow interlaced modes over
      DisplayPort protocol anyway.

  [ Luca Boccassi ]
  * Update d/copyright with new 6.3 paragraph in NVIDIA's license, which warns
    that the drivers are licensed for usage with NVIDIA hardware.
  * Drop nvidia-drm-crtc.patch, fixed upstream, and refresh
    nvidia-drm-master-dev.patch and use-kbuild-compiler.patch to remove fuzz.
  * Adjust filenames for new minor ABI revision of libnvidia-egl-wayland1
    (libnvidia-egl-wayland.so.1.0.1 -> libnvidia-egl-wayland.so.1.0.2).
  * Update symbols files.
  * Update nv-readme.ids.
  * Refresh nvidia-use-ARCH.o_binary.patch to remove fuzz from 387.22.

  [ Andreas Beckmann ]
  * Update lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Dec 2017 01:57:08 +0100

nvidia-graphics-drivers (384.130-1) stretch; urgency=medium

  * New upstream long lived branch release 384.130 (2018-03-28).
    * Fixed CVE-2018-6249, CVE-2018-6253.
      https://nvidia.custhelp.com/app/answers/detail/a_id/4649
      (Closes: #894338)
    - Improved compatibility with recent Linux kernels.
    - Fixed a string concatenation bug that caused libGL to accidentally try to
      create the directory "$HOME.nv" rather than "$HOME/.nv" in some cases
      where /tmp isn't accessible.  (Closes: #888028)
    - Increased the version numbers of the GLVND libGL, libGLESv1_CM,
      libGLESv2, and libEGL libraries, to prevent concurrently installed
      non-GLVND libraries from taking precedence in the dynamic linker
      cache.

  [ Luca Boccassi ]
  * Install the renamed GLVND libraries and add SONAME symlinks.

  [ Andreas Beckmann ]
  * Bump the required glx-diversions/glx-alternative-nvidia version for the
    renamed GLVND libraries.
  * Upload to stretch

 -- Andreas Beckmann <anbe@debian.org>  Tue, 17 Apr 2018 14:40:27 +0200

nvidia-graphics-drivers (384.111-4~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.
  * Relax the libvulkan1 (build-)dependency.
  * Do not conflict with *-glvnd-nvidia, there is no libglvnd in stretch.
  * Continue recommending the GLESv1 library for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Feb 2018 01:45:42 +0100

nvidia-graphics-drivers (384.111-4) unstable; urgency=medium

  * nvidia-kernel-{dkms,source}: Mention the supported architecture(s) in the
    long Description.
  * Use dh_missing --fail-missing.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 30 Jan 2018 20:37:47 +0100

nvidia-graphics-drivers (384.111-3) unstable; urgency=medium

  * Add more Breaks to nvidia-driver-libs and nvidia-driver-libs-nonglvnd to
    ease upgrade paths and switching.
  * nvidia-alternative.prerm: Trigger register-glx-alternative-nvidia upon
    removal.  (Closes: #883637)
  * libgl1-nvidia-glx.prerm: Do not forcibly remove the nvidia alternative,
    this would reset it from manual mode to auto mode while it could still
    be needed by other packages, e.g. libcuda1. Let the nvidia-alternative
    triggers handle it instead.
  * nvidia-kernel-dkms: Remove libelf-dev workaround, fixed in src:linux.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Jan 2018 01:43:41 +0100

nvidia-graphics-drivers (384.111-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.3. No changes needed.
  * Add Breaks between nvidia-driver-libs and nvidia-driver-libs-nonglvnd.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 14 Jan 2018 16:18:39 +0100

nvidia-graphics-drivers (384.111-1) unstable; urgency=medium

  * New upstream long lived branch release 384.111 (2018-01-04).
    * Fixed CVE-2017-5753, CVE-2017-5715 (spectre), CVE-2017-5754 (meltdown).
      https://nvidia.custhelp.com/app/answers/detail/a_id/4611
      (Closes: #886852)
    - Added support for the following GPUs: GeForce MX130, GeForce MX110,
      GeForce GTX 1050 Ti with Max-Q Design, Quadro P500.
    - Fixed a regression that prevented displays connected via some types of
      passive adapters (e.g. DMS-59 to VGA or DVI) from working correctly.
      The regression was introduced with driver version 384.98.
    - Fixed a bug that caused Quadro M2200 GPUs to enter the lowest available
      PowerMizer performance level when under load.
    * Improved compatibility with recent Linux kernels.  (Closes: #886470)

  [ Andreas Beckmann ]
  * Support easier and consistent switching between GLVND/non-GLVND variants.
  * nvidia-driver-libs{,-i386}: Depend only on the GLVND variants.
  * nvidia-driver-libs-nonglvnd{,-i386}: New metapackages depending only on
    the non-GLVND variants.  (Closes: #864497)
  * nvidia-driver-libs: Stop recommending the GLES1 library, dropped by MESA.
  * Stop shipping the classic libnvidia-tls.so.* and ship the modern one (for
    Linux 2.6 onwards) in the regular libdir instead of the tls/ subdir.
    (Closes: #883615)
  * Add #tls# substitution for the tls/ source directory.
  * Bump Standards-Version to 4.1.2. No changes needed.

  [ Luca Boccassi ]
  * Update nv-readme.ids.
  * Update symbols files.
  * nvidia-kernel-dkms: add dependency to libelf-dev [amd64] to fix kernel
    modules builds failures due to new config used by the kernel.
    Workaround for #886474.
  * Update German debconf translation. Thank you Holger Wansing!
    (Closes: #885925)
  * Update Russian debconf translation. Thank you Lev Lamberov!
    (Closes: #886005)

 -- Luca Boccassi <bluca@debian.org>  Sat, 06 Jan 2018 20:05:47 +0000

nvidia-graphics-drivers (384.98-3) unstable; urgency=medium

  * Fix libnvidia-ptxjitcompiler.so.1 alternative link.  (Closes: #883303)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 02 Dec 2017 21:50:28 +0100

nvidia-graphics-drivers (384.98-2) unstable; urgency=medium

  * Merge changes from 381.22-3.
  * Restrict watch file to releases from the 384.xx long lived branch.
  * Fix circular dependency between stamp and generated nvidia_icd.json.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Nov 2017 07:29:38 +0100

nvidia-graphics-drivers (384.98-1) experimental; urgency=medium

  * New upstream long lived branch release 384.98 (2017-11-02).
    - Added support for the following GPUs: P104-101, P106-090,
      Tesla V100-SXM2-16GB [amd64], Tesla V100-PCIE-16GB [amd64].
    - Fixed a bug that could cause some eDP G-SYNC displays to flicker at low
      refresh rates.
    - Fixed a bug that could cause OpenGL applications to crash after a
      prolonged DPMS sleep state on a monitor driven with PRIME Sync.
    - Fixed a bug that artificially limited the maximum pixel clock to 300 MHz
      when using certain more capable DisplayPort to HDMI adapters.
    - Fixed a bug that prevented the NVIDIA kernel modules from building for
      non-SMP Linux kernels.
    - Updated the output of `nvidia-smi nvlink --status` to include reporting
      NVLink speed.
    - Fixed a bug that caused incorrect PCI topology reporting in nvidia-smi
      on Intel Skylake systems.
    * Improved compatibility with recent Linux kernels.

  [ Luca Boccassi ]
  * Update nv-readme.ids.
  * Drop nvidia-drm-master-dev.patch and nvidia-drm-crtc.patch, issues fixed
    upstream.

  [ Andreas Beckmann ]
  * Merge changes from 375.82-8.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 07 Nov 2017 22:04:04 +0100

nvidia-graphics-drivers (384.90-2) experimental; urgency=medium

  * Merge changes from 375.82-7.  (Closes: #876766)
  * libcuda1: Add Provides: libcuda-9.0-1{,-i386}.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 30 Oct 2017 02:16:27 +0100

nvidia-graphics-drivers (384.90-1) experimental; urgency=medium

  * New upstream long lived branch release 384.90 (2017-09-21).
    * Fixed CVE-2017-6266, CVE-2017-6267, CVE-2017-6272. (Closes: #876414)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4544
    - Fixed a regression that caused display flickering at lower PowerMizer
      performance levels on some GPUs.
    - Fixed a regression that prevented console restoration after a VT switch
      on some GPUs.
    - Fixed a bug that could cause a system hang when resuming from suspend
      with some GPUs.
    - Fixed a bug that caused slow or stuttering frame rates in applications
      that use GLX_EXT_swap_control_tear while G-SYNC is active.
    - Added support for the following GPU: Quadro P5200.
    - Fixed a bug in the NVIDIA VDPAU driver that caused
      VdpVideoSurfaceGetBitsYCbCr() of H.265/HEVC content to have interlaced
      artifacts.
    - Fixed a bug that caused the X driver to not correctly report the
      "BlendOrder" MetaMode token when querying the MetaMode through, e.g.,
      `nvidia-settings --query CurrentMetaMode`.
    * Closes: #877971.

  [ Luca Boccassi ]
  * Refresh man-fixes-nvidia-smi.patch.
  * Update nv-readme.ids.
  * Update symbols files.

  [ Andreas Beckmann ]
  * Merge changes from 375.82-5.  (Closes: #878023)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Oct 2017 15:03:01 +0200

nvidia-graphics-drivers (384.69-1) experimental; urgency=medium

  * New upstream long lived branch release 384.69 (2017-08-22).
    - Fixed an intermittent hang when using Vulkan to present directly to
      display with the VK_KHR_display extension.  SteamVR was particularly
      affected by that hang.
    - Added support for the following GPU: Quadro P4000 with Max-Q Design.
  * New upstream long lived branch release 384.59 (2017-07-24).
    * Fixed CVE-2017-6257, CVE-2017-6259.  (Closes: #869783)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4525
    - Added support for the following GPUs: GeForce GT 1030, GeForce MX150,
      P104-100, P106-100.
    - Fixed a bug that caused S4 suspend (also known as "hibernate") to hang
      during suspend when SLI was enabled.
    - Fixed a bug where devices would not be properly enumerated by
      the Vulkan driver.  See the "Known Issues" section of the README
      for more details.
  * New upstream beta 384.47 (2017-06-29).
    - Fixed a bug that could cause OpenGL applications to crash after
      calling glDeleteBuffers on VBOs that have been remapped with
      ARB_vertex_attrib_binding.
    - Fixed a bug that could sometimes cause OpenGL applications to
      lock up until the X server receives input.
    - Fixed a bug that caused VDPAU playback to be corrupted when
      extended to coordinates beyond 16384 pixels.
    - Restored several sanity checks that were inadvertently removed from
      the kernel module build process in the 355.06 driver.
    - Added support for a "Nearest" transform filter in the X driver.
      This causes the X driver to use nearest neighbor filtering when
      performing screen transformations.  The filter can be requested
      through the 'filter' argument to RandR's RRSetCrtcTransform,
      or through the 'ResamplingMethod' MetaMode token.
  * New upstream release 375 series.
    - Disabled G-SYNC in desktop environments, such as Budgie, that use
      libmutter-0.so.
      An existing rule to disable G-SYNC for libmutter.so no longer applied
      after the library was renamed to libmutter-0.so.

  [ Luca Boccassi ]
  * Refresh man-fixes-nvidia-smi.patch for 384.47.
  * Update nv-readme.ids.
  * Update symbols files.

  [ Andreas Beckmann ]
  * Rename libnvidia-ptxjitcompiler to libnvidia-ptxjitcompiler1, this library
    gained a stable SONAME.
  * Update lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Sep 2017 13:14:08 +0200

nvidia-graphics-drivers (381.22-3) unstable; urgency=medium

  * Merge changes from 378.13-3.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Nov 2017 17:17:35 +0100

nvidia-graphics-drivers (381.22-2) experimental; urgency=medium

  * Merge changes from 375.82-3.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Sep 2017 10:42:08 +0200

nvidia-graphics-drivers (381.22-1) experimental; urgency=medium

  * New upstream short lived branch release 381.22 (2017-05-09).
    * Fixed CVE-2017-0350, CVE-2017-0351, CVE-2017-0352.  (Closes: #863515)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4462
    - Fixed a bug that caused the GLX_EXT_buffer_age buffer age extension to
      return incorrect values for stereo drawables when using passive stereo
      modes 5 through 9.
    - Fixed a bug in Vulkan direct to display where DP1.2 monitors were not
      being enumerated.
  * New upstream beta 381.09 (2017-04-06).
    - Improved compatibility with recent kernels.
    - Fixed a bug that caused applications to crash in some situations when
      calling glXMakeCurrent while OpenGL threaded optimizations were enabled.
      This frequently occurred when Steam was attempting to make a video appear
      full-screen.
    - Fixed a bug that caused VDPAU applications to use the blit presentation
      queue when a previous VDPAU application didn't shut down cleanly.
    - Fixed hangs and crashes that could occur when an OpenGL context is created
      while the system is out of available memory.
    - Fixed a bug that caused corruption when OpenGL windows were moved or
      resized.
    - Fixed a bug that caused X screens that use Option "UseDisplayDevice"
      "none" to be resized to 640x480 when using "xrandr -s" to change the
      screen configuration.
    - Fixed a kernel crash that occurred when attempting to map large user
      memory allocations into CUDA.
    - Disabled OpenGL threaded optimizations by default, initially
      enabled in 378.09, due to various reports of instability.
    - Added support for the following Vulkan extensions:
      VK_EXT_acquire_xlib_display, VK_EXT_display_control,
      VK_EXT_display_surface_counter, VK_EXT_direct_mode_display,
      VK_KHX_external_memory, VK_KHX_external_memory_fd,
      VK_KHX_external_semaphore, VK_KHX_external_semaphore_fd.
      These extensions require a Vulkan loader version >= 1.0.42.
    - Removed the X driver's logo splash screen and the corresponding NoLogo
      and LogoPath xorg.conf options.
    - Added the "ResamplingMethod" MetaMode option, adding support for
      bicubic resampling methods when scaling screen transformations
      are in use.  See the README for more details.

  [ Andreas Beckmann ]
  * Bump libvulkan1 dependency to (>= 1.0.42).
  * Add nvidia-nonglvnd-vulkan-icd and nvidia-nonglvnd-vulkan-common for the
    non-GLVND variant of Vulkan support.  (Closes: #864477)
  * Use nvidia_icd.json as the template to generate the non-GLVND variant.
  * Rename libgldispatch0-nvidia to libglvnd0-nvidia, matching libglvnd0.
  * GLVND stub libs: Conflicts/Replaces/Provides the libglvnd package names.
  * Use libglvnd libraries as preferred alternative dependencies.
  * Restrict watch file to releases from the 381.xx short lived branch.
  * Update lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 13 Aug 2017 08:02:13 +0200

nvidia-graphics-drivers (378.13-3) unstable; urgency=medium

  * Merge changes from 375.82-9.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Nov 2017 16:29:16 +0100

nvidia-graphics-drivers (378.13-2) experimental; urgency=medium

  [ Andreas Beckmann ]
  * Merge changes from 375.82-1.

  [ Luca Boccassi ]
  * Add fatal-signal.patch to fix kernel module build for Linux 4.11 and newer.
  * Add kref-refcount.patch, drm-encoder.patch, drm-unload.patch,
    drm-helper-mode.patch and drm-vma-fault.patch to fix kernel module build
    for Linux 4.11 and newer.  (Closes: #870677)
  * Add set-memory.patch to fix kernel module build for Linux 4.12 and newer.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 10 Aug 2017 19:09:08 +0200

nvidia-graphics-drivers (378.13-1) experimental; urgency=medium

  * New upstream short lived branch release 378.13 (2017-02-14).
    - Disabled OpenGL threaded optimizations by default under Xinerama.
  * New upstream beta 378.09 (2017-01-18).
    - Added support for the ARB_parallel_shader_compile extension to allow
      multi-threaded compilation of GLSL shaders.
    - Updated the X driver to ignore any Virtual Reality Head Mounted
      Displays (HMDs).  See the "AllowHMD" X configuration option in the
      README for details.
    - The driver will now advertise GLX FBConfigs with no depth bits on depth 30
      X screens.
    - Added support in nvidia-settings to view configured PRIME displays. To
      enable PRIME displays, see "Offloading Graphics Display with RandR 1.4"
      in the README.
    - Added infrastructure which enables the NVIDIA EGL driver to load EGL
      external platform libraries that add client-side support for new window
      systems, beyond the existing libnvidia-egl-wayland.so.1. For more
      details, see:
        - https://github.com/NVIDIA/eglexternalplatform
        - https://github.com/NVIDIA/egl-wayland
    - Added support for the following Vulkan extensions: VK_KHR_display,
      VK_KHR_display_swapchain.
    - Enabled OpenGL threaded optimizations by default in the driver. Refer to
      the "Threaded Optimizations" section in the "Specifying OpenGL Environment
      Variable Settings" chapter of the README for details.  These optimizations
      will self-disable when they are degrading performance.  As a result,
      performance should be unchanged for many applications, and increased for
      those that benefit from threaded optimizations and were not already
      forcing them enabled.

  [ Luca Boccassi ]
  * Refresh nvidia-drm-master-dev.patch for 378.09 to remove fuzz
  * Update symbols files
  * Add support and virtual provides for OpenCL 2.0 in the ICD loader library.
  * Rename libnvidia-egl-wayland -> libnvidia-egl-wayland1 to follow SONAME
    change
  * Add new nvidia-egl-wayland-icd and nvidia-egl-wayland-common packages to
    add support for the new EGL external platform infrastructure
  * Add deprecated-cpu-events.patch, dma-fence-rename.patch and
    vmf-address.patch to fix kernel module build for Linux 4.10 and newer.

  [ Andreas Beckmann ]
  * Restrict watch file to releases from the 378.xx short lived branch.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 14 Jun 2017 19:48:45 +0200

nvidia-graphics-drivers (375.82-9) unstable; urgency=medium

  * B-D: dpkg-dev (>= 1.18.8) for SOURCE_DATE_EPOCH in pkg-info.mk.
  * Set Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Nov 2017 09:50:24 +0100

nvidia-graphics-drivers (375.82-8) unstable; urgency=medium

  * Do not provide libglvnd package names at all.
  * nvidia-driver-libs: Add Conflicts against *-glvnd-nvidia to force
    switching to the libglvnd packages.  (Closes: #878035, #879261, 875438)
  * Use https:// URLs where possible.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 04 Nov 2017 20:34:10 +0100

nvidia-graphics-drivers (375.82-7) unstable; urgency=medium

  * Use Conflicts+Replaces+Provides on the provided libglvnd package names,
    Breaks does not work for M-A: same packages.  (Closes: #879821)
  * Use debian/substvars for substitutions by dpkg-genchanges (dpkg 1.19).
  * nvidia-detect: Detect devices in PCI classes 0301 (XGA compatible
    controller) and 0302 (3D controller), too.  (Closes: #879792)
  * bug-script: List these devices, too.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 29 Oct 2017 19:33:44 +0100

nvidia-graphics-drivers (375.82-6) unstable; urgency=high

  [ Luca Boccassi ]
  * Add use-kbuild-gcc-plugins.patch to fix kernel module build failure
    when the kernel is built with CONFIG_GCC_PLUGIN*. (Closes: #878677)

  [ Andreas Beckmann ]
  * Provide libglvnd package names, mesa 17.x is now in testing.
    (Closes: #876766, #389971)
  * Do not provide libglvnd package names where the NVIDIA provided binaries
    are missing symbols w.r.t. to the libglvnd packages.
    (Closes: #879264, #879013)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 25 Oct 2017 13:43:16 +0200

nvidia-graphics-drivers (375.82-5) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Use Priority: optional for transitional packages.
  * Bump Standards-Version to 4.1.1.
  * bug-control: Add arch qualification to M-A:same packages in report-with
    list otherwise reportbug will ignore them if more than one is installed.
  * bug-control: Report status of libglvnd packages.
  * Simplify upstream changelog handling.

  [ Luca Boccassi ]
  * Add nvidia-drm-crtc.patch to fix nvidia-drm kernel module build failure
    for Linux 4.14. (Closes: #878160)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Oct 2017 21:18:39 +0200

nvidia-graphics-drivers (375.82-4) unstable; urgency=medium

  * Prevent mixing libgl1-nvidia-glx with libgl1-nvidia-glvnd-glx.
  * Use versioned Depends and Provides/Breaks/Replaces on the packages also
    built from src:libglvnd s.t. they cannot be satisfied by virtual packages
    provided from src:mesa (<< 17).  (Closes: #875683, #876100)
  * Do not yet provide the libglvnd package names that were also virtual
    packages in mesa (for compatibility with mesa (<< 17) still in testing).
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 Sep 2017 08:19:58 +0200

nvidia-graphics-drivers (375.82-3) unstable; urgency=medium

  * nvidia-legacy-check: Fix debconf errors if more than one legacy NVIDIA
    device is present.  (Closes: #869817, #864406, #812595)
  * Mark GRID K1, GRID K2, GRID K340 as legacy GPUs supported only up to
    nvidia-legacy-340xx-driver.  (Closes: #873050)
  * GLVND stub libs: Provide the libglvnd package names.
  * Provide libglx-vendor, libegl-vendor for libglvnd compatibility.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 08 Sep 2017 17:58:46 +0200

nvidia-graphics-drivers (375.82-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Bump Standards-Version to 4.1.0. No changes needed.
  * nvidia-alternative: Explicitly use interest-await triggers.
  * Switch from dh_install --list-missing to dh_missing.
  * Use dpkg makefile snippets instead of manual changelog parsing.
  * build-module-packages.sh: Order kernels by descending version.
    Skip PREEMPT_RT (*-rt-*) kernels, unsupported upstream.
  * Add nvidia-nonglvnd-vulkan-icd and nvidia-nonglvnd-vulkan-common for the
    non-GLVND variant of Vulkan support.  (Closes: #864477)
  * Use nvidia_icd.json as the template to generate the non-GLVND variant.
  * Rename libgldispatch0-nvidia to libglvnd0-nvidia, matching libglvnd0.
  * Use libglvnd libraries as preferred alternative dependencies.
  * GLVND stub libs: Conflicts/Replaces the corresponding libglvnd packages.

  [ Luca Boccassi ]
  * README.source: Add pointer to the wiki for instructions to build latest
    packages from SVN.
  * Switch to my debian.org email address in Uploaders.

  [ Russ Allbery ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Sep 2017 15:03:09 +0200

nvidia-graphics-drivers (375.82-1~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 09 Aug 2017 05:03:52 +0200

nvidia-graphics-drivers (375.82-1) unstable; urgency=high

  * New upstream long lived branch release 375.82 (2017-07-24).
    * Fixed CVE-2017-6257, CVE-2017-6259.  (Closes: #869783)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4525
    - Fix a bug with GLX_EXT_buffer_age where incorrect buffer age values
      would be reported for SLI AFR configurations. In such configurations
      buffer age may now be greater than 3, the previous maximum buffer age.
    - Fixed a bug that could cause hanging and Xids when performing RandR
      transforms with Overlay and SLI enabled.
    - Extended the information reported by the NVIDIA Xinerama X extension to
      report PRIME displays in addition to directly-connected displays.
    - Fixed a bug that caused HDMI audio devices to appear or disappear
      inconsistently when HDMI devices were hotplugged or unplugged.
    - Fixed a bug that could cause driver errors when setting modes on X
      screens running at Depth 8 or Depth 15.
    - Added support for the following GPUs: GeForce GTX 1080 with Max-Q
      Design, GeForce GTX 1070 with Max-Q Design,
      GeForce GTX 1060 with Max-Q Design.
    - Fixed a bug that could cause intermittent kernel panics when running with
      PRIME Sync.
    - Fixed a bug that caused a kernel panic when hotplugging HDMI displays
      on some Zotac mini PCs.

  [ Andreas Beckmann ]
  * nvidia-kernel-dkms: Honor parallel setting from dkms.  (Closes: #864639)
  * Do not prevent ccache usage. The bug was fixed in ccache 3.0 (in squeeze).
  * Switch watch URL from ftp:// to https://.  (Closes: #868815)

  [ Luca Boccassi ]
  * Add support for buster in nvidia-detect.  (Closes: #866126)
  * Update symbols files.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Wed, 26 Jul 2017 21:42:00 +0100

nvidia-graphics-drivers (375.66-2~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Jul 2017 14:35:22 +0200

nvidia-graphics-drivers (375.66-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * nvidia-vulkan-common: Add Conflicts: libgl1-nvidia-glx as a workaround for
    #864477 (wrong library referenced in nvidia_icd.json in non-GLVND setups).
  * nvidia-legacy-check.preinst: Verbose debug output can be enabled by
    setting DEBUG_NVIDIA_LEGACY_CHECK=yes in the environment.
  * nvidia-legacy-check: Bump Pre-Depends: nvidia-installer-cleanup to
    (>= 20151021) for smoother upgrades from jessie.  (See: #864775)
  * Clean up upstream changelog entries.

  [ Luca Boccassi ]
  * nvidia-driver.README.Debian: Add notes about GLVND vs non-GLVND flavours.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 Jun 2017 02:01:53 +0200

nvidia-graphics-drivers (375.66-1) unstable; urgency=medium

  * New upstream long lived branch release 375.66 (2017-05-04).
    * Fixed CVE-2017-0350, CVE-2017-0351, CVE-2017-0352.  (Closes: #863515)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4462
    - Fixed a bug that could cause EGL applications to crash when
      calling eglInitialize() multiple times on X11-backed displays.
    - Fixed a regression that could cause rendering corruption on a
      monitor connected via DisplayPort upon a modeset event (for
      example, changing resolutions or power cycling the monitor).
    - Fixed a bug that could cause OpenGL applications to crash when
      VT switching between multiple X servers.
    - Fixed a bug that caused the system to become unresponsive after
      resuming from power management suspend/hibernate.  Additional
      symptoms of this bug included display flickering and "Xid 56"
      errors in the kernel log.
    - Fixed a bug that caused backlight brightness to not be controllable
      on some notebooks with DisplayPort internal panels.
    - Added support for the following GPUs: GeForce GTX 1080 Ti, Quadro M520,
      TITAN Xp, Quadro P3000.
    - Fixed a bug that left HDMI and DisplayPort audio muted after a framebuffer
      console mode was restored. For some displays, this caused the display to
      remain blank.
    - Fixed a bug that caused audio over DisplayPort to stop working when the
      monitor was unplugged and plugged back in or woken from DPMS power-saving
      mode.
    - Restored support for the following GPU: GRID K520.
    - Fixed a regression that caused corruption in certain applications, such as
      window border shadows in Unity, after resuming from suspend.
    - Fixed a bug that could cause some applications to crash when
      running with PRIME Sync.
    - Fixed a bug that prevented PRIME Sync from working on notebooks
      with GeForce GTX 4xx and 5xx series GPUs.
    - Fixed a bug that caused OpenGL applications to have excessive CPU usage
      when running with PRIME Sync but without native displays enabled.
    - Fixed a bug that could cause PRIME Sync to deadlock in the kernel,
      particularly common on Linux 4.10.
    - Fixed a bug that caused PRIME Sync to run slowly on systems with Pascal
      GPUs.
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Merge changes from 340.102-1 (jessie).

  [ Luca Boccassi ]
  * Update nv-readme.ids
  * Update symbols files
  * Drop deprecated-cpu-events.patch, dma-fence-rename.patch and
    vmf-address.patch, fixed upstream

 -- Luca Boccassi <luca.boccassi@gmail.com>  Sun, 28 May 2017 12:03:11 +0100

nvidia-graphics-drivers (375.39-1) unstable; urgency=medium

  * New upstream long lived branch release 375.39 (2017-02-14).
    * Fixed CVE-2017-0309, CVE-2017-0310, CVE-2017-0311, CVE-2017-0318,
      CVE-2017-0321.  (Closes: #855277)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4398
    - Fixed a bug that caused system hangs when resuming from suspend with
      some GPUs.
    - Fixed a regression that could cause corruption when hot-plugging
      displays.
    - Fixed a regression that prevented systems with multiple DisplayPort
      monitors from resuming correctly from suspend.
    - Added support for the following GPU(s): Quadro GP100, Quadro P4000,
      Quadro P2000, Quadro P1000, Quadro P600, Quadro P400, Quadro M1200,
      Quadro M2200.

  [ Luca Boccassi ]
  * Update nv-readme.ids
  * Update symbols files
  * Add deprecated-cpu-events.patch, dma-fence-rename.patch and
    vmf-address.patch to fix kernel module build for Linux 4.10 and newer.
    (Closes: #855802)

  [ Andreas Beckmann ]
  * bug-control: Report information about installed Vulkan ICDs.
  * Restrict watch file to releases from the 375.xx long lived branch.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 Feb 2017 16:36:38 +0100

nvidia-graphics-drivers (375.26-2) unstable; urgency=medium

  * Merge changes from 340.101-1 (jessie).
  * nvidia-alternative: Add alternative for
    /usr/share/nvidia/nvidia-application-profiles-key-documentation
    (Closes: #825637)
  * Switch to debhelper compat level 10.
  * Add ${nvidia:Deb-Version-After:jessie} substvar to simplify adjusting
    Breaks/Replaces for new upstream releases in stable.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 Jan 2017 03:53:38 +0100

nvidia-graphics-drivers (375.26-1) unstable; urgency=medium

  * New upstream long lived branch release 375.26 (2016-12-14).
    * Fixed CVE-2016-8826.  (Closes: #848195)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4278
    - Fixed a regression that prevented the backlight on some notebook
      computer displays from turning back on after being shut off.
    - Fixed a regression that prevented the console from being restored
      properly when using SLI.
    - Fixed a regression that prevented the GLX_NV_swap_group extension from
      working when using SLI or Quadro Sync.
    - Fixed a long-standing bug that caused the NVIDIA X driver to not
      correctly detect AC/battery hotplug events on notebooks.
    - Added support for the following GPU(s): Quadro M3000 SE.
    - Fixed an interaction problem between the Linux kernel's
      CONFIG_HARDENED_USERCOPY feature (new in Linux kernel 4.8)
      and nvidia-drm.ko with modeset=1 enabled.  This problem caused
      CONFIG_HARDENED_USERCOPY to erroneously halt the system, issuing
      reports of the form:
        usercopy: kernel memory overwrite attempt detected to ffff8803e8ec7ce0
                  (<process stack>) (8 bytes)
    * Fixed issues with OpenGL applications running simultaneously.
      (Closes: #847057)

  [ Andreas Beckmann ]
  * Updated Dutch (nl) debconf translations by Frans Spiesschaert.
    (Closes: #848380)

  [ Luca Boccassi ]
  * Update symbols files

 -- Andreas Beckmann <anbe@debian.org>  Sat, 17 Dec 2016 18:39:19 +0100

nvidia-graphics-drivers (375.20-4) unstable; urgency=medium

  * Upload to unstable.  (Closes: #845638)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Dec 2016 17:23:29 +0100

nvidia-graphics-drivers (375.20-3) experimental; urgency=medium

  * nvidia-egl-common, nvidia-egl-icd: New packages for EGL as ICD via GLVND.
  * libgl1-nvidia-glvnd-glx: New metapackage for the GLVND variant.
  * Merge changes from 370.28-2.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Dec 2016 13:39:43 +0100

nvidia-graphics-drivers (375.20-2) experimental; urgency=medium

  * Bump xserver-xorg-core dependency to << 2:1.19.99 for ABI 23.
    (Closes: #846030)

 -- Luca Boccassi <luca.boccassi@gmail.com>  Mon, 28 Nov 2016 09:55:32 +0000

nvidia-graphics-drivers (375.20-1) experimental; urgency=medium

  * New upstream long lived branch release 375.20 (2016-11-18).
    (Closes: #845000)
    - Fixed a bug that could cause displays in SLI Mosaic to blank when
      applying a transformation matrix.
    - Added EGL support to the GL Vendor Neutral Dispatch Library (libGLVND).
      The installer package now includes both GLVND and non-GLVND versions of
      the EGL libraries: the --glvnd-egl-client and --no-glvnd-egl-client
      options in nvidia-installer can be used to select which to install.
    - Added support for the following GPUs: GeForce GTX 1050,
      GeForce GTX 1050 Ti, Quadro M620, Quadro M5000 SE, Tesla P100-PCIE-12GB,
      Tesla P100-PCIE-16GB, Tesla P100-SXM2-16GB, Tesla P4.
    - Fixed a bug that prevented G-SYNC from working on notebook displays.
    - Fixed a bug that caused DisplayPort multi-stream devices to go blank after
      the console is restored.
    - Fixed a bug that caused a kernel crash when starting X for the second time
      when more than one DisplayPort multi-stream device is connected to a
      single DisplayPort connector via a branch device.
  * New upstream beta 375.10 (2016-10-20).
    - Added new X configuration options:
        ForceCompositionPipeline
        ForceFullCompositionPipeline
      which override the MetaMode tokens with the same names.
    - Fixed a bug that caused issues with panning and cursor constraining when
      mixing PRIME-driven displays with natively driven displays.
    - Fixed a bug that caused long delays when leaving the VT or disabling a
      display device while an OpenGL application is running.
    - Improved console restore behavior on systems that use the UEFI Graphics
      Output Protocol, and most vesafb modes.
    - Added support for the RandR TILE property added in RandR 1.5.
    - Raised the on-disk OpenGL shader cache size from 64MB to 128MB. Refer to
      the "Specifying OpenGL Environment Variable Settings" section of the
      driver README for details on how to select its location or disable it.
    * Removed support for the following GPUs: GRID K340, GRID K1, GRID K2.
  * New upstream release 367 series.
    - Fixed a bug in synchronization primitives shared between X and OpenGL.

  [ Luca Boccassi ]
  * Update symbols files
  * nvidia-drm-master-dev.patch: refresh, fails to apply on 375.10.
  * Update nv-readme.ids
  * nvidia-user-pages.patch: drop, fixed upstream.
  * Add support for the xorg-video-abi-23 in the xserver-xorg-video-nvidia package.
  * Ship non-glvnd EGL library in the libegl1-nvidia packages.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Sun, 27 Nov 2016 12:14:53 +0000

nvidia-graphics-drivers (370.28-2) unstable; urgency=medium

  * Updated Italian (it) debconf translations by Beatrice Torracca.
    (Closes: #846933)
  * Overhaul package descriptions.
  * Add (Build)-Conflicts against currently incompatible libglvnd0 and
    libglvnd-dev from src:libglvnd.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Dec 2016 13:03:23 +0100

nvidia-graphics-drivers (370.28-1) experimental; urgency=medium

  * New upstream short lived branch release 370.28 (2016-09-08).
    - Fixed undefined symbol references in libnvidia-glcore.so.
    - Fixed a potential hang in Vulkan applications such as vkQuake and DOTA2
      that use vkFences for present synchronization.
    - Fixed a bug that caused the driver to not set HDMI YUV 420 4K
      modes correctly on some TVs, such as the VIZIO D40u-D1.
    - Updated CurrentMetaMode reporting via the NV-CONTROL API to reflect
      whether ForceCompositionPipeline or ForceFullCompositionPipeline are
      set in the current MetaMode.
  * New upstream beta 370.23 (2016-08-15).
    - Added the ability to over- and under-clock certain GeForce
      GPUs in the GeForce GTX 1000 series and later.  For GPUs that allow it,
      an offset can be applied to clock values in some clock domains of
      all performance levels.  This clock manipulation is done at the
      user's own risk.  See the README documentation of the "CoolBits"
      X configuration option for more details.
    - Implemented initial support for PRIME Synchronization to synchronize
      flipping between an NVIDIA PRIME display source and a separate PRIME
      display sink. This support is experimental and currently requires a
      pre-release X.org X server.
    - Fixed a bug that prevented Vulkan applications from presenting from
      multiple queues to the same X11 swapchain.
    - Added the "PixelShiftMode" MetaMode option, enabling support for 4K and
      8K pixel shift displays.  See the README for details.

  [ Luca Boccassi ]
  * Update symbols files
  * man-fixes-nvidia-smi.patch: refresh, fails to apply on 370.28.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 07 Oct 2016 22:41:31 +0200

nvidia-graphics-drivers (367.57-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add nvidia-user-pages.patch to fix nvidia kernel module build failure
    for Linux 4.9.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 11 Nov 2016 14:58:38 +0100

nvidia-graphics-drivers (367.57-1) unstable; urgency=medium

  * New upstream long lived branch release 367.57 (2016-10-10).
    * Fixed CVE-2016-7382, CVE-2016-7389.  (Closes: #846331)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4246
    - Fixed a bug that could prevent systems with GPUs configured in SLI from
      resuming correctly from ACPI S3/S4 sleep/hibernate states.
    - Added support for the following GPUs: Quadro P6000, Tesla P40,
      Quadro P5000.
    - Added support for NVIDIA 3D Vision 2 Stereo on Linux. This IR emitter can
      be used with stereo mode "10" set in the X configuration file.

  [ Luca Boccassi ]
  * Update nv-readme.ids.
  * man-fixes-nvidia-smi.patch: refresh, fails to apply on 367.57.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 28 Oct 2016 13:00:00 +0200

nvidia-graphics-drivers (367.44-3) unstable; urgency=medium

  * Let libnvidia-fatbinaryloader depend on libnvidia-ptxjitcompiler.
    (Closes: #839193)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 07 Oct 2016 22:01:17 +0200

nvidia-graphics-drivers (367.44-2) unstable; urgency=medium

  * Merge changes from 364.19-2.
  * Update symbols control files.
  * Update lintian overrides.
  * Restrict watch file to releases from the 367.xx long lived branch.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Sep 2016 15:02:35 +0200

nvidia-graphics-drivers (367.44-1) experimental; urgency=medium

  * New upstream long lived branch release 367.44 (2016-08-23).
    - Fixed a regression that caused applications using indirect GLX
      to crash.
    - Added support for the following GPUs: TITAN X (Pascal),
      GeForce GTX 1060 6GB, GeForce GTX 1060 3GB.
    - Fixed a regression introduced in 367.35 that caused the first
      modeset of the X server to display blank if the features requested
      in the X configuration file enabled the X driver's composition
      pipeline.  This would be triggered, e.g., by MetaMode tokens
      such as ForceCompositionPipeline, ForceFullCompositionPipeline,
      Rotation, Reflection, and Transform.
  * New upstream release 361 series.
    - Fixed a bug that could cause OpenGL applications to leak open file
      descriptors under some circumstances.
    - Fixed a crash in the OpenGL and OpenGL ES drivers in situations where
      some of the NVIDIA device nodes were not accessible.
    - Fixed a crash when querying the CUDA device handle of an EGLDevice in
      a system with multiple GPUs when the NVIDIA UVM device node or kernel
      module was not accessible.

  [ Luca Boccassi ]
  * Update nv-readme.ids
  * Update symbols files
  * drm-gem-object-lookup.patch, radix-tree-empty.patch: Drop, fixed upstream.
  * Upload to experimental.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Tue, 23 Aug 2016 21:25:15 +0100

nvidia-graphics-drivers (367.35-1) experimental; urgency=medium

  * New upstream long lived branch release 367.35 (2016-07-15).
    (Closes: #833615)
    - Fixed a regression that could cause console corruption when resuming
      from suspend.
    - Improved buffer write performance of the nvidia-drm DRM KMS driver by
      using write-combined DRM Dumb Buffers where available.
    - Fixed a bug that caused X to crash when applying changes to the RandR
      CscMatrix property while VT-switched away from X.
    - Fixed a bug that caused a crash when exiting nvidia-settings on displays
      with 8 or 15 bit color depths.
  * New upstream long lived branch release 367.27 (2016-06-13).
    (Closes: #827391)
    - Added support for VDPAU Feature Set H to the NVIDIA VDPAU driver.
      GPUs with VDPAU Feature Set H are capable of hardware-accelerated
      decoding of 8192x8192 (8k) H.265/HEVC video streams.
    - Added support for the following GPUs: GeForce GTX 1080, GeForce GTX 1070.
    - Fixed a bug that caused the X server to sometimes skip displaying Vulkan
      frames when the Composite extension is enabled.
  * New upstream beta 367.18 (2016-05-19).
    - Fixed a bug that would cause OpenGL applications to crash when creating
      a context on one X display connection, then making it current with no
      associated drawable on another X display connection.  This fixes a crash
      when starting some versions of MATLAB.
    - Fixed OpenGL presentation to SDI through the GLX_NV_video_out and
      GLX_NV_present_video extensions, which was broken by the introduction
      of the nvidia-modeset kernel module in 358.09.
    - Fixed a bug that caused an incorrect offset to be applied when using
      the full composition pipeline on a display whose image has both a
      rotation and a ViewportOut offset applied.
    - Fixed a bug that could cause crashes in OpenGL applications which use
      glTextureView() with a non-zero minimum level.
    - Fixed a bug that caused hangs when a G-SYNC monitor is unplugged and a
      non-G-SYNC monitor is connected while G-SYNC is active.
    - Fixed a bug that caused "nvidia-modeset: ERROR: GPU:0: Activating G-SYNC
      failed" to be printed to the system log if a G-SYNC monitor is connected
      and stereo is enabled in xorg.conf on a configuration that doesn't support
      it.
    - Added the NV_robustness_video_memory_purge OpenGL extension, which
      allows applications to know when a mode switching or power event
      purged the contents of FBOs and buffer objects residing in video memory.
    - Fixed a bug that prevented HDMI 2.0 4K monitors from waking up
      from sleep or hot-re-plug.
  * New upstream release 361 series.
    - Added support for querying clock values on Pascal GPUs.
    - Fixed a bug that could lead to a system crash if there was a peer-to-peer
      mapping still active during CUDA context teardown.

  [ Luca Boccassi ]
  * Update nv-readme.ids
  * Update symbols files

  [ Andreas Beckmann ]
  * drm-mode-fb-cmd2.patch, get-user-pages-drm.patch: Drop, fixed upstream.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 17 Aug 2016 15:14:44 +0200

nvidia-graphics-drivers (364.19-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Merge changes from 361.45.18-3.
  * Upload to unstable.

  [ Luca Boccassi ]
  * Add nvidia-drm-master-dev.patch to fix nvidia-drm kernel module build
    failure for Linux 4.8.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 24 Sep 2016 21:26:26 +0200

nvidia-graphics-drivers (364.19-1) experimental; urgency=medium

  * New upstream short lived branch release 364.19 (2016-04-22).
    - Fixed some locking issues in libnvidia-egl-wayland.so.
    - Fixed several libnvidia-egl-wayland.so interaction problems with
      buffer management Wayland protocols.
  * New upstream beta 364.15 (2016-04-06).
    - Fixed several EGL driver interaction problems with resizing windows
      in Wayland.
    - Fixed a bug that caused some DRM PRIME configurations to fail when
      DRM KMS was enabled (i.e., nvidia-drm.ko's modeset kernel module
      parameter was set to "1").
    - Fixed a bug that could cause a kernel crash when VDPAU was used
      while DRM KMS was enabled.
  * New upstream beta 364.12 (2016-03-21).
    - Changed the default OpenGL installation type to use the GLVND GLX
      client libraries rather than the legacy non-GLVND libraries.
    - Added initial support for Direct Rendering Manager Kernel
      Modesetting (DRM KMS).  See the DRM KMS section of the README for
      details.
    - Added a new kernel module, nvidia-drm.ko, which registers as a DRM
      driver with both PRIME and DRM KMS support.
    - Added support for the following EGL extensions:
        EGL_EXT_platform_wayland
      to enable Wayland applications to run on NVIDIA's EGL implementation,
        EGL_WL_bind_wayland_display
      to enable Wayland compositors to run on NVIDIA's EGL implementation, and
        EGL_EXT_device_drm
        EGL_EXT_output_drm
        EGL_EXT_stream_consumer_egloutput
      to enable Mir and Wayland compositors to display their content
      through EGLDevice, EGLOutput, and EGLstreams.
    - Added a Wayland platform library, libnvidia-egl-wayland.so, to allow
      Wayland compositors that support EGLDevice, EGLOutput, and EGLstreams
      to share EGL buffers with Wayland applications.
    - Fixed a bug that could cause incorrect frame rate reporting on Quadro
      Sync configurations with multiple GPUs.
    - Added support for the Vulkan API version 1.0.
    - Improved X colormap precision from 8 significant bits to 11 on GeForce
      GPUs.  Quadro GPUs already used 11 bits of precision.
    - Added a new RandR property, CscMatrix, which specifies a 3x4 color-space
      conversion matrix.  The matrix is applied after the X colormap and before
      the gamma ramp.  This property is available on GF119 and newer GPUs.
    - Improved handling of the X gamma ramp on GF119 and newer GPUs.  On these
      GPUs, the RandR gamma ramp is always 1024 entries and now applies to the
      cursor and VDPAU or workstation overlays in addition to the X root window.
    - Reworked how the NVIDIA driver registers with the Linux
      kernel's DRM subsystem for PRIME support.  As a result, PRIME
      support requires Linux kernel version 3.13 or newer (previously,
      PRIME support required Linux kernel version 3.10 or newer).
    - Improved the interactivity of applications that use a hardware cursor
      while G-SYNC is active.

  [ Luca Boccassi ]
  * Update symbols control files.
  * Refresh man-fixes-nvidia-smi.patch.
  * Add new DRM kernel module to DKMS infrastructure and modprobe rules.
    This new module is distributed without any binary blobs. For now modeset
    is disabled by default, and it can be enabled manually via:
      sudo modprobe -r nvidia-drm; sudo modprobe nvidia-drm modeset=1
  * Add nvidia-drm-arm-cflags.patch to fix nvidia-drm kernel module build
    failure on armhf.
  * Add drm-mode-fb-cmd2.patch and get-user-pages-drm.patch to fix nvidia-drm
    kernel module build failure for Linux 4.6.
  * Add drm-gem-object-lookup.patch to fix nvidia-drm kernel module build
    failure for Linux 4.7.
  * Restrict watch file to releases from the 364.xx short lived branch.

  [ Andreas Beckmann ]
  * nvidia-driver-libs: Prefer libgl1-glvnd-nvidia-glx over libgl1-nvidia-glx.
  * libnvidia-egl-wayland: New package for libnvidia-egl-wayland.so.$VERSION.
  * Autoload the new nvidia-drm kernel module for automatic Xorg config.
  * nvidia-vulkan-common, nvidia-vulkan-icd: New packages for Vulkan support.
    (Closes: #827188)
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 30 Jul 2016 20:01:09 +0200

nvidia-graphics-drivers (361.45.18-3) unstable; urgency=medium

  [ Luca Boccassi ]
  * Update use-kbuild-flags.patch to add LDFLAGS to nvidia-modeset.Kbuild
    and Makefile. Fixes x86_64 kernel builds with i386 userspace.
    (Closes: #834446)

  [ Andreas Beckmann ]
  * nvidia-legacy-check.preinst: Hint to reboot with 'acpi=off' if the
    installation hangs. Document the issue in the script.  (Closes: #819869)
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Sep 2016 20:24:14 +0200

nvidia-graphics-drivers (361.45.18-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 30 Jul 2016 07:27:45 +0200

nvidia-graphics-drivers (361.45.18-1) experimental; urgency=medium

  * New upstream long lived branch release 361.45.18 (2016-06-28).
    - Fixed a bug that caused nvidia-smi to report an inaccurate version
      number.
  * New upstream long lived branch release 361.45.11 (2016-05-24).
    - Fixed a bug that sometimes prevented flipping from being enabled on
      systems with multiple displays.
    - Fixed a bug that could cause applications to crash when using the
      EGL_EXT_platform_device extension on a system with multiple GPUs.
    - The NVIDIA Unified Virtual Memory kernel module, nvidia-uvm.ko, now
      has a minimum kernel requirement of Linux 2.6.32. On older kernel
      versions, nvidia-uvm.ko will be compiled as a stub kernel module
      which does not provide any functionality.
    - Added support for the following GPUs: Tesla M40 24GB, Quadro M5500,
      Quadro M2000
    - Updated the libglvnd snapshot included in the NVIDIA driver
      package to libglvnd commit b7d75429677eecc00c3701aaa4deac1304bc51ff.
      This contains a new revision of the libglvnd ABI. The driver is not
      compatible with a libglvnd older than commit
      c5bcda3b848fe52d6ae6ef25c917431c06d62d27.
  * New upstream long lived branch release 361.42 (2016-03-30).
    - Added support for the following GPUs: GeForce 920MX, GeForce 930MX,
      Quadro M6000 24GB.
    - Limited the default concurrency level in nvidia-settings to 32, to avoid
      hitting the maximum tasks limit on systems with many CPUs.
    - Fixed a regression that caused GPU exceptions and incorrect rendering
      when using pbuffers with EGLDevice.
    - Fixed a regression that caused the HSync and VSync mode timing polarity
      flags to be inverted.
  * New upstream long lived branch release 361.28 (2016-02-09).
    (Closes: #814347)
    - Added support for the following GPU: GeForce 945A.
    - Added a legacy, non-GLVND libGL.so GLX client library to the NVIDIA
      Linux driver installer package, and the ability to select between a
      GLVND or non-GLVND GLX client library at installation time. This
      allows users to install the legacy non-GLVND GLX client library in
      order to work around compatibility issues which may arise due to GLX
      applications which depend upon behaviors of the NVIDIA GLX client
      driver which are not defined by the Linux OpenGL ABI version 1.0.
      Please contact the vendors of any applications
      that are not compatible with GLVND to ensure that their applications
      be updated for compatibility with GLVND.
  * New upstream beta 361.18 (2016-01-13).
  * New upstream beta 361.16 (2016-01-05).
    - The OpenGL Vendor-Neutral Driver (GLVND) infrastructure is now included
      and supported by the NVIDIA GLX and OpenGL drivers.  This should not
      cause any visible changes in behavior for end users, but some internal
      driver component libraries have been renamed and/or moved as a result.
      These changes may affect scripts that rely on the presence of NVIDIA
      OpenGL driver components other than those specified in the Linux OpenGL
      ABI version 1.0, maintainers of alternative NVIDIA driver installation
      packages, and applications which rely on the presence of any non-
      OpenGL/GLX symbols in the libGL.so.1 library and its dependencies in
      any way.
      Please see:
        https://github.com/NVIDIA/libglvnd
      For more information on the GLVND project.
      The Linux OpenGL ABI version 1.0 specification is available at:
        https://www.opengl.org/registry/ABI
  * New upstream release 352 series.
    - Fixed a bug that prevented nvidia-bug-report.sh from finding
      relevant messages in kernel log files.

  [ Luca Boccassi ]
  * Refresh man-fixes-nvidia-smi.patch.
  * Remove patches that were fixed upstream: get-user-pages.patch,
    page-cache-release.patch, uvmnext-isr-top-half.patch, vm-fault-minor.patch
  * Update nv-readme.ids.
  * Update symbols control files.
  * libgles-nvidia1: New package for the vendor-specific GLESv1 implementation
    from NVIDIA (libGLESv1_CM_nvidia.so.1), accessible via GLVND.
  * Rename libgles1-nvidia to libgles1-glvnd-nvidia: The libGLESv1_CM.so.1
    library is now just a (vendor-neutral) stub that redirects to
    libGLESv1_CM_nvidia.so.1 via GLVND. Add transitional package.
  * libgles-nvidia2: New package for the vendor-specific GLESv2 implementation
    from NVIDIA (libGLESv2_nvidia.so.2), accessible via GLVND.
  * Rename libgles2-nvidia to libgles2-glvnd-nvidia: The libGLESv2.so.2
    library is now just a (vendor-neutral) stub that redirects to
    libGLESv2_nvidia.so.2 via GLVND. Add transitional package.
  * libglx-nvidia0: New package for the vendor-specific GLX implementation
    from NVIDIA (libGLX_nvidia.so.0), accessible via GLVND.
  * libglx0-glvnd-nvidia: New package for libGLX.so.0, a new (vendor-neutral)
    stub that redirects to libGLX_nvidia.so.0 via GLVND.
  * libgl1-glvnd-nvidia-glx: New package for libGL.so.1, a new
    (vendor-neutral) stub that redirects to libGLX_nvidia.so.0 (and
    libnvidia-glcore.so.$VERSION) via GLVND. This package can be used as an
    alternative to libgl1-nvidia-glx.
  * libnvidia-fatbinaryloader: New package for FAT multiarch binary loader,
    needed by CUDA PTX JIT compiler.
  * libnvidia-ptxjitcompiler: New package for the CUDA PTX JIT compiler.
  * Add do-div-cast.patch to fix nvidia-modeset kernel module build failure
    for Linux 4.6.
  * Add radix-tree-empty.patch to fix nvidia-uvm kernel module build failure
    for Linux 4.7.
  * Restrict watch file to releases from the 361.xx long lived branch.

  [ Andreas Beckmann ]
  * libcuda1: Add Provides: libcuda-8.0-1{,-i386}.
  * libglx-nvidia0: Provide the libGLX_indirect.so.0 symlink.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 23 Jul 2016 12:04:00 +0200

nvidia-graphics-drivers (358.16-3) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 29 Jul 2016 14:58:57 +0200

nvidia-graphics-drivers (358.16-2) experimental; urgency=medium

  * Merge changes from 352.79-10.
  * Rename libopengl0-nvidia to libopengl0-glvnd-nvidia.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 17 Jul 2016 17:08:32 +0200

nvidia-graphics-drivers (358.16-1) experimental; urgency=medium

  * New upstream short lived branch release 358.16 (2015-11-20).
    (Closes: #819042)
    * Fixed CVE-2015-7869: Unsanitized User Mode Input.  (Closes: #805917)
      https://nvidia.custhelp.com/app/answers/detail/a_id/3808
    - Fixed a regression, introduced in 358.09, that caused incorrect
      rendering of OpenGL stereo applications in combination with
      Quadro Sync on certain GPUs.
    - Fixed a regression, introduced in 358.09, that caused OpenGL
      stereo applications to hang when SLI AFR, SFR, or SLIAA modes
      were enabled.
    - Fixed a regression, introduced in 358.09, that caused the
      system to hang while launching OpenGL applications when some SLI
      Mosaic topologies were in use.
    - Fixed a bug that could cause some G-SYNC monitors to flicker on
      Kepler-based GPUs when running at low frame rates.
    - Fixed a regression that could cause OpenGL or VDPAU applications to
      hang in Xinerama layouts which include multiple X screens that are
      driven by the same GPU.
    - Fixed a regression from 358.09 that caused G-SYNC monitors configured to
      use 3D Vision stereo to go blank and report an unsupported signal.
    - Fixed a regression from 358.09 that caused OpenGL applications that failed
      to negotiate permission to perform glXSwapBuffers via flipping to stop
      updating the screen.  This was triggered on Fedora 22 where the SELinux
      system policy prevents gnome-shell from communicating with the X server.
      Now, OpenGL applications that fail to negotiate flipping will fall back to
      glXSwapBuffers via blitting.
      See https://bugzilla.redhat.com/show_bug.cgi?id=1271401 for more details.
  * New upstream beta 358.09 (2015-10-12).
    - Fixed a regression that reduced OpenGL performance on headless X
      server configurations.
    - Fixed a memory leak that occurred after destroying a GLXWindow which
      still has the current context attached to it.
    - Fixed a bug which caused EGL pbuffers to be created with both a front
      and back buffer, instead of a back buffer only, as is required for EGL.
    - Added a new kernel module, nvidia-modeset.ko.  This new driver
      component works in conjunction with the nvidia.ko kernel module
      to program the display engine of the GPU.
      nvidia-modeset.ko does not provide any new user-visible
      functionality or interfaces to third party applications.  However,
      in a later release, nvidia-modeset.ko will be used as a basis for
      the modesetting interface provided by the kernel's direct rendering
      manager (DRM).
    - Reduced flickering and delays when transitioning into or out of G-SYNC
      mode.  As part of this change, monitors that have G-SYNC indicators in
      their on-screen displays will now always report that they are in G-SYNC
      mode.  The OpenGL G-SYNC visual indicator can be enabled in
      nvidia-settings to determine when G-SYNC is actually being used.
    - GLX protocol for the following OpenGL
      extension from OpenGL 3.0 has been promoted from
      unofficial to ARB approved official status:
        GL_EXT_draw_buffers2
    - GLX protocol for the following OpenGL 3.0 commands:
        BindBufferRangeNV, BindBufferBaseNV, BeginTransformFeedbackNV,
        EndTransformFeedbackNV, GetTransformFeedbackVaryingEXT,
        TransformFeedbackVaryingsEXT
      which are part of the following extensions:
        GL_NV_transform_feedback, GL_EXT_transform_feedback
      has been promoted from unofficial to ARB approved
      official status.
      With the above changes, GLX protocol for
      OpenGL 3.0 has been promoted from unofficial
      to ARB approved official status.
    - Added a new system memory allocation mechanism for large
      allocations in the OpenGL driver.  This mechanism allows unmapping
      the allocation from the process when it is not in use, making more
      virtual address space available to the application.  It is enabled
      by default on 32 bit OpenGL applications with Linux 3.11+ and glibc
      2.19+.  Memory allocated this way will consume space in /dev/shm.
      Setting the environment variable __GL_DevShmPageableAllocations
      to 2 will disable this feature.

  [ Luca Boccassi ]
  * Update symbols control files.
  * Restrict watch file to releases from the 358.xx short lived branch.

  [ Andreas Beckmann ]
  * Updated kernel module build, patches and remaining infrastructure for the
    new nvidia-modeset module.
  * 358.xx supports xorg-video-abi-20.
  * get-orig-source: Generate .orig-$ARCH.tar.gz for each architecture.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Jul 2016 09:36:59 +0200

nvidia-graphics-drivers (355.11-7) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Jul 2016 19:28:35 +0200

nvidia-graphics-drivers (355.11-6) experimental; urgency=medium

  * Merge changes from 352.79-9.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Jul 2016 10:38:33 +0200

nvidia-graphics-drivers (355.11-5) experimental; urgency=medium

  * Merge changes from 352.79-8.
  * libnvidia-glcore: New package, split from libgl1-nvidia-glx.
  * libnvidia-cfg1: New package, split from libgl1-nvidia-glx.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Jul 2016 21:18:42 +0200

nvidia-graphics-drivers (355.11-4) experimental; urgency=medium

  * Merge changes from 352.79-7.
  * rm_kernel_rmapi_op.patch: Remove, fixed upstream.
  * separate-makefile-kbuild.patch, build-sanity-checks.patch,
    KERNEL_UNAME.patch: Remove, these were adjustments and backports from the
    new 355.xx module build system.
  * nvidia-driver-libs: New metapackage for bundling the
    Depends/Recommends on the OpenGL/GLX/EGL/GLES packages.
  * Replace libgl1-nvidia-glx-i386 with new
    nvidia-driver-libs-i386 metapackage.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Apr 2016 01:11:51 +0200

nvidia-graphics-drivers (355.11-3) experimental; urgency=medium

  [ Luca Boccassi ]
  * Split libglvnd-nvidia in libopengl0-nvidia and libgldispatch0-nvidia
  * Rename libegl1-nvidia to libegl1-glvnd-nvidia, add transitional package
  * Add dependency from libegl-nvidia0 to libegl1-glvnd-nvidia
  * Switch dependency in nvidia-driver from libegl1-nvidia to libegl-nvidia0

  [ Andreas Beckmann ]
  * Merge changes from 352.79-4.
  * Add a transitional libegl1-nvidia package.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 26 Feb 2016 18:07:14 +0100

nvidia-graphics-drivers (355.11-2) experimental; urgency=medium

  [ Andreas Beckmann ]
  * Merge changes from 352.79-3.
  * Drop patches conftest-via-kbuild.patch,
    disable-preempt_rt_sanity_check.patch.
  * Rename use-nv-kernel-ARCH.o_shipped.patch to
    nvidia-use-ARCH.o_binary.patch for the new module build system.
  * 355.11 does not yet support xorg-video-abi-20.  (Closes: #813565)
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Feb 2016 13:52:58 +0100

nvidia-graphics-drivers (355.11-1) experimental; urgency=medium

  * New upstream release 355.11 (2015-08-31). (Closes: #804547)
    - Fixed a bug that could cause GPU exceptions when using glReadPixels()
      on the depth or stencil buffers of multisample windows while resizing
      or moving the windows.
  * New upstream beta 355.06 (2015-08-03).
    - Fixed a bug that could cause data from one texture level to overwrite
      data from the next lowest level, when creating a texture view that
      did not include the higher of the two levels.
    - Corrected some erroneous reporting of support for GLX extensions:
      several extensions were being reported as supported for indirect
      GLX, which were in fact only supported under direct rendering.
    - Added support for the following EGL extensions:
        EGL_KHR_swap_buffers_with_damage, EGL_NV_stream_consumer_gltexture_yuv
    - Replaced the build system for the NVIDIA kernel modules and updated
      the installer package and nvidia-installer to use the new build
      system and kernel module source code layout. For more information
      about the new build system and layout, see the README document at:
      ftp://download.nvidia.com/XFree86/packaging/linux/new-kbuild-for-355/
    - Added experimental full OpenGL support to EGL.
    - Marked the DeleteUnusedDP12Displays option as deprecated.
      Version 1.5.0 of the X Resize and Rotate specification added a note that
      dynamically-created outputs will not be destroyed, so this option is
      deprecated and will be removed in a future driver release.
    - Added support for VDPAU profiles added in VDPAU 0.9:
        VDP_DECODER_PROFILE_H264_BASELINE,
        VDP_DECODER_PROFILE_H264_CONSTRAINED_BASELINE,
        VDP_DECODER_PROFILE_H264_EXTENDED,
        VDP_DECODER_PROFILE_H264_PROGRESSIVE_HIGH,
        VDP_DECODER_PROFILE_H264_CONSTRAINED_HIGH
    - Fixed a bug that prevented more than one RandR output from sharing
      user-added modes.
    - Fixed a bug that caused application-specified swap intervals to be
      ignored on some screens when using Xinerama.
    - Fixed a bug that caused user-supplied RandR modes with nonsensical
      combinations of the +HSync, -HSync, +VSync, and -VSync flags to corrupt
      the mode list.
    - Added support to make an OpenGL 3.0 and above context current without
      making current to any drawable.

  [ Luca Boccassi ]
  * Updated kernel module build to adapt to the new upstream build system.
    - Dropped patches that are no longer needed:
      not-silent.patch
      uvm-symvers.patch
      uvm-symvers2.patch
    - Make build verbose by using new env var NV_VERBOSE=1
    - Updated kernel module patches to accommodate for new build path
    - Added patches to stop upstream Kbuild from using conftest.sh:
      disable_nvidia_conftest.patch, disable_uvm_conftest.patch
    - Add patch to build with Kbuild's version of the compiler instead of
      system default: use-kbuild-compiler.patch
    - Updated paths in debian/nvidia-kernel-dkms.dkms.in debian/rules.in,
      debian/rules for new build system
    - Removed debian/module/Makefile, debian/module/conftest.sh
    - debian/module/conftest/patches.h is no longer a symlink
  * Update symbols control files.
  * Restrict watch file to releases from the 355.xx short lived branch.

  [ Andreas Beckmann ]
  * libglvnd-nvidia: New package for the vendor-neutral GL libraries (GLVND):
    libOpenGL.so.0, libGLdispatch.so.0
  * libegl-nvidia0: New package for the vendor-specific EGL implementation
    from NVIDIA (libEGL_nvidia.so.0), accessible via GLVND.
  * libegl1-nvidia: The libEGL.so.1 library is now just a (vendor-neutral)
    stub that redirects to libEGL_nvidia.so.0 via GLVND.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 01 Feb 2016 19:32:35 +0100

nvidia-graphics-drivers (352.79-10) unstable; urgency=medium

  * Build libnvidia-encode1 and libnvidia-ifr1 for armhf, too.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 17 Jul 2016 13:40:02 +0200

nvidia-graphics-drivers (352.79-9) unstable; urgency=medium

  * nvidia-driver-libs: New metapackage for bundling the
    Depends/Recommends on the OpenGL/GLX/EGL/GLES packages.
  * Replace libgl1-nvidia-glx-i386 with new
    nvidia-driver-libs-i386 metapackage.
  * libnvidia-glcore: New package, split from libgl1-nvidia-glx.
  * libnvidia-cfg1: New package, split from libgl1-nvidia-glx.
  * Updated Danish (da) debconf translations by Joe Dalton.  (Closes: #830653)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Jul 2016 23:22:15 +0200

nvidia-graphics-drivers (352.79-8) unstable; urgency=medium

  [ Andreas Beckmann ]
  * cc_version_check-gcc5.patch: New, ignore __GNUC_MINOR__ mismatch from
    GCC 5 onwards.
  * Update lintian overrides.

  [ Luca Boccassi ]
  * Add get-user-pages.patch to fix kernel module build for Linux 4.6.
    (Closes: #826190)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 07 Jun 2016 01:49:35 +0200

nvidia-graphics-drivers (352.79-7) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add page-cache-release.patch, vm-fault-minor.patch (uvm only),
    uvmnext-isr-top-half.patch (uvm only) and rm_kernel_rmapi_op.patch
    to fix kernel module build for Linux 4.6.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 22 Apr 2016 12:26:07 +0200

nvidia-graphics-drivers (352.79-6) unstable; urgency=medium

  * separate-makefile-kbuild.patch: New, don't make all Makefile targets
    available to Kbuild.
  * KERNEL_UNAME.patch: New, allow usage of KERNEL_UNAME as in 355.xx onwards.
  * build-sanity-checks.patch: New, handle the conftest.sh sanity checks in
    the modernized module build system.
  * nvidia-kernel-source: Use KERNEL_UNAME=KVERS only if the kernel headers
    are available via /lib/modules/KVERS/{build,source}.  (Closes: #820260)
  * Stop special-casing the nvidia-alternative substitution.
  * bug-control, bug-script: Collect some information about OpenCL.
  * Updated Japanese (jp) debconf translations by Takuma Yamada.
    (Closes: #817867)
  * Add B-D: dpkg-dev (>= 1.17.0) for dpkg-parsechangelog --show-field.
  * Bump Standards-Version to 3.9.8. No changes needed.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Apr 2016 03:07:52 +0200

nvidia-graphics-drivers (352.79-5) unstable; urgency=medium

  [ Andreas Beckmann ]
  * nvidia-kernel-source: Use Depends: make:any to allow foreign arch
    installation.
  * use-kbuild-flags.patch: New, use KBUILD_CFLAGS from Kbuild to
    support building a 64-bit kernel module with 32-bit userspace.
    (Closes: #815986)
  * Drop incomplete Perfkit support.
  * nvidia-detect: Drop support for squeeze(-lts) (EoL).
  * Update lintian overrides.

  [ Luca Boccassi ]
  * Update Portuguese debconf translation. Thanks Américo Monteiro!
    (Closes: #816143)
  * nvidia-kernel-source: Unconditionally unset ARCH (which may have been set
    to the Debian architecture by unrelated tools) before building a module
    since having this set to something different than a kernel architecture
    will break the build. This was already done for the dkms module build.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Mar 2016 14:07:17 +0100

nvidia-graphics-drivers (352.79-4) unstable; urgency=medium

  * nvidia-kernel-source: Switch to debhelper compat level 9.
  * [ppc64el] Do not depend on nvidia-kernel-common.
  * rules: Drop support for ancient .run layout.
  * Drop Conflicts+Replaces against transitional packages in wheezy.
  * nvidia-detect: Drop support for lenny (EoL).
  * debian/bug-control.mk: New script to generate bug-control.
  * Document in nvidia-legacy-check's description that the debconf questions
    can be preseeded to allow for non-interactive installations.
    (Closes: #815515)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 26 Feb 2016 04:40:49 +0100

nvidia-graphics-drivers (352.79-3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * get-orig-source: Generate an additional .orig-ppc64el tarball for ppc64el.
  * Add preliminary support for ppc64el, only supports CUDA/OpenCL.
  * Update lintian overrides.

  [ Luca Boccassi ]
  * Update reportbug template to include content of
    /etc/bumblebee/bumblebee.conf and /etc/bumblebee/xorg.conf.nvidia if
    they are present.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Feb 2016 12:27:17 +0100

nvidia-graphics-drivers (352.79-2) unstable; urgency=low

  [ Andreas Beckmann ]
  * Add nvidia-legacy-check package, taking over the check for legacy GPUs
    from libgl1-nvidia-glx. Add the new package to the Pre-Depends of several
    core packages.  (Closes: #813541)
  * avoid-ld.gold.patch: Disable, hopefully this is no longer needed.
  * use-kbuild-compiler.patch: New patch to build with Kbuild's version of the
    compiler instead of system default, thanks to Luca.
  * Use NVIDIA's conftest.sh script to determine settings during module build
    instead of our manually maintained conftest.h header.
  * conftest-verbose.patch: New patch to dump dynamically generated conftest
    headers.
  * conftest-via-kbuild.patch: New patch to call conftest.sh from within
    kbuild (and therefore with kbuild's compiler and flags) as in 355.xx.
  * disable-preempt_rt_sanity_check.patch: New patch to disable a check we
    already skipped in our conftest.h.
  * Pass only the kernel version via KERNEL_UNAME and let the module build
    system figure out the paths.
  * Clear ARCH variable from environment before dkms build, thanks to Luca.
  * Bump Standards-Version to 3.9.7. No changes needed.
  * Update lintian overrides.

  [ Luca Boccassi ]
  * ignore_xen_on_arm.patch: Update to add workaround for conftest.sh to fix
    kernel module build failure on armhf by forcing XEN_PRESENT=0 when
    building on armhf

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Feb 2016 02:09:09 +0100

nvidia-graphics-drivers (352.79-1) unstable; urgency=medium

  * New upstream long lived branch release 352.79 (2016-01-25).
    - Added support for the following GPUs: Quadro M500M, Tesla M4.
    - Fixed a bug in the EGL driver where a mutex was unlocked more than
      once.  This triggers undefined behavior, and in particular, if
      lock elision is enabled in glibc, may result in a segmentation
      fault.  (Closes: #807244)

  [ Luca Boccassi ]
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 27 Jan 2016 17:26:16 +0100

nvidia-graphics-drivers (352.63-2) unstable; urgency=medium

  * Merge changes from 349.16-2.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 24 Jan 2016 07:59:24 +0100

nvidia-graphics-drivers (352.63-1) experimental; urgency=medium

  * New upstream long lived branch release 352.63 (2015-11-16).
    * Fixed CVE-2015-7869: Unsanitized User Mode Input.  (Closes: #805917)
      https://nvidia.custhelp.com/app/answers/detail/a_id/3808
    - Added support for the following GPUs: GeForce 940MX, GeForce 945M,
      Quadro M5000M, Quadro M4000M, Quadro M3000M, Quadro M2000M,
      Quadro M1000M, Quadro M600M, NVS 810, Tesla M40.
    - Fixed a regression that prevented DPMS from working correctly on
      some DisplayPort displays.
    - Fixed a bug that could prevent X from starting when configured with
      multiple X screens, some of which scan out to display devices, and
      some of which do not.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Merge changes from 340.96-2.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 Nov 2015 01:32:50 +0100

nvidia-graphics-drivers (352.55-3) experimental; urgency=medium

  * Merge changes from 340.93-8.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Nov 2015 19:07:13 +0100

nvidia-graphics-drivers (352.55-2) experimental; urgency=medium

  * Merge changes from 340.93-6.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 23 Oct 2015 02:46:30 +0200

nvidia-graphics-drivers (352.55-1) experimental; urgency=medium

  * New upstream long lived branch release 352.55 (2015-10-12).
    - Added support for the following GPUs: GeForce 805A, GeForce GTX 960A.
    - Fixed a bug that caused applications using OpenCL or CUDA with OpenGL
      interoperability to crash when using GLX indirect rendering.
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Merge changes from 340.93-5.
  * seq-printf.patch: Remove, fixed upstream.
  * libcuda1: Add Provides: libcuda-7.5-1{,-i386}.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 16 Oct 2015 23:41:50 +0200

nvidia-graphics-drivers (352.41-1) experimental; urgency=medium

  * New upstream long lived branch release 352.41 (2015-08-28).
    * Fixed CVE-2015-5950: Memory corruption due to an unsanitized pointer.
      https://nvidia.custhelp.com/app/answers/detail/a_id/3763
      (Closes: #800566)
    - Added support for the following GPUs: GeForce GTX 950, Quadro M4000,
      Quadro M5000.
    - Fixed a bug that caused VDPAU to only display the top half of a video
      frame when decoding and displaying H.265/HEVC encoded video streams.

  [ Andreas Beckmann ]
  * conftest.h:
    - Implement new conftest.sh function dma_map_ops (352.30).
    - Reorder conftest.h to match conftest.sh.

  [ Luca Boccassi ]
  * conftest.h:
    - dma_map_ops and dma_ops are available for PPC and ARM too
  * refresh uvm-symvers.patch (offset)
  * Add include-swiotlb-header-on-arm.patch needed for dkms build on
    armhf: swiotlb.h is necessary to use dma_ops and family
  * Add ignore_xen_on_arm.patch needed for dkms build on armhf: armmp
    kernel headers ship with CONFIG_XEN enabled, which breaks the build,
    so since running this driver on XEN is currently not supported,
    ignore the check for XEN in nv-linux.h as a workaround on arm, and
    also disable CONFIG_XEN and CONFIG_XEN_DOM0 if building on <= 3.16.
    (Closes: #794435)
  * Update rules.def, armhf DKMS module builds on 3.16, 4.0 and 4.1.
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 01 Oct 2015 03:56:38 +0200

nvidia-graphics-drivers (352.30-1) experimental; urgency=medium

  * New upstream release 352.30 (2015-07-28). (Closes: #794075)
    - Fixed a bug that caused poor video post-processing performance
      in VDPAU when operating on a large number of video streams
      simultaneously.

  [ Luca Boccassi ]
  * Add new armhf-only libcuda1 symbols.
  * Update nv-readme.ids.
  * Refresh patches.
  * Updated conftest.h to address removal of NV_DMA_MAPPING_OPS_PRESENT.

  [ Andreas Beckmann ]
  * Merge changes from 349.16 (UNRELEASED).
  * nvidia-kernel-*: [i386] Drop support for building amd64 kernel modules.
  * Overhaul arch-specific UVM support.
  * nvidia-driver, nvidia-kernel-*: Report the latest tested Linux version
    that can build the kernel module in the package description.
  * Restrict watch file to releases from the 352.xx long lived branch.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 02 Aug 2015 15:39:14 +0200

nvidia-graphics-drivers (352.21-2) experimental; urgency=medium

  * Add myself to Uploaders
  * Fix DKMS module build failure on i386 and armhf; patch provided and
    inspired by Raphael Hertzog. Thanks! (Closes: #793160)
  * Fix nvidia-modprobe.conf module unload ordering, to stop nvidia-uvm
    getting stuck until a second modprobe -r nvidia-current is issued.
    Fix provided by Jö Fahlke. Thanks! (Closes: #793386)

 -- Luca Boccassi <luca.boccassi@gmail.com>  Fri, 24 Jul 2015 01:39:29 +0100

nvidia-graphics-drivers (352.21-1) experimental; urgency=medium

  * New upstream release 352.21 (2015-06-15). (Closes: #793079)
    - Fixed a bug that caused the kernel to report errors when unmapping
      DMA allocations on kernels with CONFIG_DEBUG_DMA_API enabled.
    - Added GLX Protocol support for the following OpenGL extensions:
      GL_ARB_copy_buffer
      GL_ARB_texture_buffer_object
    - Fixed a bug that caused a kernel crash if SLI Mosaic and G-SYNC were used
      at the same time on a configuration with more display devices connected to
      one GPU than another.
  * New upstream beta 352.09 (2015-05-18).
    - Added the ability to configure the swapping behavior for quad-buffered
      stereo visuals. The driver can be configured to independently swap
      each eye as it becomes ready, to wait for both eyes to complete
      rendering before swapping, or to allow applications to specify which
      of these two behaviors is preferred by setting the swap interval.
      This setting can be adjusted in the nvidia-settings control panel, or
      via the NV-CONTROL API.
    - Fixed a bug that sometimes prevented OpenGL sampler objects from
      being properly deallocated when destroying OpenGL contexts.
    - Fixed a bug that caused GLX_EXT_framebuffer_sRGB to incorrectly report
      sRGB support in 30 bit-per-pixel framebuffer configurations.
    - Added support for G-SYNC with sync-to-vblank disabled. This allows
      applications to use G-SYNC to eliminate tearing for frame rates below the
      monitor's maximum refresh rate but allow tearing above the maximum refresh
      rate in order to minimize latency.
      When G-SYNC is active and sync-to-vblank is enabled, the frame rate is
      limited to the monitor's maximum refresh rate.
    - GLSL gl_Fog.scale is now +infinity when gl_Fog.end equals gl_Fog.start.
      Previously, the value 0 was used, but this broke certain
      applications such as the game XIII running on Wine (Wine bug #37068).
    - Enabled G-SYNC by default when Unified Back Buffer (UBB) is disabled.
    - Updated the NVIDIA GPU driver to avoid using video memory already
      in use by vesafb.

  [ Vincent Cheng ]
  * Fix unresolved nvUvm* symbols in nvidia-uvm.ko from dkms package; patch
    cherrypicked from SteamOS and added as debian/patches/uvm-symvers.patch.
    Thanks! (Closes: #789483)
  * nvidia-detect: Detect stretch as supported suite, and parse -h as --help.
    (Closes: #792801)

  [ Luca Boccassi ]
  * Update nv-readme.ids.
  * pci.ids and monitoring.conf are no longer shipped by NVIDIA.
  * conftest.h: Implement new conftest.sh functions phys_to_dma, get_dma_ops,
    dma_ops, noncoherent_swiotlb_dma_ops (352.09), backing_dev_info (346.82).
  * Update symbols control files.
  * Refresh patches.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 20 Jul 2015 23:28:37 -0700

nvidia-graphics-drivers (349.16-2) unstable; urgency=medium

  * uvm-symvers.patch: Explicitly copy Module.symvers from the nvidia.ko
    kernel module for use by the nvidia-uvm.ko module, since the dependencies
    in Kbuild seem not to work in all cases. This solution works with the dkms
    build, too.  (Closes: #812396, #812107)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 23 Jan 2016 17:03:28 +0100

nvidia-graphics-drivers (349.16-1) unstable; urgency=low

  * New upstream short-lived branch release 349.16 (2015-04-14).
  * New upstream beta 349.12 (2015-03-25).
    - Added support for G-SYNC monitors when used together with non-G-SYNC
      monitors.  When G-SYNC is enabled, non-G-SYNC monitors will display with
      tearing.
    - Removed the "EnableACPIHotkeys" X configuration option. This option
      has been deprecated and disabled by default since driver version 346.35.
      On modern Linux systems, display change hotkey events are delivered to
      the desktop environment as key press events, and the desktop environment
      handles the display change by issuing requests through the X Resize and
      Rotate extension (RandR).
    - Added support for lossless H.264/AVC video streams to VDPAU.
    - Added support for VDPAU Feature Set F to the NVIDIA VDPAU driver.
      GPUs with VDPAU Feature Set F are capable of hardware-accelerated
      decoding of H.265/HEVC video streams.
    - Added support for the X.Org X server's "-background none" option. When
      enabled, the NVIDIA driver will try to copy the framebuffer console's
      contents out of /dev/fb0.  If that cannot be done, then the screen is
      cleared to black.
    - Added support for YUV 4:2:0 compression to enable HDMI 2.0 4K@60Hz modes
      when either the display or GPU is incapable of driving these modes in
      RGB 4:4:4.  See NoEdidHDMI2Check in the README for details.
    - Fixed a bug that could cause multi-threaded applications to crash when
      multiple threads used the EGL driver at the same time.
    - Fixed a bug that caused Sync to VBlank to not work correctly with XVideo
      applications in certain configurations.
    - Fixed a bug that prevented the X driver from correctly interpreting
      some X configuration options when a display device name was given
      with a GPU UUID qualifier.
    * Add support for OpenCL 1.2.

  [ Andreas Beckmann ]
  * Update symbols control files.
  * nvidia-libopencl1: Add Provides: libopencl-1.2-1.
  * Restrict watch file to releases from the 349.xx short lived branch.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 22 Jan 2016 02:15:34 +0100

nvidia-graphics-drivers (346.96-1) unstable; urgency=low

  * New upstream release 346.96 (2015-09-01).  (Closes: #811349)
    * Fixed CVE-2015-5950: Memory corruption due to an unsanitized pointer.
      https://nvidia.custhelp.com/app/answers/detail/a_id/3763
      (Closes: #800566)
    - Added support for the following GPU: Tesla K80.
  * New upstream release 346.87 (2015-07-21).
    - Added support for the following GPU: GeForce 910M.
  * New upstream release 346.82 (2015-06-23).
    - Added support for the following GPUs: Tesla K40t, GeForce 720A,
      GeForce 920A, GeForce 930A, GeForce 940A, GeForce GTX 950A,
      GeForce GTX 980 Ti.

  [ Andreas Beckmann ]
  * Merge changes from 343.36-3.
  * Update nv-readme.ids.
  * UVM is no longer available on 32-bit architectures.
  * Use nvidia-drm-outputclass.conf as shipped by NVIDIA.
  * d/module/debian/rules: Explicitly copy Module.symvers from the nvidia.ko
    kernel module for use by the nvidia-uvm.ko module, since the dependencies
    in Kbuild seem not to work in all cases.
  * Add armhf specific symbols.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 18 Jan 2016 12:50:19 +0100

nvidia-graphics-drivers (346.72-1) experimental; urgency=medium

  * New upstream release 346.72 (2015-05-12).
    - Added support for the following GPU: GeForce GPU.
    - Fixed a bug causing loss of stereo synchronization in certain Quadro
      Sync framelock configurations.
    - Fixed Pixel Buffer Object operations when row length is less than
      width. GL_[UN]PACK_ROW_LENGTH can be set to a value lower than the
      width of the operation being carried out. The OpenGL specification
      allows for this (the source or destination lines will be overlapping).
      Previously, our implementation of Pixel Buffer Objects did not support
      this case and would throw an error.

  [ Vincent Cheng ]
  * Fix conftest.sh function write_cr4.
  * Update lintian overrides.
  * Apply patch provided by Luca Boccassi, cherrypicked from SteamOS; also
    partially apply patch provided by Konstantin Demin in #785205. Thanks!
  * Fix nvidia module FTBFS with linux >= 4.0. (Closes: #785205). Also fix
    FTBFS on armhf.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 17 Jun 2015 01:18:40 -0700

nvidia-graphics-drivers (346.59-1) experimental; urgency=medium

  * New upstream release 346.59 (2015-04-07).  (Closes: #775742)
    - Fixed a bug that caused corruption when switching display modes in some
      applications that use transform feedback.
    - Added support for the following GPUs: Quadro K1200, Quadro M6000,
      GeForce 920M, GeForce 930A, GeForce 930M, GeForce 940M,
      GeForce GTX 950M, GeForce GTX 960M, GeForce GTX TITAN X.
    - Fixed a bug that caused texture corruption on framebuffer depth
      attachments cleared using glClearTexImage().
    - Fixed a bug that artificially limited the maximum pixel clock on
      displays in some SLI Mosaic configurations.
  * New upstream release 346.47 (2015-02-24).
    - Fixed a bug that could cause quad-buffered stereo applications to
      crash when disabling displays.
    - Fixed a bug that could cause rendering corruption in GLX clients using
      PBOs and/or VBOs when using GLX indirect rendering.
    - Fixed a bug that could cause glXSwapBuffers() to block for longer than
      necessary in multi-threaded GLX applications using the
      GLX_NV_delay_before_swap extension.
    - Fixed a bug that caused OpenGL applications using the NV_path_rendering
      extension to crash after a modeswitch event.
    - Added support for the following GPUs: Quadro K620M, Quadro K2200M,
      GeForce GTX 960, GeForce GTX 965M.
    - Fixed a bug that caused DisplayPort audio to stop working after monitors
      are hotplugged.
  * New upstream release 346.35 (2015-01-16).
    - Added support for the following GPUs: GeForce 800A, GeForce 800M.
    - Updated the NVIDIA X driver to reject frame packed interlaced HDMI 3D
      modes during mode validation. These modes were being validated by the
      driver, despite never having been supported.
    - Fixed a bug that prevented the console from being restored after
      forcefully terminating X, on some GPUs with multiple DisplayPort
      monitors attached. This bug also subsequently prevented X from being
      started following the failed console restoration.
    - Fixed a bug that caused the ACPI hotkey mask to be set incorrectly on some
      laptops even when the EnableACPIHotkeys option is disabled.
    - Disabled the EnableACPIHotkeys option by default.  This option is now
      considered deprecated and will be removed in a future driver release.  On
      modern Linux systems, display change hotkey events are delivered to the
      desktop environment as key press events, and the desktop environment
      handles the display change by issuing requests through the X Resize and
      Rotate extension (RandR).
    - Fixed a bug that caused the screen image to be shifted when screen
      transformations (such as rotations or reflections) were enabled on a
      G-SYNC display attached to a Kepler-based GPU.
  * New upstream beta 346.22 (2014-12-08).
    * Fixes CVE-2014-8298.
      https://nvidia.custhelp.com/app/answers/detail/a_id/3610
  * New upstream beta 346.16 (2014-11-13).
    - Fixed a bug that caused a blank screen when setting a mode requiring YUV
      4:2:0 compression. These modes are not currently supported.
    - Fixed a bug that caused an incorrect DisplayPort link configuration
      to be displayed after a hotplug or unplug.
    - Added support for the following GPUs: GeForce GTX 970M, GeForce GTX 980M.
    - Added support for decoding VP8 video streams using the NVCUVID API
      on GPUs with VP8 hardware decode support.
    - Added support for the following EGL extensions: EGL_EXT_device_base,
      EGL_EXT_platform_device, EGL_EXT_output_base.
    - Added the ability to increase the operating voltage on certain
      GeForce GPUs in the GeForce GTX 400 series and later. Voltage
      adjustments are done at the user's own risk. See the documentation
      on the "CoolBits" X configuration option in the README for details.
    - Added support for NVENC on GeForce GPUs. For more details on the
      NVENC SDK, see:
          https://developer.nvidia.com/nvidia-video-codec-sdk.
    - Added accelerated support for r8g8b8a8, r8g8b8x8, b8g8r8a8 and b8g8r8x8
      RENDER formats.
    - Fixed a GLSL compiler bug that would produce corruption when
      running games such as Far Cry 3 in Wine.
    - Fixed the EGL_KHR_stream_cross_process_fd extension.
    - Fixed rendering corruption that sometimes happened when calling
      DrawElementsInstancedBaseVertexBaseInstance(),
      DrawElementsInstancedBaseInstance(),
      or DrawArraysInstancedBaseInstance().
    - Dramatically improved OpenGL Framebuffer Object creation performance.
    - Removed the limit on the maximum number of OpenGL Framebuffer Objects.
    - Updated the NVIDIA OpenGL driver to prefer $XDG_CACHE_HOME over
      $HOME as the default location for storing the GL shader disk cache.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * f_path.dentry.patch: Remove, fixed upstream.
  * Refresh patches.
  * Update symbols control files.
  * libcuda1: Add Provides: libcuda-7.0-1{,-i386}.
  * nvidia-vdpau-driver: Bump Depends: libvdpau1 to (>= 0.9).
  * Drop the old transitional nvidia-glx package.
  * Restrict watch file to releases from the 346.xx long lived branch.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 May 2015 21:55:05 +0200

nvidia-graphics-drivers (343.36-3) unstable; urgency=low

  * Merge changes from 340.96-4.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 17 Jan 2016 16:55:37 +0100

nvidia-graphics-drivers (343.36-2) experimental; urgency=medium

  * Merge changes from 340.76-1.
  * f_path.dentry.patch: New patch to add support for Linux 3.19, thanks to
    Eduard Bloch.  (Closes: #778698)
  * Restrict watch file to releases from the 343.xx short lived branch.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Mar 2015 21:08:50 +0100

nvidia-graphics-drivers (343.36-1) experimental; urgency=medium

  * New upstream short lived branch release 343.36 (2014-12-05).
    * Fixes CVE-2014-8298.  (Closes: #772971)
      https://nvidia.custhelp.com/app/answers/detail/a_id/3610
    - Fixed a bug that rendered very bright garbage data onto some textures
      in UnrealEngine 4 applications. This issue is known as the "disco bug"
      by the UnrealEngine 4 Linux community.

  [ Andreas Beckmann ]
  * Merge changes from 340.65-1.
  * nvidia-opencl-icd: Restore the Depends: libcuda1.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 13 Dec 2014 00:55:32 +0100

nvidia-graphics-drivers (343.22-2) experimental; urgency=medium

  * nvidia-driver: Stop shipping nvidia-persistenced, this is being moved to a
    separate source package.
  * Split nvidia-driver-bin from the metapackage nvidia-driver.
  * nvidia-driver-bin: Support switching via nvidia-alternative.
  * d/rules: Add #!armhf# and #!legacy# substitutions.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 29 Oct 2014 11:53:09 +0100

nvidia-graphics-drivers (343.22-1) experimental; urgency=medium

  * New upstream short lived branch release 343.22 (2014-09-18).
    - Fixed a bug that prevented the "sync to vblank" setting from being
      honored for EGL applications.
    - Added support for the following GPUs: GeForce GTX 970, GeForce GTX 980.
    - Fixed a bug that could cause some OpenGL programs to encounter out
      of memory during a mode switch.
    - Fixed a bug that prevented the NVIDIA OpenGL driver from honoring
      the __GL_SHADER_DISK_CACHE_PATH environment variable.
  * New upstream beta 343.13 (2014-08-06).
    - Added a new attribute to the NV-CONTROL API to query the current
      utilization of the video decode engine.
    - Worked around a Unigine Heaven 3.0 shader bug which could cause corruption
      when tessellation is enabled by implementing an application profile that
      uses the "GLIgnoreGLSLExtReqs" setting.  See the documentation for the
      __GL_IGNORE_GLSL_EXT_REQS environment variable for more details.
    - Fixed a memory leak when destroying EGL surfaces.
    - Added support for multiple simultaneous EGL displays.
    - Removed support for G8x, G9x, and GT2xx GPUs, and motherboard
      chipsets based on them. Ongoing support for new Linux kernels
      and X servers, as well as fixes for critical bugs, will be
      included in 340.* legacy releases through the end of 2019.

  [ Andreas Beckmann ]
  * Update symbols control files.
  * Update nv-readme.ids.
  * conftest.h: Implement extensions to conftest.sh function
    vm_operations_struct (343.13).
  * libgl1-nvidia-glx.preinst: Update list of unsupported legacy devices.
    Update the advised legacy package to nvidia-legacy-340xx-driver.
  * Add NEWS entry about models that were moved to legacy support.
  * Update list of supported models.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 20 Oct 2014 19:04:58 +0200

nvidia-graphics-drivers (340.108-1) UNRELEASED; urgency=medium

  * The 340.xx legacy driver series has been declared as End-of-Life by
    NVIDIA. No further updates fixing security issues, critical bugs, or
    adding support for new Xorg or Linux releases will be issued.
    https://nvidia.custhelp.com/app/answers/detail/a_id/3142

  * New upstream legacy 340xx branch release 340.108 (2019-12-23).
    - Updated the nvidia-drm kernel module for compatibility with the removal
      of the DRIVER_PRIME flag in recent Linux kernel versions.
    - Updated nvidia-bug-report.sh to search the systemd journal for
      gdm-x-session logs.
    - Fixed a build failure, "too many arguments to function 'get_user_pages'",
      when building the NVIDIA kernel module for Linux kernel v4.4.168.
    - Fixed a build failure, "implicit declaration of function do_gettimeofday",
      when building the NVIDIA kernel module for Linux kernel 5.0 release
      candidates.
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Backport kmem_cache_create_usercopy.patch from 390.67-2 for the 340.xx
    series, fixing "Bad or missing usercopy whitelist? Kernel memory exposure
    attempt detected from SLUB object 'nvidia_stack_cache'" on Linux kernels
    that have disabled CONFIG_HARDENED_USERCOPY_FALLBACK
    (i.e. linux-image-4.16.0-2-* or newer).
  * Add buildfix_kernel_4.11.patch (replacing vm-fault.patch) and (parts of)
    buildfix_kernel_5.2.patch from Ubuntu to fix more vm-fault issues during
    kernel module build for Linux 5.2+.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 03 Jan 2020 02:29:02 +0100

nvidia-graphics-drivers (340.107-1) UNRELEASED; urgency=medium

  * New upstream legacy 340xx branch release 340.107 (2018-06-06).
    - Added support for X.Org xserver ABI 24 (xorg-server 1.20).
    - Improved nvidia-bug-report.sh to check for kern.log which is the default
      kernel log-file location for many Debian-based Linux distributions.
    - Fixed a bug which could cause X servers that export a Video Driver
      ABI earlier than 0.8 to crash when running X11 applications which
      call XRenderAddTraps().
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * use-nv-kernel-ARCH.o_shipped.patch: Simplify for better kernel
    compatibility.  (Closes: #922479)
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 21 Jun 2018 22:28:56 +0200

nvidia-graphics-drivers (340.106-1) jessie; urgency=medium

  * New upstream legacy 340xx branch release 340.106 (2018-01-16).
    * Fixed CVE-2017-5753, CVE-2017-5715 (spectre), CVE-2017-5754 (meltdown).
      https://nvidia.custhelp.com/app/answers/detail/a_id/4611
      (Closes: #886852)
    - Fixed a compatibility problem between the nvidia.ko's Page Attribute
      Table (PAT) support and the kernel Page Table Isolation (PTI) patches.
      To optimize stores to memory, nvidia.ko contains support for
      configuring the CPU's PAT registers, as a fallback for Linux kernels
      that predate kernel native PAT support.  On any recent kernel
      with CONFIG_X86_PAT enabled, the driver will detect that setup has
      already been done and skip its PAT setup.  However, a static inline
      function called by nvidia.ko's PAT fallback support was updated in
      the PTI patches to use the EXPORT_SYMBOL_GPL symbol 'cpu_tlbstate'.
      nvidia.ko was updated to only contain its PAT fallback support,
      at build time, on kernels without CONFIG_X86_PAT.
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Switch watch URL from ftp:// to https:// (375.82-1).
  * build-module-packages.sh: Order kernels by descending version (375.82-2).
  * bug-control: Add arch qualification to M-A:same packages in report-with
    list otherwise reportbug will ignore them if more than one is installed
    (375.82-5).
  * Use https:// URLs where possible (375.82-8).
  * Stop shipping the classic libnvidia-tls.so.* and ship the modern one (for
    Linux 2.6 onwards) in the regular libdir instead of the tls/ subdir
    (384.111-1).  (Closes: #883615)
  * Add #tls# substitution for the tls/ source directory (384.111-1).
  * nvidia-kernel-{dkms,source}: Mention the supported architecture(s) in the
    long Description (384.111-4).
  * Update lintian overrides.
  * Upload to jessie.

  [ Luca Boccassi ]
  * Switch to my debian.org email address in Uploaders.
  * Drop drm-driver-legacy.patch, deprecated-cpu-events.patch and
    vmf-address.patch, fixed upstream.
  * Add vm-fault.patch to fix kernel module build for Linux 4.11 and newer.

  [ Russ Allbery ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 17 Apr 2018 12:45:05 +0200

nvidia-graphics-drivers (340.104-1) UNRELEASED; urgency=medium

  * New upstream legacy 340xx branch release 340.104 (2017-09-19).
    * Improved compatibility with recent Linux kernels.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Oct 2017 03:02:32 +0200

nvidia-graphics-drivers (340.102-1) jessie; urgency=medium

  * New upstream legacy 340xx branch release 340.102 (2017-02-14).
    * Fixed CVE-2017-0309, CVE-2017-0310, CVE-2017-0311, CVE-2017-0318,
      CVE-2017-0321.  (Closes: #855277)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4398

  [ Andreas Beckmann ]
  * unregister_proc_on_failure.patch: New, unregister procfs entries during
    error unwind if loading the module failed.  (Closes: #764639)
  * Upload to jessie.

  [ Luca Boccassi ]
  * Add deprecated-cpu-events.patch and vmf-address.patch to fix kernel
    module build for Linux 4.10 and newer.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 04 Apr 2017 22:12:27 +0200

nvidia-graphics-drivers (340.101-1) jessie; urgency=medium

  * New upstream legacy 340xx branch release 340.101 (2016-12-14).
    * Fixed CVE-2016-8826.  (Closes: #848195)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4278
    * Improved compatibility with recent Linux kernels.
  * New upstream legacy 340xx branch release 340.98 (2016-09-26).
    * Fixed CVE-2016-7382, CVE-2016-7389.  (Closes: #846331)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4246
    - Added support for the screen_info.ext_lfb_base field, on kernels that
      have it, in order to properly handle UEFI framebuffer consoles with
      physical addresses above 4GB.
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Stop special-casing of the nvidia-alternative substitution (352.79-6).
  * rules: Drop support for ancient .run layout (352.79-4).
  * nvidia-detect: Drop support for lenny and squeeze(-lts) (EoL) (352.79-5).
  * Do not run dh_strip_nondeterminism, it may perform modifications not
    permitted by the NVIDIA license (340.96-4).
  * Use #!armhf# and #HAS_UVM# substitutions as in unstable (340.76-5).
  * Add slave alternative for libnvcuvid.so (340.96-3).
  * rules, rules.defs: Synchronize variable naming with unstable (352.79-3).
  * rules, control: Synchronize substvars with unstable (352.79-3).
  * get-orig-source: Synchronize with unstable (352.79-3).
  * get-orig-source: Generate .orig-$ARCH.tar.gz for each architecture
    (358.16-1).
  * control: Synchronize descriptions with unstable.
  * bug-script: Synchronize with unstable (352.79-3).
  * bug-control.mk: New script to generate bug-control (352.79-4).
  * bug-control, bug-script: Collect some information about OpenCL (352.79-6).
  * Use an empty nvidia:legacy-check substvar for legacy packages (352.79-6).
  * separate-makefile-kbuild.patch: New, don't make all Makefile targets
    available to Kbuild (352.79-6).
  * KERNEL_UNAME.patch: New, allow usage of KERNEL_UNAME as in 355.xx onwards
    (352.79-6).
  * use-kbuild-compiler.patch: New patch to build with Kbuild's version of the
    compiler instead of system default, thanks to Luca (352.79-2).
  * Use NVIDIA's conftest.sh script to determine settings during module build
    instead of our manually maintained conftest.h header (352.79-2).
  * conftest-verbose.patch: New patch to dump dynamically generated conftest
    headers (352.79-2).
  * conftest-via-kbuild.patch: New patch to call conftest.sh from within
    kbuild (and therefore with kbuild's compiler and flags) as in 355.xx
    (352.79-2).
  * use-kbuild-flags.patch: New, use KBUILD_CFLAGS from Kbuild to
    support building a 64-bit kernel module with 32-bit userspace (352.79-5).
  * build-sanity-checks.patch: New, handle the conftest.sh sanity checks in
    the modernized module build system (352.79-6).
  * disable-cc_version_check.patch: New patch to disable a useless check that
    tests the running kernel instead of the compilation target.
  * disable-preempt_rt_sanity_check.patch: New patch to disable a check we
    already skipped in our conftest.h (352.79-2).
  * Pass only the kernel version via KERNEL_UNAME and let the module build
    system figure out the paths (352.79-2).
  * Clear ARCH variable from environment before module build, thanks to Luca
    (352.79-2, 352.79-5).
  * arm-outer-sync.patch: New patch to fix armhf kernel module build for
    Linux 4.3, thanks to Luca (340.93-5).
  * ignore_xen_on_arm.patch: Update to add workaround for conftest.sh to fix
    kernel module build failure on armhf by forcing XEN_PRESENT=0 when
    building on armhf, thanks to Luca (352.79-2).
  * nvidia-detect: Update list of newer PCI IDs from release 375.26.
  * Add B-D: dpkg-dev (>= 1.17) for dpkg-parsechangelog --show-field
    (352.79-6).
  * Build libnvidia-encode1 and libnvidia-ifr1 for armhf, too (352.79-10).
  * Stop shipping unused pci.ids file (352.21-1).
  * control: Synchronize descriptions with unstable (370.28-2).
  * Add xorg-video-abi-23 as alternative dependency (375.20-1).
  * nvidia-alternative: Restrict Depends: glx-alternative-nvidia to (<< 0.7).
    Uploading a new upstream legacy release to stable will invalidate package
    relationships in unstable, thus permitting some (partial) upgrade paths
    that will fail.
  * Bump Standards-Version to 3.9.8. No changes needed.
  * Update lintian overrides.
  * Upload to jessie.

  [ Luca Boccassi ]
  * Add drm-driver-legacy.patch to fix nvidia kernel module load issue on
    Linux 4.9 and newer.  (Closes: #848514)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 04 Jan 2017 13:31:29 +0100

nvidia-graphics-drivers (340.96-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Do not run dh_strip_nondeterminism, it may perform modifications not
    permitted by the NVIDIA license.
  * rules, rules.defs: Unified naming of arch-specific variables.
  * get-orig-source: Download *.run with wget from http download server to
    preserve timestamps.
  * get-orig-source: Generate tarball reproducibly.
  * Update lintian overrides.

  [ Luca Boccassi ]
  * bug-script: collect Xorg log from journalctl if running on systemd

 -- Andreas Beckmann <anbe@debian.org>  Sun, 10 Jan 2016 19:55:26 +0100

nvidia-graphics-drivers (340.96-3) unstable; urgency=medium

  * Merge changes from 304.131-1 (wheezy) and 340.96-1 (jessie).
  * Add slave alternative for libnvcuvid.so.
  * Use a more generic approach for unloading the modules.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 14 Dec 2015 10:59:42 +0100

nvidia-graphics-drivers (340.96-2) unstable; urgency=medium

  * Merge changes from 340.96-1 (UNRELEASED).
  * seq-printf.patch: Remove, fixed upstream.
  * Update lintian overrides.  (Closes: #805388)
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 21 Nov 2015 06:59:25 +0100

nvidia-graphics-drivers (340.96-1) jessie; urgency=medium

  * New upstream legacy 340xx branch release 340.96 (2015-11-16).
    * Fixed CVE-2015-7869: Unsanitized User Mode Input.  (Closes: #805917)
      https://nvidia.custhelp.com/app/answers/detail/a_id/3808
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Merge changes from 304.131-1 (wheezy).
  * Add xorg-video-abi-20 as alternative dependency.
  * conftest.h:
    - Implement new conftest.sh functions hlist_for_each_entry,
      of_parse_phandle, for_each_online_node, node_end_pfn (358.09).
    - Update conftest.sh function scatterlist for logic reversal in
      304.131/340.96/352.63, support both ways.
  * d/rules: Move tar option --no-recursion before the list of files.
  * d/control: Make dependencies on nvidia-alternative strictly versioned to
    prevent partial upgrades.
  * d/module/debian/control.template: Add armhf to the Architecture list,
    otherwise module-assistant can't build any module packages from
    nvidia-kernel-source on armhf.
  * Upload to jessie.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 14 Dec 2015 10:17:49 +0100

nvidia-graphics-drivers (340.93-8) unstable; urgency=medium

  * nvidia-detect: Fix lspci call if there are multiple NVIDIA GPUs installed
    and report driver support for each of them.  (Closes: #804073)
  * bug-control: Report status of bumblebee and bumblebee-nvidia.
  * nvidia-alternative.postinst: Activate the register-glx-alternative-nvidia
    trigger with --no-await.
  * Update documentation to use update-glx to configure the 'nvidia' and 'glx'
    alternatives.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Nov 2015 12:14:46 +0100

nvidia-graphics-drivers (340.93-7) unstable; urgency=medium

  * Ship the NEWS in xserver-xorg-video-nvidia and nvidia-kernel-dkms, too.
  * Bump glx-alternative-nvidia dependency to (>= 0.7) for Xorg autoconfig.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Nov 2015 12:10:02 +0100

nvidia-graphics-drivers (340.93-6) unstable; urgency=medium

  * nvidia-opencl-icd: Restore the Depends: libcuda1.
  * d/rules: Move tar option --no-recursion before the list of files.
  * Bump dependency to nvidia-kernel-common (>= 20151021) which no longer
    applies non-default permissions on the /dev/nvidia* device nodes.
    (See: #801598, #801869) (Closes: #801191, #801097)
  * nvidia-modprobe.conf: Re-enable the PCI ID matching aliases.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 21 Oct 2015 16:22:33 +0200

nvidia-graphics-drivers (340.93-5) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Merge changes from 304.128-1 (wheezy) and 340.93-0+deb8u1 (jessie).
  * nvidia-kernel-support: Ship nvidia-modprobe.conf (previously in
    nvidia-alternative), managed via nvidia-alternative.
  * nvidia-kernel-support: Ship nvidia-blacklists-nouveau.conf and
    nvidia-load.conf, managed via nvidia-alternative.
  * Reroute all kernel module dependencies through nvidia-kernel-support.
    (Closes: #801298)
  * nvidia-modprobe.conf: Temporarily disable the PCI-ID-match aliases and go
    back to insecure default permissions (root:root 0666).  (See: #801869)
  * Xorg autoconfig does not cause the permission issues.  (See: #801598)
  * Update lintian overrides.

  [ Luca Boccassi ]
  * arm-outer-sync.patch: New patch to fix armhf kernel module build for
    Linux 4.3.
  * conftest.h:
    - Implement new conftest.sh functions hlist_for_each_entry,
      of_parse_phandle, for_each_online_node, node_end_pfn (358.09).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 Oct 2015 16:00:30 +0200

nvidia-graphics-drivers (340.93-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Update lintian overrides.
  * bug-script: Report device node permissions.
  * bug-control, bug-script: Report information about CUDA libraries.
  * libcuda1: Provides: libcuda1-any.
  * xserver-xorg-video-nvidia: Ship nvidia-drm-outputclass.conf, managed via
    nvidia-alternative.
  * Add nvidia-kernel-support package.

  [ Luca Boccassi ]
  * seq-printf.patch: New patch to fix kernel module build for Linux 4.3.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 09 Oct 2015 01:52:51 +0200

nvidia-graphics-drivers (340.93-3) unstable; urgency=medium

  * Revert glx-alternative-nvidia dependency to (>= 0.5) because Xorg
    autoconfig causes some permission issues (see: #799948).
  * Document the permission issues.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 01 Oct 2015 04:26:47 +0200

nvidia-graphics-drivers (340.93-2) unstable; urgency=medium

  * nvidia-modprobe.conf:  (Closes: #798207)
    - Don't use aliases for the renamed modules, only use install and remove
      commands.
    - Remodel the nvidia-uvm -> nvidia dependency via an install command.
    - Duplicate the module's built-in PCI-ID-match aliases to ensure they
      cause the virtual "nvidia" module to be loaded instead of a random one.
  * Drop instructions and debconf notes about manual xorg.conf creation. The
    driver now integrates with Xorg s.t. it is automatically detected and
    loaded if selected as the glx alternative.  (Closes: #586502, #612093)
  * Add NEWS entry about no longer requiring manual xorg.conf creation.
  * Bump glx-alternative-nvidia dependency to (>= 0.6) for Xorg autoconfig.
  * libgl1-nvidia-glx: Add Provides+Conflicts:
    libgl1-nvidia-glx-${nvidia:Version} to forbid co-installation of
    libgl1-nvidia-legacy-304xx-glx from the same upstream version due to file
    conflicts on versioned files that are not handled via alternatives.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 24 Sep 2015 04:38:22 +0200

nvidia-graphics-drivers (340.93-1) unstable; urgency=medium

  * New upstream legacy 340xx branch release 340.93 (2015-09-02).
    * Fixed CVE-2015-5950: Memory corruption due to an unsanitized pointer.
      https://nvidia.custhelp.com/app/answers/detail/a_id/3763
      (Closes: #800566)
  * fixes-for-kernel-4.0.0.patch: Remove, fixed upstream.
  * conftest.h:
    - Implement new conftest.sh function nvidia_grid_build (352.41).
  * Update lintian overrides.
  * nvidia-driver-bin, libnvidia-compiler, libnvidia-eglcore: Add
    Provides+Conflicts: $pkg-${nvidia:Version} to forbid co-installation with
    the respective legacy packages from the same upstream version due to file
    conflicts on versioned files are not handled via alternatives.
  * bug-script: Report file information in arm-linux-gnueabihf directories.
  * bug-script: Collect information from /etc/modules{,-load.d/}.
  * nvidia-driver: Add Recommends: nvidia-persistenced.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 14 Sep 2015 20:58:29 +0200

nvidia-graphics-drivers (340.93-0+deb8u1) jessie; urgency=medium

  * New upstream legacy 340xx branch release 340.93 (2015-09-02).
    * Fixed CVE-2015-5950: Memory corruption due to an unsanitized pointer.
      https://nvidia.custhelp.com/app/answers/detail/a_id/3763
      (Closes: #800566)
    - Fixed a bug that caused the X server to crash if an OpenGL application
      tried to allocate a drawable when GPU-accessible memory is exhausted.
    - Fixed a bug that could cause an Xid error when terminating a video
      playback application using the overlay presentation queue in VDPAU.
    - Fixed a rare deadlock condition when running applications that use
      OpenGL in multiple threads on a Quadro GPU.
    - Fixed a bug which caused truncation of the EGLAttrib value returned
      by eglQueryDeviceAttribEXT() on 64-bit systems.
    - Fixed a kernel memory leak that occurred when looping hardware-
      accelerated video decoding with VDPAU on Maxwell-based GPUs.
    - Fixed a bug that caused the X server to crash if a RandR 1.4 output
      provided by a Sink Output provider was selected as the primary output on
      X.Org xserver 1.17 and higher.
    - Fixed a bug that caused waiting on X Sync Fence objects in OpenGL to
      hang indefinitely in some cases.
    - Fixed a bug that prevented OpenGL from properly recovering from
      hardware errors or sync object waits that had timed out.
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * fixes-for-kernel-4.0.0.patch: Remove, fixed upstream.
  * conftest.h:
    - Implement new conftest.sh function nvidia_grid_build (352.41).
  * Update lintian overrides.
  * nvidia-driver-bin, libnvidia-compiler, libnvidia-eglcore,
    libgl1-nvidia-glx: Add Provides+Conflicts: $pkg-${nvidia:Version} to
    forbid co-installation with the respective legacy packages from the same
    upstream version due to file conflicts on versioned files that are not
    handled via alternatives.
  * bug-script: Report file information in arm-linux-gnueabihf directories.
  * bug-script: Collect information from /etc/modules{,-load.d/}.
  * bug-script: Report device node permissions.
  * bug-control, bug-script: Report information about CUDA libraries.
  * nvidia-detect: Update list of newer PCI IDs from release 346.87.
  * Merge changes from 304.128-1.
  * Upload to jessie.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 Oct 2015 13:18:03 +0200

nvidia-graphics-drivers (340.76-5) unstable; urgency=medium

  * Drop obsolete transitional package nvidia-glx.
  * nvidia-kernel-*: [i386] Drop support for building amd64 kernel modules.
  * Overhaul arch-specific UVM support.
  * nvidia-detect: Add support for the upcoming nvidia-legacy-340xx-driver.
  * Rename nvidia-uvm.ko to nvidia-{current,legacy-*}-uvm.ko.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Aug 2015 18:30:32 +0200

nvidia-graphics-drivers (340.76-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * README.source: Document my schroot setup for testing module compilation.
  * Update lintian overrides.

  [ Luca Boccassi ]
  * conftest.h:
    - dma_map_ops and dma_ops are available for PPC and ARM too
  * Add ignore_xen_on_arm.patch needed for dkms build on armhf: armmp
    kernel headers ship with CONFIG_XEN enabled, which breaks the build,
    so since running this driver on XEN is currently not supported,
    ignore the check for XEN in nv-linux.h as a workaround on arm, and
    also disable CONFIG_XEN and CONFIG_XEN_DOM0 if building on <= 3.16.
    (Closes: #794435)
  * README.source: Document armhf setup for testing module compilation.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Aug 2015 02:23:23 +0200

nvidia-graphics-drivers (340.76-3) unstable; urgency=medium

  [ Vincent Cheng ]
  * nvidia-detect: Detect stretch as supported suite, and parse -h as --help.
    (Closes: #792801)

  [ Luca Boccassi ]
  * Fix nvidia-modprobe.conf module unload ordering, to stop nvidia-uvm
    getting stuck until a second modprobe -r nvidia-current is issued.
    Fix provided by Jö Fahlke. Thanks! (Closes: #793386)

  [ Andreas Beckmann ]
  * Add Luca Boccassi to Uploaders.
  * nvidia-driver, nvidia-kernel-*: Report the latest tested Linux version
    that can build the kernel module in the package description.
  * conftest.h:
    - Fix conftest.sh function write_cr4.
    - Implement new conftest.sh functions backing_dev_info (346.82),
      phys_to_dma, dma_ops, get_dma_ops, noncoherent_swiotlb_dma_ops (352.09).
    - Implement new conftest.sh function dma_map_ops (352.30).
    - Reorder conftest.h to match conftest.sh.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 02 Aug 2015 22:33:27 +0200

nvidia-graphics-drivers (340.76-2) unstable; urgency=medium

  * fixes-for-kernel-4.0.0.patch: New patch to add support for Linux 4.0,
    thanks to Jessie Frazelle.  (Closes: #781810)
  * conftest.h:
    - Implement check for linux/log2.h (346.16).
    - Implement check for xen/ioemu.h (346.59).
    - Implement new conftest.sh functions write_cr4, xen_ioemu_inject_msi
      (346.59), list_cut_position (349.12).
  * Split some old UNRELEASED changelog entries to linearize the BTS history.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 May 2015 20:47:07 +0200

nvidia-graphics-drivers (340.76-1) unstable; urgency=medium

  * New upstream legacy 340xx branch release 340.76 (2015-01-27).
    - Fixed a bug that caused frequent AMD-Vi page faults on systems with
      some AMD 8xx/9xx-series chipsets when used with some NVIDIA GPUs.
    - Fixed a regression that could cause system crashes when terminating the
      X server on systems with an NVIDIA Quadro SDI Capture card installed.
    - Fixed a bug that caused audio over HDMI to not work on some GPUs while
      using a display that supports HDMI 3D.
    * Improved compatibility with recent Linux kernels.  (Closes: #778698)

  [ Andreas Beckmann ]
  * nvidia-kernel-source: Use reproducible timestamps and file order inside
    /usr/src/nvidia-kernel.tar.xz.
  * conftest.h:
    - Implement new conftest.sh functions file_inode, drm_pci_set_busid
      (340.76).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Mar 2015 19:42:13 +0100

nvidia-graphics-drivers (340.65-2) unstable; urgency=medium

  * Merge changes from 304.125-1.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Dec 2014 22:10:14 +0100

nvidia-graphics-drivers (340.65-1) unstable; urgency=medium

  * New upstream legacy 340xx branch release 340.65 (2014-12-08).
    * Fixes CVE-2014-8298.  (Closes: #772971)
      https://nvidia.custhelp.com/app/answers/detail/a_id/3610
    - Fixed a bug that prevented internal 4K panels on some laptops from being
      driven at a sufficient bandwidth to support their native resolutions.
    - Fixed a regression that prevented the NVIDIA kernel module from loading
      in some virtualized environments such as Amazon Web Services.
    - Fixed a regression that caused displays to be detected incorrectly on
      some notebook systems.  (Closes: #770798, #765726)
    - Fixed a bug that could cause X to freeze when using Base Mosaic.
    - Fixed a regression that prevented the NVIDIA X driver from recognizing
      Base Mosaic layouts generated by the nvidia-settings control panel.

  [ Andreas Beckmann ]
  * Merge changes from 304.125 (UNRELEASED).
  * Add xorg-video-abi-19 as alternative dependency.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Dec 2014 21:10:11 +0100

nvidia-graphics-drivers (340.58-1) unstable; urgency=medium

  * New upstream legacy 340xx branch release 340.58 (2014-11-05).
    - Added support for the following GPUs: GeForce GT820M, GeForce GTX 760A,
      GeForce GTX 850A, GeForce 810A, GeForce 820A, GeForce 840A, Tesla K8.
    - Fixed a bug that could cause VT-switching to fail following a
      suspend, resume, and driver reload sequence.
    - Fixed a bug that caused incorrect colors to be displayed on X screens
      running at depth 8 on some GPUs.
    - Fixed a bug that prevented GPUs from being correctly recognized in
      MetaMode strings when identified by UUID.
    - Implemented support for disabling indirect GLX context creation using
      the -iglx option available on X.Org server release 1.16 and newer.  Note
      that future X.Org server releases may make the -iglx option the default.
      To re-enable support for indirect GLX on such servers, use the +iglx
      option.
    - Added the "AllowIndirectGLXProtocol" X config option.  This option can
      be used to disallow use of GLX protocol.  See "Appendix B. X Config
      Options" in the README for more details.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * conftest.h:
    - Implement check for drm/drm_gem.h (340.58).
    - Implement new conftest.sh functions pci_save_state (340.58), follow_pfn,
      fault_flags, atomic64_type (346.16).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 10 Dec 2014 01:21:29 +0100

nvidia-graphics-drivers (340.46-6) unstable; urgency=medium

  * nvidia-kernel-dkms: Switch to Recommends: nvidia-driver | libcuda1
    to break the chain libcuda1 -> nvidia-kernel-dkms -> nvidia-driver.
  * nvidia-opencl-icd: Downgrade the Depends: libcuda1 to Suggests. This
    should avoid pulling in too many NVIDIA packages on wheezy -> jessie
    upgrades of systems that have no NVIDIA hardware, but nvidia-opencl-icd
    installed nevertheless.  (Closes: #769072 and many duplicates)
  * nvidia-detect: Update list of newer PCI IDs from release 346.16.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 30 Nov 2014 20:08:09 +0100

nvidia-graphics-drivers (340.46-5) unstable; urgency=medium

  * nvidia-driver-bin: Breaks+Replaces nvidia-glx from wheezy.
  * libgles2-nvidia: Fix the SONAME symlink.
  * nvidia-alternative: Ship /usr/share/nvidia (slave alternative location).
  * New Dutch (nl) debconf translations by Frans Spiesschaert.
    (Closes: #767492)
  * README.source: Document the nks-history.git repository.
  * bug-script: Collect more information.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 22 Nov 2014 18:47:36 +0100

nvidia-graphics-drivers (340.46-4) unstable; urgency=medium

  * Fix installation of nvidia-smi.  (Closes: #766343)
  * Add more dependencies on nvidia-alternative.
  * d/rules: Add #!armhf# and #!legacy# substitutions.
  * nvidia-driver: Stop shipping nvidia-persistenced, this is being moved to a
    separate source package.
  * Split nvidia-driver-bin from the metapackage nvidia-driver.
  * nvidia-driver-bin: Support switching via nvidia-alternative.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Oct 2014 23:43:37 +0100

nvidia-graphics-drivers (340.46-3) unstable; urgency=medium

  * Updated French (fr) debconf translations by Christian Perrier.
  * bug-script: Run xrandr, if possible.
  * nvidia-driver: Depend on libegl1-nvidia and recommend libgles[12]-nvidia.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Oct 2014 00:09:17 +0200

nvidia-graphics-drivers (340.46-2) unstable; urgency=medium

  * Add libcuda1 dependency to libraries that seem to be capable of doing
    dlopen("libcuda.so") or dlopen("libcuda.so.1").
  * nvidia-libopencl1.symbols: Ensure ocl-icd-libopencl1 is always the first
    alternative, dependency lists may be reordered.
  * Merge changes from 331.104 (UNRELEASED).
  * README.source: Document workflow for importing a new upstream release that
    has moved support for some legacy cards to a new legacy driver.
  * nvidia-detect: Report that a driver supporting GeForce GTX 970/980 will be
    made available in jessie-backports (and experimental).
  * d/rules: Correctly parse PCI ID lists from upstream README of release
    343xx onwards.
  * conftest.h:
    - DRM is only supported on Linux >= 3.9.  (Closes: #765679)
    - Implement extensions to conftest.sh function vm_operations_struct
      (343.13).
  * bug-script: Collect more information.
  * Update lintian overrides.
  * nvidia-vdpau-driver: Support switching via nvidia-alternative.
  * libcuda1: Support switching via nvidia-alternative.
  * nvidia-opencl-icd: Support switching via nvidia-alternative.
  * lib{egl1,gles1,gles2}-nvidia: Support switching via nvidia-alternative.
  * libnvidia-{ifr1,bfc1}: Support switching via nvidia-alternative.
  * libnvidia-encode1, libnvcuvid1: Support switching via nvidia-alternative.
  * libnvidia-ml1, nvidia-smi: Support switching via nvidia-alternative.
  * nvidia-driver: Recommend libegl1-nvidia and suggest libgles[12]-nvidia.
  * d/rules{,.defs}: Drop MULTIARCH switch - this is always enabled nowadays.
  * libgl1-nvidia-glx.preinst: Rework the legacy check. Use more debconf
    variable substitutions for easy reuse of the translations.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 20 Oct 2014 10:30:50 +0200

nvidia-graphics-drivers (340.46-1) unstable; urgency=medium

  * New upstream long lived branch release 340.46 (2014-09-30).
    - Fixed a crash with UnrealEngine 4 when the application was started
      with the -opengl4 commandline switch.
    - Fixed an OpenGL issue that could cause glReadPixels() operations to
      be improperly clipped when resizing composited application windows,
      potentially leading to momentary X freezes.
    - Fixed a bug that could prevent the GLSL compiler from correctly
      evaluating some expressions when compiling shaders.
    - Added option UseSysmemPixmapAccel to control the use of GPU acceleration
      for X drawing operations on pixmaps allocated in system memory.

  [ Vincent Cheng ]
  * Unload uvm module when nvidia is unloaded. (Closes: #749018)
  * conftest.h:
    - Tighten conftest.h check for drm/drmP.h.
    - Implement new conftest.sh functions sg_table, sg_alloc_table (340.46).

  [ Andreas Beckmann ]
  * libcuda1: Add Provides: libcuda-6.{0,5}-1{,-i386}.
  * nvidia-detect: Legacy driver 173xx won't be available in jessie.
  * Merge changes from 304.123 (UNRELEASED).
  * Bump Standards-Version to 3.9.6. No changes needed.
  * Update lintian overrides.
  * Restrict watch file to releases from the 340.xx long lived branch.
  * libgl1-nvidia-glx.preinst: Implement hardware check for legacy GPUs that
    require the nvidia-legacy-304xx-driver package. Based on the
    implementation of the same feature in fglrx-driver (libfglrx.preinst).
    - Show debconf question in preinst asking whether to proceed with driver
      installation in case GPUs only supported in nvidia-legacy-304xx-driver
      are present in the machine. (Having *no* supported hardware installed at
      all is *not* an error.)
    - The hardware check can be disabled via preseeding to allow unattended
      installations/upgrades.
    (Closes: #761062)
  * Import and adjust the corresponding debconf translations from
    fglrx-driver.

  [ Beren Minor ]
  * Fix DRM support activation in conftest.h. (Closes: #731265)

 -- Vincent Cheng <vcheng@debian.org>  Mon, 06 Oct 2014 20:08:51 -0700

nvidia-graphics-drivers (340.32-1) unstable; urgency=medium

  * New upstream long lived branch release 340.32 (2014-08-12).
    - Added support for the following GPUs: Quadro K420, Quadro K620,
      Quadro K2200, Quadro K4200, Quadro K5200, GeForce 830A.
    - Fixed a regression that prevented the internal stereo infrared emitter
      built into some 3D Vision monitors from working.
    - Fixed a bug that could cause some Java-based OpenGL applications using
      JOGL to crash on startup on systems with Xinerama enabled.
    - Fixed a bug that could prevent OpenGL Framebuffer Objects (FBOs)
      from being properly redrawn after a modeswitch.
    - Fixed a memory leak that occurred when starting OpenGL applications.
    - Fixed a bug that prevented the EDID-Like Data (ELD) of audio-capable
      displays from being updated when hotplugged/unplugged.
    - Fixed a bug that caused Xid errors when using stereo mode 12 (HDMI 3D)
      on Quadro boards without an onboard stereo DIN connector.
    - Fixed a video corruption issue for VDPAU decoding of VC-1 and WMV
      video streams utilizing range remapping on Maxwell GPUs.
    - Fixed a "black window" bug in Ubuntu 14.04 when using the Xinerama
      and Composite extensions.
    - Fixed a bug that caused the screen's contents to be shifted downward when
      a G-SYNC monitor is unplugged and replaced by a non-G-SYNC monitor.
    - Fixed a bug that prevented G-SYNC from working when a G-SYNC monitor
      was unplugged and plugged back in without a modeset.

  [ Vincent Cheng ]
  * Refresh debian/patches/man-fixes-nvidia-smi.patch and patches applied to
    nvidia-kernel-dkms.
  * Update nv-readme.ids.
  * conftest.h: Implement new conftest.sh function acpi_op_remove (304.123).

 -- Vincent Cheng <vcheng@debian.org>  Sat, 16 Aug 2014 23:49:21 -0700

nvidia-graphics-drivers (340.24-2) unstable; urgency=high

  * Fix FTBFS on armhf by not installing non-existent files. (Closes: #754621)
  * Urgency=high because nvidia is currently completely broken in testing due
    to xserver 1.16 migration and ABI bump.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 19 Jul 2014 23:57:46 -0700

nvidia-graphics-drivers (340.24-1) unstable; urgency=medium

  * New upstream long lived branch release 340.24 (2014-07-08).
    - Fixed a regression, introduced in the 340.17 public beta release,
      that caused the NVIDIA X driver to access freed memory when exiting
      a GLX application that used either of the GLX_NV_video_out or
      GLX_NV_present_video extensions.
    - Fixed a bug that prevented 3D Vision stereo and ultra low motion blur
      modes from working on G-SYNC capable monitors in some cases.
    - Fixed a kernel crash when running some applications with IOMMU
      functionality enabled.
    - Fixed a floating point exception in the OpenGL driver when running
      "Risk of Rain" under Wine.
  * New upstream beta 340.17 (2014-06-09).
    - Made various improvements and corrections to the information reported
      to GL applications via the KHR_debug and ARB_debug_output extensions.
    - Fixed a bug that caused GLX applications which simultaneously create
      drawables on multiple X servers to crash when swapping buffers.
    - Added support for controlling the availability of Fast Approximate
      Antialiasing (FXAA) on a per-application basis via the new
      __GL_ALLOW_FXAA_USAGE environment variable and the corresponding
      GLAllowFXAAUsage application profile key. See the README for details.
    - Fixed a bug where indirect rendering could become corrupted on
      system configurations that disallow writing to executable memory.
    - Added initial support for G-SYNC monitors.  Additional details and system
      requirements can be found at:
        https://www.geforce.com/hardware/technology/g-sync
    - Improved support for running the NVIDIA driver in configurations where
      writing to executable memory is disallowed.  Driver optimizations that
      require writing to executable memory can be forcefully disabled using the
      new __GL_WRITE_TEXT_SECTION environment variable.  See the README for more
      details.
    - Fixed an X driver bug that caused gamma ramp updates of the green
      channel at depth 15, on some recent GPUs, to be ignored.
  * New upstream short lived branch release 337.25 (2014-05-30).
    - Fixed a bug that caused X to crash when querying clock offsets for
      non-existent performance levels.
    - Added support for the following GPUs: GeForce GTX TITAN Z,
      GeForce GT 740.
    - Fixed a performance regression when running KDE with desktop effects
      using the OpenGL compositing backend.
    - Fixed a regression that could cause OpenGL rendering corruption on X
      screens with 30 bit per pixel color.

  [ Vincent Cheng ]
  * Refresh debian/patches/man-fixes-nvidia-smi.patch.
  * Add myself to Uploaders.
  * Add xorg-video-abi-18 as alternative dependency.
    (Closes: #755020, #755138, #751082, #754828, #754251).
  * Update nv-readme.ids.
  * Update symbols control files.

  [ Andreas Beckmann ]
  * nvidia-driver: Ship new file                        (Closes: #748909)
    /usr/share/nvidia/nvidia-application-profiles-$VER-key-documentation.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 19 Jul 2014 14:05:31 -0700

nvidia-graphics-drivers (337.19-1) experimental; urgency=medium

  * New upstream beta 337.17 (2014-05-01).
    - Fixed a bug causing mode validation to fail for 4K resolutions over HDMI
      in certain situations.
    - Added support for the GLX_EXT_stereo_tree extension.  For more
      details, see the extension specification:
        http://www.opengl.org/registry/specs/EXT/glx_stereo_tree.txt
    - Enabled support for using Unified Back Buffer (UBB) and 3D Stereo with
      the composite extension on Quadro cards.  Using stereo with a composite
      manager requires a stereo-aware composite manager.  Otherwise, only the
      left eye of stereo applications will be displayed.  See the
      GLX_EXT_stereo_tree extension specification for more details.
  * New upstream beta 337.12 (2014-04-08).
    - Fixed a bug that could cause OpenGL programs to freeze under some
      low memory conditions.
    - Removed the "OnDemandVBlankInterrupts" X configuration option: this
      option has been enabled by default since version 177.68 of the
      NVIDIA Unix driver, and the documentation had not been updated to
      reflect the new default value.
    - Fixed a bug that caused GPU errors when hotplugging daisy-chained
      DisplayPort 1.2 displays.
    - Fixed a bug that prevented the use of multiple simultaneous X servers
      on UEFI systems.
    - Added the ability to over- and under-clock certain GeForce
      GPUs in the GeForce GTX 400 series and later.  For GPUs that allow it,
      an offset can be applied to clock values in some clock domains of
      some performance levels.  This clock manipulation is done at the
      user's own risk.  See the README documentation of the "CoolBits"
      X configuration option for more details.
    - Added support for the following GPUs: GeForce 830M, GeForce 840M,
      GeForce 845M, GeForce GTX 850M.
    - Renamed the RandR output property _GUID to GUID now that it is an official
      property documented in randrproto.txt:
        https://cgit.freedesktop.org/xorg/proto/randrproto/commit/?id=19fc4c5a72eb9919d720ad66734029d9f8e313b1
    - Reduced CPU utilization and GPU memory utilization of the NVIDIA
      EGL driver.
    - Added support for the following EGL extensions:
      - EGL_EXT_buffer_age;
      - EGL_EXT_client_extensions;
      - EGL_EXT_platform_base;
      - EGL_EXT_platform_x11.
    - Renamed the "Clone" setting of the "MetaModeOrientation" X configuration
      option to "SamePositionAs", to make clear that this setting applies to
      the position only, and not to the resolution of modes in the MetaMode.
    - Added NV-CONTROL attribute NV_CTRL_VIDEO_ENCODER_UTILIZATION to query
      utilization percentage of the video encoder engine.
    - Added support for the GLX_NV_delay_before_swap extension.  For more
      details, see the extension specification:
        http://www.opengl.org/registry/specs/NV/glx_delay_before_swap.txt
    - Report correct buffer sizes for RGB GLX visuals, GLXFBConfigs, and
      EGLConfigs.  Previously, RGB10 and RGB8 formats were reported as having 32
      bits, and RGB5 formats were reported as having 16 bits.  Now they are
      correctly reported as 30, 24, and 15 bit formats respectively as
      required by the GLX and EGL specifications.
    * Improved compatibility with recent Linux kernels.
      (Closes: #745885, #746519)
  * Update nv-readme.ids.
  * Update symbols control files.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 09 May 2014 09:08:38 +0200

nvidia-graphics-drivers (334.21-1) experimental; urgency=medium

  * New upstream short lived branch release 334.21 (2014-03-03).
    - Fixed a regression in the NVIDIA kernel module which caused it to
      improperly dereference a userspace pointer. This potential security
      issue was initially reported to the public at:
        https://forums.grsecurity.net/viewtopic.php?f=3&t=3922
      The regression did not affect NVIDIA GPU drivers before release 334.
    - Fixed a bug that could cause OpenGL programs to hang after calling
      fork(2).
    - Fixed a bug that could cause a multi-threaded OpenGL application
      to crash when one of its threads exits after the application has
      unloaded libGL.
    - Added support for the following GPUs: GeForce GTX 750 Ti,
      GeForce GTX 750, GeForce GTX 745, GeForce GTX TITAN Black.
    - Added support for GPUs with VDPAU Feature Set E. See the README
      for details.
    - On GPUs with VDPAU Feature Set E, VDPAU now supports more robust
      decode error handling at the cost of a minor performance impact.
      This can be disabled by setting the
      VDPAU_NVIDIA_DISABLE_ERROR_CONCEALMENT environment variable to 1.
    - Added support for application profile rule patterns which are logical
      operations of subpatterns. See the README for details.
    - Added support for a "findfile" application profile feature which
      allows the driver to apply profiles based on matching files in the
      same directory as the process executable. See the README for details.
    - Improved performance of OpenGL applications when used in conjunction
      with the X driver's composition pipeline.  The composition pipeline may
      be explicitly enabled by using the ForceCompositionPipeline or
      ForceFullCompositionPipeline MetaMode options, or implicitly enabled
      when certain features such as some XRandR transformations, rotation,
      Warp & Blend, PRIME, and NvFBC are used.
  * New upstream short lived branch release 334.16 (2014-02-08).
    - Fixed a bug that could cause applications using the OpenGL
      extension ARB_query_buffer_object to crash under Xinerama.
    - Fixed a bug that could cause poor stereo synchronization in large
      multi-monitor setups using 3D Vision, due to failed hardware
      handshaking on some of the monitors.
    - Fixed a bug that prevented some DisplayPort 1.2 displays from being
      properly restored after a VT switch.
    - Renamed per GPU proc directories in /proc/driver/nvidia/gpus/ with GPU's
      bus location represented in "domain:bus:device.function" format.
    - Added 64-bit EGL and OpenGL ES libraries to 64-bit driver prackages.
    - Changed format of "Bus Location" field reported in the
      /proc/driver/nvidia/gpus/0..N/information files from
      "domain:bus.device.function" to "domain:bus:device.function" to match
      the lspci format.
    - Fixed a bug in the GLX_EXT_buffer_age extension where incorrect
      ages would be returned unless triple buffering was enabled.
    - Updated the NVIDIA X driver to load the NVIDIA kernel module using
      `nvidia-modprobe`, rather than the XFree86 DDX helper function
      xf86LoadKernelModule().
    - Changed the driver's default behavior to stop deleting RandR 1.2 outputs
      corresponding to unused DisplayPort 1.2 devices.  Deleting these outputs
      can confuse some applications.  Added a new option,
      DeleteUnusedDP12Displays, which can be used to turn this behavior back on.
      This option can be enabled by running
        sudo nvidia-xconfig --delete-unused-dp12-displays
    - Improved support for the __GL_SYNC_DISPLAY_DEVICE and
      VDPAU_NVIDIA_SYNC_DISPLAY_DEVICE environment variables in certain
      configurations.  Both environment variables will now recognize all
      supported display device names.  See "Appendix C. Display Device Names"
      and "Appendix G. VDPAU Support" in the README for more details.
    - Improved performance of the X driver when handling large numbers of
      surface allocations.
  * Update nv-readme.ids.
  * Update symbols control files.
  * Build the EGL/GLES packages for amd64, too.
  * Update lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 23 Apr 2014 14:41:03 +0200

nvidia-graphics-drivers (331.113-1) UNRELEASED; urgency=medium

  * New upstream long lived branch release 331.113 (2014-12-05).
    * Fixes CVE-2014-8298.
      https://nvidia.custhelp.com/app/answers/detail/a_id/3610

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Dec 2014 08:27:26 +0100

nvidia-graphics-drivers (331.104-1) UNRELEASED; urgency=medium

  * New upstream long lived branch release 331.104 (2014-10-08).
    - Fixed a bug that could cause the CUDA debugger to fail after
      exiting X on systems with persistence mode enabled.
    - Fixed a bug that could cause silent and intermittent failures when
      a CUDA application writes to a peer device's memory with GPUDirect.
    - Fixed a bug that could prevent 32-bit GPU-based applications from
      running correctly on 64-bit systems when using GPUs with very
      large memory-mapped I/O regions.
    - Fixed a bug that could cause poor system performance and hangs when
      running large compute workloads on IOMMU-enabled systems.
    - Fixed a bug that could cause a system crash when two or more
      processes try to load the nvidia-uvm driver.
    - Added support for the following GPU: GeForce 810M.
    - Improved the performance of OpenGL applications that request a large
      number of GPU mappings via the GL_NV_shader_buffer_load extension.
    - Fixed a bug that could cause a system crash when killing applications
      that use NVIDIA GPUs on multiple-GPU systems with IOMMU functionality
      enabled.
    - Fixed a bug that caused the NVIDIA kernel module to leak memory for
      DMA mappings on some configurations.
  * New upstream long lived branch release 331.89 (2014-07-04).
    - Fixed a race condition in the NVIDIA kernel module that caused some
      GPUs to sporadically become unresponsive.
    - Updated the error reporting in the NVIDIA kernel module to include the
      GPU serial number, when available, in error messages written to the
      system log.
    - Added support for the following GPU: GeForce GT 730.
    - Fixed a bug that caused blank screens when transforming or rotating displays
      in an SLI Mosaic layout.
    - Fixed a bug that corrupted certain software rendering on 32-bit systems.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 12 Oct 2014 02:40:55 +0200

nvidia-graphics-drivers (331.79-1) unstable; urgency=medium

  * New upstream long lived branch release 331.79 (2014-05-20).
    - Fixed a bug that caused blank screens and flickering when rotating
      displays in a Base Mosaic layout.
    - Fixed a bug that caused BadRRCrtc or BadRROutput errors for big-endian
      X11 clients making certain XRandR requests.
    - Fixed a bug that corrupted certain software rendering, notably the
      stippled text used to represent disabled entries in xterm's pop-up menus.
  * conftest.h: Implement new conftest.sh function console_lock (331.79).
  * uvm-symvers.patch: New patch to fix the missing Module.symvers from
    nvidia.ko build while building nvidia-uvm.ko.
    (Closes: #747366, #745715, #746643, #746455)
  * nvidia-driver: Ship new files /usr/share/nvidia/{monitoring.conf, pci.ids}.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 23 May 2014 12:45:22 +0200

nvidia-graphics-drivers (331.67-2) unstable; urgency=medium

  * Drop Breaks: make (= 3.82-1), fixed in make/experimental.
  * Add Depends: nvidia-modprobe.
  * Build the nvidia-uvm module, too.  (Closes: #745715, #746643)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 06 May 2014 07:35:39 +0200

nvidia-graphics-drivers (331.67-1) unstable; urgency=medium

  * New upstream long lived branch release 331.67 (2014-04-09).
    - Fixed a bug that could lead to crashes when running Left 4 Dead 2
      with threaded optimizations enabled.
    - Added support for the following GPUs: GeForce GT 705, GeForce GT 720,
      GeForce GTX 860M, GeForce GTX 870M, GeForce GTX 880M.
    - Fixed a bug that causes some X clients to be disconnected from the X
      server when the screen is resized while RandR 1.4 display offloading is in
      use.
    - Fixed a bug that could cause display corruption when resuming from
      suspend on systems using RandR 1.4 display offloading with recent
      Linux kernels.
    - Added support for Tridelity SL stereo mode.
    * Improved compatibility with recent Linux kernels.  (Closes: #742645)
  * Update nv-readme.ids.
  * conftest.h: Implement new conftest.sh function pm_vt_switch_required
    (331.67).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Apr 2014 14:53:29 +0200

nvidia-graphics-drivers (331.49-1) unstable; urgency=medium

  * New upstream long lived branch release 331.49 (2014-02-18).
    - Added support for the following GPUs: GeForce GT 710, GeForce 825M.
    - Added a new X configuration option "InbandStereoSignaling" to
      enable/disable DisplayPort in-band stereo signaling. See
      "Appendix B. X Config Options" in the README for more information.
    - Fixed a bug that caused PBO downloads of cube map faces to
      retrieve incorrect data.
    - Added experimental support for ARGB GLX visuals when Xinerama and
      Composite are enabled at the same time on X.Org xserver 1.15.
  * Update nv-readme.ids.
  * Update symbols control files.
  * nvidia_3.13_kernel.patch: Remove, fixed upstream.
  * conftest.h: Implement new conftest.sh function kuid_t (331.49).
  * bug-script: Report information about /etc/modprobe.d.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 23 Feb 2014 03:48:19 +0100

nvidia-graphics-drivers (331.38-2) experimental; urgency=medium

  * nvidia_3.13_kernel.patch: New patch from Fedora to adapt to ACPI changes
    in Linux 3.13.  (Closes: #735630)
  * nvidia-detect: Clarify output regarding legacy driver series. Update
    information about wheezy-backports and 96xx not being available in jessie.
    (Closes: #736145)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 31 Jan 2014 10:21:37 +0100

nvidia-graphics-drivers (331.38-1) experimental; urgency=low

  * New upstream long lived branch release 331.38 (2014-01-13).
    - Fixed a bug that caused the X server to crash if video memory is
      exhausted and the GPU does not support rendering to system memory.
    - Improved the robustness of the NVIDIA X driver in scenarios where
      GPU-accessible memory for allocating pixmaps was exhausted.
    - Added NV-CONTROL attributes to control the brightness of the illuminated
      logos on certain graphics boards.  For example, to turn off the
      illumination of the "GEFORCE GTX" lettering on the GeForce GTX 780, use
        nvidia-settings --assign GPULogoBrightness=0
    - Fixed a bug that prevented screen transformations from being
      applied properly when starting X.
    - GLX protocol for the following OpenGL extensions from
      OpenGL 2.1 and OpenGL 3.0 have been promoted from
      unofficial to ARB approved official status:
      GL_ARB_pixel_buffer_object, GL_NV_conditional_render,
      GL_ARB_map_buffer_range, GL_EXT_texture_integer,
      GL_ARB_vertex_array_object.
      GL_ARB_pixel_buffer_object was the last piece of protocol
      needed to have official support for indirect rendering with
      all OpenGL 2.1 commands.
    - GLX Protocol for the miscellaneous OpenGL 3.0 commands not
      associated with specific extensions has also been promoted from
      unofficial to ARB approved status.
    - Deprecated display mask related configuration of display devices via
      NV-CONTROL and nvidia-settings.  Display target specifications should
      be used instead - A display target is one of the display's valid names,
      with an optional GPU or X screen qualifier.
    - Deprecated the following NV-CONTROL attributes:
      NV_CTRL_CONNECTED_DISPLAYS, NV_CTRL_ENABLED_DISPLAYS,
      NV_CTRL_ASSOCIATED_DISPLAYS, NV_CTRL_NOTEBOOK_INTERNAL_LCD,
      NV_CTRL_FRAMELOCK_MASTER, NV_CTRL_FRAMELOCK_SLAVES,
      NV_CTRL_FRAMELOCK_MASTERABLE, NV_CTRL_FRAMELOCK_SLAVEABLE.
      Also, although NV_CTRL_PROBE_DISPLAYS is still operational, the return
      value has been deprecated and should not be used.
    * Fixed signal mask corruption.  (Closes: #728743)
  * conftest.h: Implement new conftest.sh functions kbasename,
    fatal_signal_pending (331.38).
  * Merge changes from 319.82-1.
  * Add xorg-video-abi-15 as alternative dependency.  (Closes: #732118)
  * Update symbols control files.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 19 Jan 2014 17:30:21 +0100

nvidia-graphics-drivers (331.20-2) experimental; urgency=low

  * libnvidia-fbc1: New package for NvFBCOpenGL (libnvidia-fbc.so.1).
  * [i386, armhf] lib{egl1,gles1,gles2}-nvidia, libnvidia-eglcore:
    New packages for EGL, OpenGL|ES 1.x, OpenGL|ES 2.x.
    These packages do not yet utilize the diversion/alternatives system,
    so you need to add /usr/lib/<triplet>/nvidia/current to LD_LIBRARY_PATH to
    use them.
  * Add libcuda1-i386:i386 package that can be recommended from amd64 packages
    that want to make the 32-bit CUDA runtime available.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 08 Nov 2013 22:13:05 +0100

nvidia-graphics-drivers (331.20-1) experimental; urgency=low

  * New upstream long lived branch release 331.20 (2013-11-06).
  * linux-3.11.patch: Remove, fixed upstream.
  * Update symbols control files.
  * conftest.h: Implement new conftest.sh functions address_space,
      address_space_init_once (331.20).
  * Merge changes from 319.60-3.
  * Update lintian overrides.
  * Update package descriptions.
  * libcuda1: Add Provides: libcuda-5.5-1.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 08 Nov 2013 19:54:06 +0100

nvidia-graphics-drivers (331.17-1) experimental; urgency=low

  * New upstream beta 331.17 (2013-10-22).
    - Added support for NVIDIA OpenGL-based Framebuffer Capture (NvFBCOpenGL).
      This library provides a high performance, low latency interface to
      capture and optionally encode the composited framebuffer of an X screen.
      NvFBC and NvIFR are private APIs that are only available to approved
      partners for use in remote graphics scenarios.  Please contact NVIDIA
      at GRIDteam@nvidia.com for more information.
    - Fixed a bug that prevented configuration files containing application
      profiles from being loaded when directories were present in the
      application profile configuration search path.
    - Deferred initialization of libselinux in the NVIDIA OpenGL driver, in
      order to avoid a problem where libselinux might not be ready when the
      NVIDIA libGL shared library is first loaded.
    - Added nvidia-uvm.ko, the NVIDIA Unified Memory kernel module, to the
      NVIDIA Linux driver package. This kernel module provides support for
      the new Unified Memory feature in an upcoming CUDA release.
  * Update nv-readme.ids.
  * not-silent.patch: Refresh.
  * conftest.h:
    - Remove obsolete conftest.sh functions vma_prio_tree_foreach,
      address_space_init_once (added in 331.13, removed in 331.17).
    - Implement new conftest.sh function task_struct (331.17).
  * linux-3.11.patch: Use patch from NVIDIA.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 02 Nov 2013 22:51:45 +0100

nvidia-graphics-drivers (331.13-1) experimental; urgency=low

  * New upstream beta 331.13 (2013-10-04).  (Closes: #727128)
    - Fixed a bug that caused the X server to fail to initialize when
      DisplayPort 1.2 monitors were assigned to separate X screens on the same
      GPU.
    - Fixed a bug that could cause a deadlock when forking from OpenGL
      programs which use some malloc implementations, such as TCMalloc.
    - Fixed a bug that prevented Warp & Blend settings from being
      retained across display configuration changes.
    - Changed the clipping behavior of the NVIDIA X driver on Trapezoids
      and Triangles for some RENDER operations to match the behavior in
      newer versions of Pixman:
      https://lists.freedesktop.org/archives/pixman/2013-April/002755.html
    - Fixed a bug in MetaMode tracking that could cause spurious error
      messages to be printed when attempting to add or delete Metamodes
      via NV-CONTROL.
    - Fixed a bug that caused the NVIDIA X driver to attempt to load the
      X11 "shadow" module unconditionally, even in situations where the
      driver had no need to use the module. This could result in the
      printing of spurious error messages, on X servers where the module
      was not present.
    - Fixed a bug that prevented display configuration changes made
      with xvidtune(1) from working correctly.
    - Fixed a bug that occasionally caused display corruption in GLX
      applications while changing the display configuration.
    - Fixed a bug that prevented glReadPixels from working correctly when
      reading from Pixel Buffer Objects over indirect rendering, when the
      image width is not a multiple of 4.
    - Added a new NV-CONTROL attribute, NV_CTRL_BACKLIGHT_BRIGHTNESS,
      for controlling backlight brightness.
    - Fixed a bug that caused DisplayPort 1.2 multi-stream devices to stop
      working if they were unplugged and plugged back in while they were active
      in the current MetaMode.
    - Added support for multiple NVIDIA kernel modules. This feature allows
      users to assign different GPUs in the system to different NVIDIA kernel
      modules, potentially reducing the software overhead of coordinating
      access to multiple GPUs.
    - Added support for the EGL API on 32-bit platforms.  Currently, the
      supported client APIs are OpenGL ES 1.1, 2.0 and 3.0, and the only
      supported window system backend is X11.
    - Add a new option, AllowEmptyInitialConfiguration, which allows the X
      server to start even if no connected display devices are detected at
      startup.  This option can be enabled by running "sudo nvidia-xconfig
      --allow-empty-initial-configuration"
      This option is useful in RandR 1.4 display offload configurations where
      no display devices are connected to the NVIDIA GPU when the X server is
      started, but might be connected later.
    - Added a system memory cache to improve the performance of certain X
      rendering operations that use software rendering fallbacks.  The X
      configuration option "SoftwareRenderCacheSize" may be used to configure
      the size of the cache.
    - Removed the "DynamicTwinView" X configuration option: dynamic
      reconfiguration of displays is always possible, and can no longer be
      disabled.
  * Refresh patches.
  * Update symbols control files.
  * Update lintian overrides.
  * nvidia-driver: Ship nvidia-debugdump.
  * conftest.h:
    - Implement checks for linux/printk.h, linux/ratelimit.h,
      linux/prio_tree.h (331.13).
    - Implement new conftest.sh functions vma_prio_tree_foreach,
      address_space_init_once, vm_operations_struct (331.13).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 24 Oct 2013 02:53:15 +0200

nvidia-graphics-drivers (325.15-4) experimental; urgency=low

  * Merge changes from 304.108-4 and 319.60-2.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Oct 2013 17:36:17 +0200

nvidia-graphics-drivers (325.15-3) experimental; urgency=low

  * Enable building the new libnvidia-ifr1 package.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 15 Sep 2013 16:20:51 +0200

nvidia-graphics-drivers (325.15-2) experimental; urgency=low

  * Merge changes from 304.108-3 and 313.49 (UNRELEASED).
    - linux-3.11.patch: New patch to fix compilation with Linux 3.11.
      (Closes: #722894)
  * Note: Some features from 313.49 are not yet in 325.15.
  * Do not build libnvidia-ifr1, yet.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 15 Sep 2013 16:01:23 +0200

nvidia-graphics-drivers (325.15-1) experimental; urgency=low

  * New upstream short lived branch release 325.15 (2013-08-05).
  * Update nv-readme.ids.
  * conftest.h: Implement new conftest.sh functions proc_create_data (325.15),
      pde_data (325.15), proc_remove (325.15), dom0_kernel_present (325.08),
      nvidiafb_sanity_check (1.0-8174), xen_sanity_check (1.0-9746, 177.76),
      preempt_rt_sanity_check (325.08).
  * kernel-3.10-{i2c,procfs}.patch: Remove. Fixed upstream.
  * Use a different approach to rename the kernel module that preserves its
    internal name as "nvidia".  (Closes: #718774)
  * nvidia{,-legacy-*}-kernel-dkms are now co-installable.  (Closes: #685617)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Aug 2013 10:50:53 +0200

nvidia-graphics-drivers (325.08-1) experimental; urgency=low

  * New upstream short lived branch release 325.08 (2013-07-01).
    - Fixed a bug that could cause display flickering after setting some
      scaling configurations.
    - Changed the default PCIe interrupt delivery method from virtual-wire
      to MSI. Note that if the NVIDIA Linux driver fails to initialize
      with an error indicating that it is not receiving interrupts, MSI
      can be disabled by setting the module parameter "NVreg_EnableMSI=0"
      when loading the NVIDIA kernel module.
    - Removed support for Linux 2.4 kernels. The NVIDIA Linux driver now
      requires Linux 2.6.9 or later.
    - Fixed a bug that prevented the creation of a mode via RandR with the
      same name as a previously created mode, even after the previous mode
      had been deleted.
    - Fixed a bug that could cause OpenGL applications that use Frame Buffer
      Objects (FBOs) to crash following a mode switch (e.g. changing the
      resolution of a display or transforming it).
    - Fixed a memory leak that could be triggered by unloading libGL before
      destroying all GLX contexts.
    - Fixed a bug that could cause color correction settings to be applied to
      the wrong display when multiple displays are unplugged and then plugged
      back in again.
    - Fixed a bug that could cause a spurious error message about a missing
      NV-GLX extension when performing indirect rendering from a GLX client
      with the NVIDIA client-side OpenGL libraries to a non-NVIDIA GLX server.
    - Fixed an OpenGL bug that prevented conditional rendering from the
      NV_conditional_render extension from correctly affecting CopyPixels.
    - Improved the rendering performance of complex gradients.
    - Fixed an X driver bug where the RandR CRTC panning area and tracking
      area were not getting clamped to the current X screen size when
      the RandR CRTC transitioned from disabled to enabled.
    - Fixed an X driver bug where successful RandR X_RRSetScreenConfig
      requests would update the server's RandR 'lastSetTime' too far,
      potentially causing subsequent RandR requests to be unnecessarily
      rejected.
    - Fixed an X driver bug that caused GPUs to become inaccessible via
      the NV-CONTROL X extension when no corresponding X screens could be
      initialized.
    - Generate a BadMatch error when applications attempt to create GLX
      pixmaps using glXCreatePixmap() or glXCreateGLXPixmapWithConfigSGIX()
      and the pixmap's depth doesn't match that of the specified GLXFBConfig.
    - Honor a GPU UUID as the GPU qualifier for X configuration options that
      allow GPU qualifiers (e.g. "MetaModes").
    - Report GPU UUIDs in the X log when verbose logging is enabled in the
      X server.
    - Enabled conformant glBlitFrameBuffer() scissor test behavior by
      default. A driver-provided application profile enables the previous
      non-conformant behavior for applications that load libcogl, to work
      around a bug in older versions of libcogl.
      Application profiles can be added to enable the non-conformant behavior
      for other applications that depend upon it. See the "Known Issues"
      section of the README for more details.
  * Refresh patches.
  * Update symbols control files.
  * Update lintian overrides.
  * nvidia-detect [armhf]: Don't ship PCI ID lists for legacy drivers.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 04 Aug 2013 14:17:50 +0200

nvidia-graphics-drivers (319.82-1) unstable; urgency=low

  * New upstream long lived branch release 319.82 (2014-01-13).
    - Fixed a bug which could sometimes corrupt a newly-created
      thread's signal mask in multi-threaded applications that load
      libGL.  (Closes: #728743)
  * Disable armhf build, missing from upstream release.
  * libcuda1 [i386]: Add Provides: libcuda-5.0-1-i386, libcuda-5.5-1-i386.
  * Merge changes from wheezy 304.117-1 update.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 16 Jan 2014 17:38:32 +0100

nvidia-graphics-drivers (319.76-1) unstable; urgency=low

  * New upstream long lived branch release 319.76 (2013-11-27).
    - Added support for the following GPUs: GeForce GTX 780 Ti,
      GeForce GTX 760 (192-bit), GeForce 820M, Tesla K40m, Tesla K40c,
      Tesla K40st, Tesla K40s.
  * Update nv-readme.ids.
  * Add xorg-video-abi-15 as alternative dependency.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 01 Dec 2013 13:12:25 +0100

nvidia-graphics-drivers (319.72-2) unstable; urgency=low

  * Add libcuda1-i386:i386 package that can be recommended from amd64 packages
    that want to make the 32-bit CUDA runtime available.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 29 Nov 2013 20:56:59 +0100

nvidia-graphics-drivers (319.72-1) unstable; urgency=low

  * New upstream long lived branch release 319.72 (2013-11-06).
    - Added support for the following GPUs: Quadro K510M, Quadro K610M,
      Quadro K1100M, Quadro K2100M, Quadro K3100M, Quadro K4100M,
      Quadro K5100M, GeForce 705A, GeForce GT 730A.
    - Fixed a bug that prevented SDI output from working when two or more
      non-SDI displays were being driven by the same GPU.
  * Update nv-readme.ids.
  * linux-3.11.patch: Remove, fixed upstream.
  * conftest.h: Implement new conftest.sh functions address_space,
    address_space_init_once (331.20).
  * libcuda1: Add Provides: libcuda-5.5-1.
  * Update package descriptions.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Nov 2013 14:07:08 +0100

nvidia-graphics-drivers (319.60-3) unstable; urgency=low

  * linux-3.11.patch: Use patch from NVIDIA.
  * conftest.h:
    - Implement checks for linux/printk.h, linux/ratelimit.h,
      linux/prio_tree.h (331.13).
    - Implement new conftest.sh functions vm_operations_struct (331.13),
      task_struct (331.17).
  * nvidia-driver: Ship nvidia-debugdump.
  * nvidia-driver: Ship /usr/share/nvidia/nvidia-application-profiles-$VER-rc.
  * nvidia-driver.examples: Ship nvidia-persistenced init script templates.
  * Bump Standards-Version to 3.9.5. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Nov 2013 00:38:56 +0100

nvidia-graphics-drivers (319.60-2) unstable; urgency=low

  * {libgl1-nvidia-glx,libcuda1}.postinst: Load debconf/confmodule, may be
    used by /usr/lib/nvidia/check* scripts.  (Closes: #722469)
  * nvidia-cuda-mps: Symlink manpage as nvidia-cuda-mps-server.8.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Oct 2013 16:34:20 +0200

nvidia-graphics-drivers (319.60-1) unstable; urgency=low

  * New upstream long lived branch release 319.60 (2013-10-01).
    - Fixed a bug that could cause OpenGL applications to crash during the
      initialization of new threads.
    - Fixed a bug that caused the X server to fail to start on certain laptops
      when the boot display was on an external DisplayPort monitor, for example
      if the laptop was booted while the lid was closed.
    - Added support for the following GPU: GeForce GTX 760 Ti OEM.
  * Update nv-readme.ids.
  * Update symbols control files.
  * man-fixes-nvidia-smi.patch: Updated for newly added hyphens.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 21 Oct 2013 10:55:26 +0200

nvidia-graphics-drivers (319.49-1) UNRELEASED; urgency=low

  * New upstream long lived branch release 319.49 (2013-08-20).
    - Fixed a bug that caused DisplayPort monitors connected to Quadro FX 3800,
      4800, or 5800 to remain off after DPMS.
    - Added the NVIDIA OpenGL-based Inband Frame Readback (NvIFROpenGL) library
      to the Linux driver package. This library provides a high performance,
      low latency interface to capture and optionally encode an individual
      OpenGL framebuffer. NvIFROpenGL captures pixels rendered by OpenGL only
      and is ideally suited to application capture and remote access.
    - Fixed a bug that caused applications using CUDA-GL interoperability to
      crash when run on X servers with Xinerama enabled.
    - Fixed a bug that could prevent some double-bit ECC errors from being
      properly reported.
    - Fixed a bug which could cause a blank screen when changing house sync
      settings on Quadro Kepler GPUs with Quadro Sync boards.
    - Fixed a bug that prevented nested loops with identical loop conditions
      in GLSL shaders from terminating correctly. This could cause hangs in
      applications such as Exa PowerVIZ.
    - Added support for the following GPUs: GeForce GT 740A, GeForce GT 745A,
      GeForce GT 755M, GeForce GT 625, GeForce GTX 645, GRID K340, GRID K350,
      NVS 315, Quadro K500M, Quadro K6000.
    - Fixed a bug that resulted in corrupt texels when a previously empty
      texture image was specified with glXBindTexImageEXT. In GNOME 3, this
      caused gnome-screenshot to produce garbled window screenshots.
    - Fixed a bug that caused the X server to crash when querying the current
      mode of disabled displays.
  * Update nv-readme.ids.
  * linux-3.10-{i2c,procfs}.patch: Remove. Fixed upstream.
  * libnvidia-ifr1: New package for NvIFROpenGL (libnvidia-ifr.so.1).
  * VDPAU is now available on armhf, too.
  * nvidia-detect [armhf]: Don't ship PCI ID lists for legacy drivers.
  * Restrict watch file to releases from the 319.xx long lived branch.
  * Merge changes from 304.108-4 and 313.30-3.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 15 Sep 2013 10:30:58 +0200

nvidia-graphics-drivers (319.32-2) experimental; urgency=low

  * Fix armhf build.
  * Update lintian overrides for armhf.
  * nvidia-alternative: Add support for arm-linux-gnueabihf, bump required
    glx-alternative-nvidia version.
  * Merge changes from 304.88-5 and 304.88-6.
    Fixes kernel module building for kernel 3.10.  (Closes: #717184)
  * Merge changes from 304.88-7 (UNRELEASED).
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 01 Aug 2013 12:48:50 +0200

nvidia-graphics-drivers (319.32-1) experimental; urgency=low

  * New upstream long lived branch release 319.32 (2013-06-25).
    - Fixed a bug that could cause the X server to crash after power-cycling
      displays connected behind a DisplayPort 1.2 Multi-Stream Transport hub.
    - Updated the application profile syntax to allow for multiple patterns
      within a single rule. See the README for details.
    - Fixed a bug that caused OpenGL programs to crash when the __GL_DOOM3
      environment variable was set.
    - Updated the NVIDIA driver to avoid calling fork(2) to execute the
      nvidia-modprobe utility when not needed.
    - Improved the error reporting of the nvidia-persistenced utility.
    - Fixed a bug that could cause Altair HyperView to hang when rendering
      animations with tensors.
    - Fixed a performance regression in MEDINA 8.2.
    - Fixed a bug that caused the OpenGL driver to hang sometimes when running
      the SpeedTree Modeler application.
    - Fixed a bug that could cause an OpenGL application to crash if it creates
      and destroys multiple threads.
    - Fixed a bug that caused corrupted window content in some cases when
      moving GLX windows with antialiasing enabled.
    - Fixed a bug that caused DisplayPort devices that failed link training to
      be reported as connected rather than disconnected.
    - Fixed a regression that could cause a DisplayPort device that was
      connected to one connector to turn off when a DisplayPort device on a
      different connector was connected or disconnected.
    - Added support for the following GPUs: GeForce 710A, GeForce 720M.
    - On Kepler-based GPUs, improved the appearance of the tearing that occurs
      when using RandR 1.4's Source Output capability.  While tearing is still
      expected, the tears should now appear as horizontal lines rather than more
      noticeable checkerboard or triangular shapes.
  * New upstream long lived branch release 319.23 (2013-05-23).
    - Fixed a regression that could cause X to crash when querying GPU
      information through NV-CONTROL on multi-GPU systems where some
      GPUs failed to be initialized for X.
    - Fixed a bug that could cause X to crash when using Vertex
      Buffer Objects (VBOs) with indirect rendering.
    - Fixed RandR panning reporting when the current MetaMode is smaller
      than the X screen.
    - Added support for the following GPUs: GeForce GTX 760, GeForce GTX 770,
      GeForce GTX 780.
    - Added the "ForceCompositionPipeline" and "ForceFullCompositionPipeline"
      MetaMode options.  See the README for details.
    - Added support for HDMI 4K resolutions. Using a 4K resolution with an
      HDMI display requires a Kepler or later GPU.
    - Added support in VDPAU for 4k resolution MPEG-1/2 and H.264 video
      decoding, up to 4032x4048 for MPEG-1/2 and 4032x4080 for H.264,
      and up to 65536 macroblocks for both.
  * Update nv-readme.ids.
  * Update lintian overrides.
  * Update debian/copyright: Upstream license has changed §2.1.1.
  * debian/{rules,watch}: Add armhf driver to generated .orig.tar.gz.
  * debian/rules: Add support for armhf.
  * debian/control: Enable building for armhf.
  * Merge changes from 304.88-4.  (Closes: #710366)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Jul 2013 23:19:13 +0200

nvidia-graphics-drivers (319.17-1) experimental; urgency=low

  * New upstream long lived branch release 319.17 (2013-05-02).
    - Fixed a regression that caused multiple BUG messages to be printed in
      the kernel log on SMP systems.
    - Fixed a bug that could cause the X server to crash when repeatedly
      enabling and disabling displays.
    - Added support for the following GPUs: GeForce GT 720M, GeForce GT 735M,
      GeForce GT 740M, GeForce GT 745M, GeForce GT 750M, GeForce GTX 760M,
      GeForce GTX 765M, GeForce GTX 770M, GeForce GTX 775M, GeForce GTX 780M.
    - Added nvidia-persistenced, a daemon utility, to the driver package.
      nvidia-persistenced can be installed to run on system startup or
      manually run to allow the NVIDIA kernel module to keep persistent driver
      state allocated when no other user-space NVIDIA driver components are
      running.  This can improve startup time for other user-space NVIDIA
      driver components.
  * New upstream beta 319.12 (2013-04-09).
    - Added initial support for restoration of efifb consoles on UEFI
      systems where the primary display is driven over VGA or TMDS (e.g.
      DVI, HDMI, or LVDS).
    - Added support for the xorg.conf Monitor section options "Ignore",
      "Enable", "Primary", and "Rotate".  For example, to rotate a monitor
      identified by a specific EDID hash, one could add the following to
      /etc/X11/xorg.conf or a file in /etc/X11/xorg.conf.d:
        Section "Monitor"
          Identifier "DPY-EDID-ee6cecc0-fa46-0c33-94e0-274313f9e7eb"
          Option "Rotate" "left"
        EndSection
      See the README and the xorg.conf(5) man page for more information.
    - Added support for the following GPU: GeForce GTX 650 Ti BOOST.
    - Added support for application profiles to the NVIDIA client-side GLX
      implementation. See the "Application Profiles" chapter of the README for
      more information.
    - Added the "PanningTrackingArea" and "PanningBorder" MetaMode attributes.
    - Added support for RandR 1.3 panning.
    - Improved performance when the Accel option is disabled.
    - Added initial support for RandR 1.4 Provider objects with the Source
      Output capability, which can be used to render the desktop on an NVIDIA
      GPU and display it on an output connected to a provider with the Sink
      Output capability, such as an Intel integrated graphics device or a
      DisplayLink USB-to-VGA adapter.  See the README for details.
    - Added nvidia-modprobe, a setuid root utility, to the driver package.
      nvidia-modprobe can be used by user-space NVIDIA driver components
      to make sure the NVIDIA kernel module is loaded and that the
      NVIDIA character device files are present.  When possible,
      it is recommended to use Linux distribution native mechanisms
      for managing kernel module loading and device file creation.
      This utility is provided as a fallback to work out-of-the-box in
      a distribution-independent way.
    - Fixed a memory leak that occurred when destroying a GLX window
      but not its associated X window.
    - Improved the performance of modesets in cases where the mode
      timings remained the same, but other parameters of the mode
      configuration, such as the ViewPort or panning domain, changed.
    - Fixed an issue with RENDER convolution filters.  The driver will
      no longer normalize filter kernels before accelerating them.
    - Improved debuggability of the NVIDIA OpenGL libraries by
      including proper stack unwinding information on all supported
      architectures.
    - Updated the dkms.conf file and the makefile for the NVIDIA Linux
      kernel module to allow DKMS installations on systems with separate
      source and output directories.
    - Fixed a bug that caused RENDER Pictures to be sampled
      incorrectly when using nearest filtering in some cases.
    - Added support for the RandR "Border" and "BorderDimensions" Output
      properties, which can be used to configure the ViewPortOut of an
      RandR output.  This is functionally equivalent to the "ViewPortOut"
      MetaMode token.
    - Fixed a bug where RRGetCrtcInfo could report incorrect size
      information when an RandR output has a custom ViewPortIn.
    - Further improve performance of some versions of HyperMesh with
      Quadro GPUs.
    - Added support for dynamic mode management through RandR, e.g. via
      the --newmode, --rmmode, and --delmode options in xrandr(1).
    - Increased the number of pages that can be shared across multiple
      processes in the x86 build of libnvidia-glcore.so, by reducing its
      R_386_PC32 relocation count.
    - Fixed a bug that caused XVideo applications to receive BadAlloc errors
      after VT switches and mode switches that occurred while a composite
      manager was running.
    - Removed the X driver's support for "CursorShadow".
    - Switched .run package compression from gzip to xz.  This provides a
      higher level of compression.
  * Update nv-readme.ids.
  * Update symbols control files.
  * Refresh use-nv-kernel.o.ARCH.patch. Remove frequently changing context.
  * nvidia-glx: Ship nvidia-persistenced.
  * nvidia-kernel-{source,dkms}: Provide dummy conftest/patches.h, too.
  * Rename package nvidia-cuda-proxy to nvidia-cuda-mps: Upstream has renamed
    the programs nvidia-cuda-proxy-* to nvidia-cuda-mps-*.
  * Rename metapackage nvidia-glx to nvidia-driver. Add transitional package.
  * conftest.h:
    - Implement check for drm/drmP.h (319.12).
    - Implement new conftest.sh function drm_available (319.12).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 14 May 2013 01:12:20 +0200

nvidia-graphics-drivers (313.30-3) unstable; urgency=low

  * Restrict watch file to releases from the 313.xx short lived branch.
  * Merge changes from 304.108-4 and 310.51-1.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 20 Oct 2013 00:16:22 +0200

nvidia-graphics-drivers (313.30-2) experimental; urgency=low

  * Merge changes from 304.88-3 and 310.51 (UNRELEASED).
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 May 2013 02:41:43 +0200

nvidia-graphics-drivers (313.30-1) experimental; urgency=low

  * New upstream short lived branch release 313.30 (2013-04-02).
    * Fixed CVE-2013-0131: NVIDIA UNIX GPU Driver ARGB Cursor Buffer
      Overflow in "NoScanout" Mode.  This buffer overflow, which occurred
      when an X client installed a large ARGB cursor on an X server
      running in NoScanout mode, could cause a denial of service (e.g.,
      an X server segmentation fault), or could be exploited to achieve
      arbitrary code execution.  (Closes: #704547)
      For more details, see:
      https://nvidia.custhelp.com/app/answers/detail/a_id/3290
  * Merge changes from 304.88-1 and 310.44 (UNRELEASED).

 -- Andreas Beckmann <anbe@debian.org>  Fri, 05 Apr 2013 03:57:30 +0200

nvidia-graphics-drivers (313.26-1) experimental; urgency=low

  * New upstream short lived branch release 313.26 (2013-03-05).
    - Added support for the following GPU: GeForce GTX TITAN.
  * Merge changes from 304.84-1 and 310.40 (UNRELEASED).
  * Update nv-readme.ids.
  * Update symbols control files.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Mar 2013 13:15:10 +0100

nvidia-graphics-drivers (313.18-2) experimental; urgency=low

  * Update my email address and remove DMUA.
  * libnvidia-encode1: New package for libnvidia-encode.so*.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 25 Jan 2013 17:41:07 +0100

nvidia-graphics-drivers (313.18-1) experimental; urgency=low

  * New upstream release 313.18 (2013-01-15).
    - Added support in NV-CONTROL and in nvidia-settings for changing the
      Double Precision performance boost mode on supported GPUs.
    - Fixed several OpenGL driver bugs related to stencil-only framebuffer
      objects.
  * New upstream beta 313.09 (2012-12-11).
    - Updated the NVIDIA X driver to re-probe displays when VT-switching to
      X, to allow reporting of hotplug events when displays are connected
      or disconnected while VT-switched away from X.
    - Added unofficial GLX protocol support (i.e for GLX indirect rendering)
      for the following extension and core commands.
      GL_ARB_vertex_array_object
      OpenGL 3.0 commands ClearBufferfi, ClearBufferfv, ClearBufferiv,
      ClearBufferuiv and GetStringi.
    - Fixed a bug that caused the cursor shadow to be clipped to 32x32
      pixels, even on Kepler GPUs that support a 256x256 cursor image.
    - Fixed a bug that prevented some cursor image updates from taking
      effect on displays with rotation or other transformations applied.
    - Fixed cursor alpha blending artifacts on displays with rotation
      or other transformations applied.
    - Added support for the GLX_EXT_buffer_age extension.
    - Improved the performance of glDrawPixels() by up to 450% when the pixel
      data is of type GL_BYTE.
  * Merge changes from 310.32 (UNRELEASED).
  * Update nv-readme.ids.
  * Update symbols control files.
  * Update lintian overrides.
  * Add xorg-video-abi-14 as alternative dependency.
  * nvidia-detect: Add PCI ID list for the 304.64 driver in wheezy.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 16 Jan 2013 21:07:03 +0100

nvidia-graphics-drivers (310.51-1) unstable; urgency=low

  * New upstream long lived branch release 310.51 (2013-05-08).
    - Fixed a bug where RRGetCrtcInfo could report incorrect size
      information when an RandR output has a custom ViewPortIn.
    - Fixed a regression that could cause an X server crash when performing
      a modeset (e.g. changing resolutions, transformation settings, or
      display layout) when some connected display devices are disabled.
  * Merge changes from 304.108-4.
  * Refresh patches.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 18 Oct 2013 03:50:09 +0200

nvidia-graphics-drivers (310.44-1) UNRELEASED; urgency=low

  * New upstream long lived branch release 310.44 (2013-04-02).
    * Fixed CVE-2013-0131: NVIDIA UNIX GPU Driver ARGB Cursor Buffer
      Overflow in "NoScanout" Mode.  This buffer overflow, which occurred
      when an X client installed a large ARGB cursor on an X server
      running in NoScanout mode, could cause a denial of service (e.g.,
      an X server segmentation fault), or could be exploited to achieve
      arbitrary code execution.
      For more details, see:
      https://nvidia.custhelp.com/app/answers/detail/a_id/3290

 -- Andreas Beckmann <anbe@debian.org>  Fri, 05 Apr 2013 02:41:13 +0200

nvidia-graphics-drivers (310.40-1) UNRELEASED; urgency=low

  * New upstream long lived branch release 310.40 (2013-03-08).
    - Reduced the amount of time needed to establish framelock in some
      stereo configurations with many monitors.
    - Added support for the following GPUs: GeForce G205M, GeForce GT 240M LE,
      GeForce 405M, GeForce 610, GeForce 615, GeForce 620M, GeForce GT 625M,
      GeForce GT 625 (OEM), GeForce GT 635, GeForce 705M, GeForce 710M,
      GeForce GT 710M, GeForce GT 720A, GeForce GT 730M, Tesla X2070,
      Tesla S2050, Tesla K20s.
    - Fixed a bug where glXSwapIntervalEXT failed to set a swap interval
      value of zero in certain situations.
  * New upstream long lived branch release 310.32 (2013-01-21).
    - Fixed a bug when enabling framelock between displays connected to
      the same GPU as other displays with different refresh rates, which
      caused the latter to be incorrectly assigned to the framelock group.
    - Updated the reporting of HDMI 3D framerates and pixel clocks to be
      more consistent with how they are reported by HDMI 3D displays.
    - Fixed a bug that could cause applications using GL_NV_vdpau_interop
      to crash during mode switches.
    - Fixed a regression that could cause OpenGL applications to crash
      while compiling shaders.
    - Added a kernel module parameter, "NVreg_EnablePCIeGen3", which can be
      used to enable PCIe gen 3 when possible. Note that on many systems
      where the NVIDIA driver does not allow PCIe gen 3 by default,
      stability problems can be expected when this option is enabled: users
      should do so at their own risk.
    - Fixed a VDPAU bug that could cause the X server to hang when decoding
      some corrupted video streams.
    - Added support for the following GPUs: Quadro K600, Quadro K2000,
      Quadro K2000D, Quadro K4000, GeForce GTX 680MX, Tesla K20Xm.
    - Renamed VGX products to GRID products in the "Supported NVIDIA GPU
      Products" list.
    - Added support for X.org xserver ABI 14 (xorg-server 1.14).
    - Fixed libnvidia-encode.so library dependency by linking it with
      libnvcuvid.so.1 instead of libnvcuvid.so while creating it.
    - Improved performance of OpenGL framebuffer object binds with Xinerama
      enabled by 2000-3000% when the application's windows do not span screen
      boundaries.
    - Fix performance issues when using some versions of HyperMesh with Quadro
      GPUs.
  * Restrict watch file to releases from the 310.xx long lived branch.
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 10 Mar 2013 17:57:05 +0100

nvidia-graphics-drivers (310.19-1) experimental; urgency=low

  * New upstream release 310.19 (2012-11-13).
  * Merge changes from 304.64-4.
  * Drop kernel-3.7.patch, fixed upstream.
  * Fix debian/module/debian/kernel-version to cope with $KSRC/linux/version.h
    being moved to $KSRC/include/generated/uapi/linux/version.h in Linux 3.7.
    (Closes: #696570)
  * nvidia-cuda-proxy: New package for nvidia-cuda-proxy-{control,server}.
  * libxvmcnvidia1: Drop package, the library was removed by upstream as it is
    only for legacy GPUs supported by the legacy-304xx driver.
  * nvidia-libopencl1: Prefer nvidia-opencl-icd over opencl-icd.
    (Closes: #695883)

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 10 Jan 2013 13:25:30 +0100

nvidia-graphics-drivers (310.14-1) experimental; urgency=low

  * New upstream beta 310.14 (2012-10-15).
    - Implemented workarounds for two Adobe Flash bugs by applying libvdpau
      commit ca9e637c61e80145f0625a590c91429db67d0a40 to the version of libvdpau
      shipped with the NVIDIA driver.
    - Fixed an issue which affected the performance of moving windows of VDPAU
      applications when run in some composite managers.
    - Added unofficial GLX protocol support (i.e., for GLX indirect rendering)
      for the GL_ARB_pixel_buffer_object OpenGL extension.
    - Added support for HDMI 3D Stereo with Quadro Kepler and later GPUs. See
      the documentation for the "Stereo" X configuration option in the README
      for details.
    - Added experimental support for OpenGL threaded optimizations, available
      through the __GL_THREADED_OPTIMIZATIONS environment variable. For more
      information, please refer to the "Threaded Optimizations" section in
      chapter "Specifying OpenGL Environment Variable Settings" of the README.
    - Improved performance and responsiveness of windowed OpenGL applications
      running inside a Unity session.
  * New upstream release 304.15.00.02 (2012-08-06).
    - Added support for OpenGL 4.3.
  * Upstream has dropped support for several old chips, e.g. GeForce 6xxx/7xxx
    (they will be supported by the legacy-304xx driver until end of 2017).
  * Add NEWS entry about models that were moved to legacy support.
  * Update nv-readme.ids.
  * Refresh use-nv-kernel.o.ARCH.patch.
  * Drop fix-typos.patch, fixed upstream.
  * libXvMCNVIDIA.so.1 is gone, was only supported on GeForce 6/7 series.
  * Update symbols control files.
  * conftest.h:
    - Implement checks for linux/efi.h and linux/nvmap.h (310.14).
    - Implement new conftest.sh functions outer_flush_all, nvmap_support, and
      efi_enabled (310.14).

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 17 Oct 2012 19:54:34 +0200

nvidia-graphics-drivers (304.137-1) UNRELEASED; urgency=medium

  * The 304.xx legacy driver series has been declared as End-of-Life by
    NVIDIA. No further updates fixing security issues, critical bugs, or
    adding support for new Xorg or Linux releases will be issued.
    https://nvidia.custhelp.com/app/answers/detail/a_id/3142

  * New upstream legacy 304xx branch release 304.137 (2017-09-19).
    - Improved compatibility with recent Linux kernels.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 08 Oct 2017 21:52:50 +0200

nvidia-graphics-drivers (304.135-1) UNRELEASED; urgency=medium

  * New upstream legacy 304xx branch release 304.135 (2017-02-14).
    * Fixed CVE-2017-0309, CVE-2017-0310, CVE-2017-0311, CVE-2017-0318,
      CVE-2017-0321.  (Closes: #855277)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4398
  * New upstream legacy 304xx branch release 304.134 (2016-12-14).
    * Fixed CVE-2016-8826.  (Closes: #848195)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4278
    - Added support for X.Org xserver ABI 23 (xorg-server 1.19)
    * Improved compatibility with recent Linux kernels.
  * New upstream legacy 304xx branch release 304.132 (2016-09-26).
    * Fixed CVE-2016-7382, CVE-2016-7389.  (Closes: #846331)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4246
    - Added /var/log/dmesg to the list of paths which are searched by
      nvidia-bug-report.sh for kernel messages.
    - Fixed a bug that caused kernel panics when using the NVIDIA driver on
      v4.5 and newer Linux kernels built with CONFIG_DEBUG_VM_PGFLAGS.
    * Improved compatibility with recent Linux kernels.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 14 Jun 2017 17:10:53 +0200

nvidia-graphics-drivers (304.131-1) wheezy; urgency=medium

  * New upstream legacy 304xx branch release 304.131 (2015-11-16).
    * Fixed CVE-2015-7869: Unsanitized User Mode Input.  (Closes: #805917)
      https://nvidia.custhelp.com/app/answers/detail/a_id/3808
    - Fixed a bug that could cause texture corruption in some OpenGL
      applications when video memory is exhausted by a combination of
      simultaneously running graphical and compute workloads.
    - Added support for X.Org xserver ABI 20 (xorg-server 1.18).
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Add xorg-video-abi-20 as alternative dependency.
  * conftest.h:
    - Implement new conftest.sh functions hlist_for_each_entry,
      of_parse_phandle, for_each_online_node, node_end_pfn (358.09).
    - Update conftest.sh function scatterlist for logic reversal in
      304.131/340.96/352.63, support both ways.
  * debian/control: Add Breaks between mismatching upstream versions of
    libcuda1 and nvidia-alternative to prevent partial upgrades.
  * Upload to wheezy.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 14 Dec 2015 09:53:49 +0100

nvidia-graphics-drivers (304.128-1) wheezy; urgency=medium

  * New upstream legacy 304xx branch release 304.128 (2015-08-31).
    * Fixed CVE-2015-5950: Memory corruption due to an unsanitized pointer.
      https://nvidia.custhelp.com/app/answers/detail/a_id/3763
      (Closes: #800566)
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * libgl1-nvidia-glx: Add Provides+Conflicts:
    libgl1-nvidia-glx-${nvidia:Version} to forbid co-installation of
    libgl1-nvidia-legacy-304xx-glx from the same upstream version due to file
    conflicts on versioned files that are not handled via alternatives.
  * conftest.h:
    - Implement new conftest.sh functions file_inode, drm_pci_set_busid
      (340.76).
    - Implement check for linux/log2.h (346.16).
    - Implement check for xen/ioemu.h (346.59).
    - Implement new conftest.sh functions write_cr4, xen_ioemu_inject_msi
      (346.59), list_cut_position (349.12).
    - Implement new conftest.sh functions backing_dev_info (346.82),
      phys_to_dma, dma_ops, get_dma_ops, noncoherent_swiotlb_dma_ops (352.09).
    - Implement new conftest.sh function dma_map_ops (352.30).
    - Reorder conftest.h to match conftest.sh.
    - Implement new conftest.sh function nvidia_grid_build (352.41).
  * bug-script: Synchronize with unstable (340.93-4).
  * Update lintian overrides.
  * Upload to wheezy.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 Oct 2015 12:39:53 +0200

nvidia-graphics-drivers (304.125-1) wheezy; urgency=medium

  * New upstream legacy 304xx branch release 304.125 (2014-12-05).
    * Fixes CVE-2014-8298.  (Closes: #772971)
      https://nvidia.custhelp.com/app/answers/detail/a_id/3610
    - Added support for X.Org xserver ABI 19 (xorg-server 1.17).
    - Improved compatibility with recent Linux kernels.
    - Implemented support for disabling indirect GLX context creation using
      the -iglx option available on X.Org server release 1.16 and newer.  Note
      that future X.Org server releases may make the -iglx option the default.
      To re-enable support for indirect GLX on such servers, use the +iglx
      option.
    - Added the "AllowIndirectGLXProtocol" X config option.  This option can
      be used to disallow use of GLX protocol.  See "Appendix B. X Config
      Options" in the README for more details.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Add xorg-video-abi-19, xorg-video-abi-18 as alternative dependencies.
  * conftest.h:
    - Implement new conftest.sh function acpi_op_remove (304.123).
    - Implement new conftest.sh functions kbasename, fatal_signal_pending
      (331.38).
    - Implement new conftest.sh function kuid_t (331.49).
    - Implement new conftest.sh function pm_vt_switch_required (331.67).
    - Implement new conftest.sh function console_lock (331.79).
    - Tighten check for drm/drmP.h.
    - DRM is only supported on Linux >= 3.9.
    - Implement new conftest.sh functions sg_table, sg_alloc_table (340.46).
    - Implement extensions to conftest.sh function vm_operations_struct
      (343.13).
    - Implement check for drm/drm_gem.h (340.58).
    - Implement new conftest.sh functions pci_save_state (340.58), follow_pfn,
      fault_flags, atomic64_type (346.16).
  * Add changelog entries from etch and squeeze updates.
  * Upload to wheezy.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Dec 2014 21:38:22 +0100

nvidia-graphics-drivers (304.123-1) UNRELEASED; urgency=medium

  * New upstream legacy 304xx branch release 304.123 (2014-07-10).
    - Improved compatibility with recent Linux kernels.
    - Fixed a bug that could result in system instability while restoring
      the VGA console.
    - Fixed an interaction problem with xserver 1.15 that occasionally caused
      OpenGL applications to continue rendering when they are minimized or
      unmapped.
    - Updated nvidia-bug-report.sh to search the systemd journal for X
      server logs and messages from the NVIDIA kernel module.
    - Added support for X.org xserver ABI 18 (xorg-server 1.16).
    - Fixed a bug that caused corruption or blank screens on monitors that use
      EDID version 1.3 or older when they are connected via DisplayPort on
      graphics boards that use external DisplayPort encoders, such as the Quadro
      FX 4800.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 28 Sep 2014 20:46:10 +0200

nvidia-graphics-drivers (304.121-1) UNRELEASED; urgency=medium

  * New upstream legacy 304xx branch release 304.121 (2014-03-11).
    - Improved compatibility with recent Linux kernels.
    - Fixed a bug that prevented the NVIDIA implementation of the Xinerama
      extension protocol requests from being used when RandR was enabled.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Apr 2014 02:02:57 +0200

nvidia-graphics-drivers (304.119-1) UNRELEASED; urgency=medium

  * New upstream legacy 304xx branch release 304.119 (2014-01-23).
    - Fixed a crash when using WebGL in Firefox with a Geforce 6 GPU.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 15 Feb 2014 16:49:54 +0100

nvidia-graphics-drivers (304.117-1) wheezy; urgency=medium

  * New upstream legacy 304xx branch release 304.117 (2013-12-11).
    - Added support for X.org xserver ABI 15 (xorg-server 1.15).
  * New upstream legacy 304xx branch release 304.116 (2013-11-06).
    - Fixed a security vulnerability in the microcode for microcontrollers
      that are part of NVIDIA GPUs.  This vulnerability could be exploited
      to take control of a system, and it is described in greater detail at:
      https://cve.mitre.org/cgi-bin/cvename.cgi?name=2013-5987
      (Closes: #735271)
    - Improved compatibility with recent Linux kernels.
    - Updated the NVIDIA OpenGL driver to write temporary files to $TMPDIR
      if it is set, instead of unconditionally writing to /tmp.
    - Updated a fallback of writing temporary files to $HOME/.nvidia to
      use $HOME/.nv instead, as the latter path is already used for other
      NVIDIA driver related files.

  [ Andreas Beckmann ]
  * Refresh patches.
  * conftest.h:
    - conftest.h: Add ARM support.
    - Implement check for drm/drmP.h (319.12).
    - Implement new conftest.sh functions drm_available (319.12),
      dom0_kernel_present (325.08),
      proc_create_data, pde_data, proc_remove (304.108, 325.15).
    - Implement conftest.sh sanity checks (only emit warning)
      nvidiafb_sanity_check (1.0-8174), xen_sanity_check (1.0-9746, 177.76),
      preempt_rt_sanity_check (325.08).
    - Implement new conftest.sh function get_num_physpages (173.14.38).
    - Implement checks for linux/printk.h, linux/ratelimit.h,
      linux/prio_tree.h (331.13).
    - Implement new conftest.sh functions vm_operations_struct (331.13),
      task_struct (331.17), address_space, address_space_init_once (331.20).
  * Add xorg-video-abi-15 as alternative dependency.
  * Merge some bugfixes from sid.
  * Use canonical Vcs-* URLs.
  * {libgl1-nvidia-glx,libcuda1}.postinst: Load debconf/confmodule, may be
    used by /usr/lib/nvidia/check* scripts.  (Closes: #722469)
  * Update lintian overrides.
  * Upload to wheezy.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 15 Feb 2014 16:11:02 +0100

nvidia-graphics-drivers (304.108-4) unstable; urgency=low

  * Make libgl1-nvidia-glx-i386:i386 a real package depending on
    libgl1-nvidia-glx:i386 and set M-A: foreign, s.t. the Recommends in
    libgl1-nvidia-glx:amd64 actually works.  (Closes: #720058)
  * bug-script: List the renamed nvidia*.ko modules, too.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Sep 2013 14:19:54 +0200

nvidia-graphics-drivers (304.108-3) unstable; urgency=low

  * Rework patching after unpack: rename
      debian/patches-manual => debian/patches, series => series-postunpack.
  * conftest.h:
    - Implement new conftest.sh function get_num_physpages (173.14.38).
  * linux-3.11.patch: Redone, based on 173.14.38.
  * Bump glx-alternative-nvidia dependency to 0.4.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 15 Sep 2013 16:36:24 +0200

nvidia-graphics-drivers (304.108-2) unstable; urgency=low

  * Stop building libxvmcnvidia1 package, now built from
    src:nvidia-graphics-drivers-legacy-304xx.
  * libgl1-nvidia-glx (<< 310) and libgl1-nvidia-legacy-304xx-glx are not
    co-installable due to libnvidia-tls.so.304.108.  (Closes: #722288)
  * Change the virtual package name providing the kernel module to follow the
    renamed module.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Sep 2013 05:37:09 +0200

nvidia-graphics-drivers (304.108-1) unstable; urgency=low

  * New upstream legacy 304xx branch release 304.108 (2013-08-08).
    * Add support for Linux 3.10.

  [ Andreas Beckmann ]
  * Rename patches.
  * linux-3.10-{i2c,procfs}.patch: Remove, fixed upstream.
  * debian/module/debian/prep-modules: Sanitize the kernel version. Replace
    underscores (may occur in custom kernels) with dashes to be eligible for
    package names and versions.  (Closes: #710891)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 Aug 2013 03:03:09 +0200

nvidia-graphics-drivers (304.88-7) unstable; urgency=low

  * Add new substvars ${nvidia-alternative}, #NVIDIA_ALTERNATIVE#.
  * Rename the kernel module to nvidia-current.ko but retain its internal name
    as 'nvidia'.
  * nvidia{,-legacy-*}-kernel-dkms are now co-installable.  (Closes: #685617)
  * nvidia-alternative:
    - Add /etc/nvidia/nvidia-modprobe.conf (with the nvidia alias) and a slave
      alternative /etc/modprobe.d/nvidia.conf to the nvidia alternative.
      (Closes: #685648)
    - Provides: ${nvidia-alternative}--kmod-alias.
  * nvidia-kernel-dkms, nvidia-kernel-#KVERS#: Depend on
    ${nvidia-alternative}--kmod-alias.
  * nvidia-libopencl1: Provide virtual package libopencl-1.1-1 and update
    description.
  * nvidia-libopencl1.symbols: Change the dependency template to always
    generate a Depends: ocl-icd-libopencl1 | libopencl1, libopencl-1.1-1.
    (Closes: #717606)
  * nvidia-libopencl1.shlibs: Removed in favor of doing the same in .symbols.
  * nvidia-libopencl1.links: Stop shipping libOpenCL.so, will be moved to
    nvidia-opencl-dev.
  * nvidia-opencl-icd: Depend on
      ocl-icd-libopencl1 | nvidia-libopencl1 | libopencl1
    for more deterministic libopencl1 installation.  (Closes: #695883)
  * libgl1-nvidia-glx.symbols: Change the dependency template to always
    generate a Depends: libgl1-mesa-glx | libgl1 and stop manipulating the
    .shlibs.
  * libgl1-nvidia-glx:i386: Check for problematic stray /usr/lib32/libGL.so*
    via Depends: nvidia-installer-cleanup (>= 20130816).  (Closes: #719915)
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Drop empty Description paragraphs that worked around dpkg bug #680871.
  * conftest.h:
    - Implement check for drm/drmP.h (319.12).
    - Implement new conftest.sh functions drm_available (319.12),
      dom0_kernel_present (325.08),
      proc_create_data, pde_data, proc_remove (304.108, 325.15).
    - Implement conftest.sh sanity checks (only emit warning)
      nvidiafb_sanity_check (1.0-8174), xen_sanity_check (1.0-9746, 177.76),
      preempt_rt_sanity_check (325.08).
  * kernel-3.10-{i2c,procfs}.patch: Replace with patches backported from
    304.108.
  * kernel-3.11.patch: New patch to fix compilation with Linux 3.11-rc.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 17 Aug 2013 14:41:44 +0200

nvidia-graphics-drivers (304.88-6) unstable; urgency=low

  * kernel-3.10-{i2c,procfs}.patch: New patches to fix compilation with
    Linux 3.10.  (Closes: #717311, #717361, #714981)
  * Documentation updates.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 22 Jul 2013 12:52:11 +0200

nvidia-graphics-drivers (304.88-5) unstable; urgency=low

  * nvidia-kernel-source: Compress source tarball with xz. Update B-D, Depends
    accordingly and Break older module-assistant versions.
  * conftest.h: Add ARM support.
  * nvidia-detect: Add support for jessie and 304xx legacy driver series.
  * debian/control: Drop dependency versioning if satisfied in oldstable.
  * Do not install nvidia-libopencl1.symbols in favor of redirecting to the
    virtual libopencl1 via nvidia-libopencl1.shlibs.
  * debian/rules: Generic handling of architecture lists, unpacking, renaming,
    and blob dependencies.
  * Convert module build system to use a more Kbuild friendly way.
    - Turn debian/module/Makefile into a minimal wrapper.
    - Rename NVIDIA's Makefile.kbuild to Kbuild.
    - Use SYSSRC (NVIDIA's variable name) as kernel header override.
    - Disable silent build.
  * avoid-ld.gold.patch: Updated.
  * use-nv-kernel.o.ARCH.patch: Renamed to ...
  * use-nv-kernel-ARCH.o_shipped.patch: ... and updated.
  * not-silent.patch: New.
  * linux3.patch: Removed, obsolete.
  * Add new substvars nvidia:kmod:source, nvidia:kmod:binary,
    nvidia:kmod:Description for declaring kernel module relationships.
  * Change the generic nvidia-kernel-{dkms,source} name to insert a legacy
    part after 'nvidia' instead of after 'kernel'.
  * Add support for renaming the kernel module to include a "legacy" part.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Jul 2013 09:29:44 +0200

nvidia-graphics-drivers (304.88-4) unstable; urgency=low

  * Rename metapackage nvidia-glx to nvidia-driver. Add transitional package.
  * Use new '${nvidia}' substvar instead of 'nvidia${nvidia:Legacy}'.
  * debian/rules: Generalize control file renaming for legacy builds.
  * Rename package nvidia-cuda-proxy to nvidia-cuda-mps: Upstream has renamed
    the programs nvidia-cuda-proxy-* to nvidia-cuda-mps-* in release 319.xx.
  * libcuda1: Add Suggests: nvidia-cuda-mps.
  * libcuda1: Add Provides: libcuda-5.0-1.
  * nvidia-libopencl1: Prefer nvidia-opencl-icd over opencl-icd.
  * Drop support for backporting to squeeze.
  * NEWS: Drop news items concerning upgrades to squeeze.
  * debian/rules: Apply patches from debian/patches-manual/ after unpacking.
  * man-fixes-nvidia-smi.patch: New patch, fix hyphen vs. minus sign,
    wrapping, and spelling in nvidia-smi manpage.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Jul 2013 17:32:45 +0200

nvidia-graphics-drivers (304.88-3) unstable; urgency=low

  * nvidia-cuda-proxy: New package for nvidia-cuda-proxy-{control,server}.
  * nvidia-kernel-source: rules: Use placeholder substitution for the source
    package name. src:nvidia-graphics-modules rewrites control, s.t. this
    cannot be parsed correctly for inserting into Built-Using.
  * nvidia-alternative: Add slave alternatives for nvidia-settings.
    (Closes: #688753)
  * Recommend nvidia-settings (>= MAJOR).
  * Use canonical Vcs-* URLs.
  * Bump Standards-Version to 3.9.4. No changes needed.
  * Drop transitional packages.  (Closes: #687506)
  * Drop Conflicts/Breaks/Replaces against packages predating wheezy.
  * Drop cleanup code targeting squeeze and wheezy from maintainer scripts.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 12 May 2013 23:44:53 +0200

nvidia-graphics-drivers (304.88-2) unstable; urgency=low

  * Update lintian overrides.
  * libcuda1: Add missing Depends: nvidia-support. Postinst may fail if
    nvidia-support is unpacked, but not configured.  (Closes: #675430)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 May 2013 12:20:20 +0200

nvidia-graphics-drivers (304.88-1+deb7u1) wheezy; urgency=low

  * Update lintian overrides.
  * libcuda1: Add missing Depends: nvidia-support. Postinst may fail if
    nvidia-support is unpacked, but not configured.  (Closes: #675430)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 12 May 2013 14:31:45 +0200

nvidia-graphics-drivers (304.88-1) unstable; urgency=low

  * New upstream legacy 304xx branch release 304.88 (2013-04-02).
    - Fixed CVE-2013-0131: NVIDIA UNIX GPU Driver ARGB Cursor Buffer
      Overflow in "NoScanout" Mode.  This buffer overflow, which occurred
      when an X client installed a large ARGB cursor on an X server
      running in NoScanout mode, could cause a denial of service (e.g.,
      an X server segmentation fault), or could be exploited to achieve
      arbitrary code execution.  (Closes: #704547)
      For more details, see:
      https://nvidia.custhelp.com/app/answers/detail/a_id/3290
    * Fixes display turned off on VT text consoles.  (Closes: #703313)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 02 Apr 2013 22:43:31 +0200

nvidia-graphics-drivers (304.84-1) unstable; urgency=low

  * New upstream legacy 304xx branch release 304.84 (2013-03-04).
    - Improved compatibility with recent Linux kernels.
    - Fixed a bug that could lead to rendering corruption after an X
      server generation (i.e., leaving an X server running after all
      of its clients have exited).  (Closes: #700121, #696839, #702918)
    - Fixed a bug that could cause the X server to crash when performing
      an RandR 1.0 rotation (e.g., `xrandr --orientation left`) after
      unplugging the last connected monitor.
    - Added support for X.org xserver ABI 14 (xorg-server 1.14).
    - Fixed font rendering performance and corruption problems on X servers with
      back-ported support for the new glyph cache functionality added to Pixman
      0.27.
    - Fixed a potential X server crash during initialization, when a
      graphics card with a TV connector has no TV connected.
    - Added a new X configuration option, "UseHotplugEvents", to allow the
      suppression of RandR events when adding or removing non-DisplayPort
      displays. See the "X Config Options" appendix of the README for details.

  [ Andreas Beckmann ]
  * Add xorg-video-abi-14 as alternative dependency.
  * kernel-3.7.patch: Remove, fixed upstream.
  * Fix debian/module/debian/kernel-version to cope with $KSRC/linux/version.h
    being moved to $KSRC/include/generated/uapi/linux/version.h in Linux 3.7.
    (Closes: #696570)
  * nvidia-vdpau-driver: Move to Section: non-free/video.  (See #700666)
  * README.alternatives: Document to run
    'dpkg-reconfigure glx-alternative-nvidia'
    after running 'update-alternatives --config nvidia'.  (See #702782)
  * README.Debian: Add information about reporting upstream bugs to NVIDIA.
  * Add copyright information to the nvidia-detect script originally written
    by Filipus Klutiero for the wiki page.
  * patch-3.0-rt-nvidia.patch: Remove, disabled since 304.30-2.
  * Put my patches into the public domain, they get applied to the kernel
    module source that is under a non-free license from NVIDIA.
  * Update my email address and remove DMUA.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Mar 2013 11:23:39 +0100

nvidia-graphics-drivers (304.64-5) UNRELEASED; urgency=low

  * Dummy.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Mar 2013 11:23:39 +0100

nvidia-graphics-drivers (304.64-4) unstable; urgency=low

  * nvidia-detect: Fix detection of Debian 7.0 (wheezy).  (Closes: #697282)
  * kernel-3.7.patch: New patch to fix compilation with Linux 3.7 (which
    replaced VM_RESERVED by VM_DONTEXPAND | VM_DONTDUMP).  (Closes: #697061)

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 08 Jan 2013 11:44:34 +0100

nvidia-graphics-drivers (304.64-3) unstable; urgency=low

  * Add libxvmcnvidia1 package for the libXvMCNVIDIA*.so.1 library that was
    previously included in libgl1-nvidia-glx. The libgl1-nvidia-glx package
    was split in order to remove the libxvmc1 dependency and make it multiarch
    co-installable.  (Closes: #676723, #685054, #686033, #688714)

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 20 Dec 2012 19:35:54 +0100

nvidia-graphics-drivers (304.64-2) unstable; urgency=low

  * Always use the upstream changelog from the x86_64 release to avoid minor
    differences causing multiarch conflicts.  (Closes: #692644)

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 08 Nov 2012 19:48:43 +0100

nvidia-graphics-drivers (304.64-1) unstable; urgency=low

  * New upstream long lived branch release 304.64 (2012-11-06).
    - Fixed a regression in backlight control functionality on some
      notebook configurations.
    - Fixed a performance issue with recent Linux kernels when allocating
      and freeing system memory.
    - Fixed a bug that prevented X driver gamma manipulation from working
      after a VT-switch on some configurations.
    - Added the option "--output-file" to nvidia-bug-report.sh to allow
      specifying a custom filename for the log file.
    - Fixed a hang when using OpenGL programs with some SLI Mosaic
      configurations on pre-Fermi GPUs.
    - Added sections to the "Supported NVIDIA GPU Products" list for NVS,
      Tesla, and VGX products.
    - Added support for the following GPUs: VGX K1, VGX K2, Tesla K20c,
      Tesla K20m.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * conftest.h: Implement new conftest.sh function set_memory_array_uc.
  * build-module-packages.sh: Build modules only for the variant (current or
    legacy-abcxx) that shipped the script.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 07 Nov 2012 10:14:11 +0100

nvidia-graphics-drivers (304.60-1) unstable; urgency=low

  * New upstream long lived branch release 304.60 (2012-10-18).
    - Fixed a bug that caused the EIZO FlexScan SX2762W monitor to remain blank
      when connected via DisplayPort.
    - Fixed a bug that caused applications to stop rendering or the X server to
      hang in Xinerama configurations when windows were moved, resized, mapped,
      or unmapped.
    - Fixed a bug that caused poor OpenGL performance on GeForce 6 and 7 PCI
      cards.
    - Fixed a bug that caused the X server to crash if a display was put into
      DPMS off mode and subsequently re-enabled while screen transformations
      are in use.
    - Fixed a bug that caused the X Resize and Rotate extension to be enabled
      when Xinerama is enabled.  These two X extensions are incompatible and
      having them both enabled can confuse window managers such as KDE's kwin.
      RandR is now correctly disabled when Xinerama is enabled.
    - Fixed a bug causing OpenGL stereo applications to not work properly
      when using passive stereo modes 5 through 9 on Quadro Fermi and newer
      GPUs.
    - Added support for the "Backlight" RandR output property for
      configuring the brightness of some notebook internal panels.
    - Fixed a bug that prevented the Ubuntu Unity launcher panel from
      revealing: https://bugs.launchpad.net/unity/+bug/1057000
    - Fixed a bug that caused incorrect input transformation after resizing
      an NVIDIA X screen with xserver ABI 12 (xorg-server 1.12) or newer.
    - Fixed a bug that caused GLX to leak memory when Xinerama is
      enabled.

  [ Andreas Beckmann ]
  * Upload to unstable.
  * Restrict watch file to releases from the 304.xx long lived branch.
  * libgl1-nvidia-glx:i386: Breaks: ia32-libs (<< 1:0), versioning was fixed.
  * Fix missing legacy substitution.
  * Revert libxvmc1 dependency downgrade HACK.
  * libgl1-nvidia-glx: Stop shipping libXvMCNVIDIA*.so.1 to avoid dependency
    on libxvmc1 (which is not yet converted to multiarch, see #640499), making
    libgl1-nvidia-glx multiarch co-installable.
  * conftest.h:
    - Implement checks for linux/efi.h and linux/nvmap.h (310.14).
    - Implement new conftest.sh functions outer_flush_all, nvmap_support, and
      efi_enabled (310.14).

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 20 Oct 2012 18:41:50 +0200

nvidia-graphics-drivers (304.51-1) experimental; urgency=low

  * New upstream long lived branch release 304.51 (2012-09-24).
    - Added support for the following GPUs: GeForce GT 645M,
      GeForce GTX 670MX, GeForce GTX 675MX, GeForce GTX 650 Ti.
    - Added support for the new Quadro Sync board for Quadro Kepler GPUs.
      See the "Configuring Frame Lock and Genlock" chapter in the README
      for details.
    - Fixed an X server crash on X.Org xserver 1.13 when it is compiled
      without support for DRI2.
    - Fixed a regression that broke color controls on older X servers.
    - Fixed a bug that prevented panning from working correctly after a
      mode switch on some X servers with support for cursor constraining.
    - Gamma ramp and colormap adjustments now apply correctly when screen
      transformations such as rotation and keystone correction are in use.
    * Closes: #688660.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Upload to experimental.

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 27 Sep 2012 08:25:18 +0200

nvidia-graphics-drivers (304.48-2) unstable; urgency=low

  * libgl1-nvidia-glx-ia32: readd Depends: libgl1-nvidia-alternatives-ia32 to
    prevent apt from removing libgl1-nvidia-alternatives-ia32 (which would
    remove the diversions) while the old (pre-transitional)
    libgl1-nvidia-glx-ia32 is still installed.  (Closes: #688659)
  * get-orig-source: Fix caching for legacy drivers.
  * bug-control: Report version info about revived
    libgl1-nvidia-legacy-96xx-glx-ia32.
  * libgl1-nvidia-glx:i386: Apply crude HACK to downgrade libxvmc1 dependency
    to Recommends. Fixes multiarch installation of libgl1-nvidia-glx:amd64
    with libgl1-nvidia-glx:i386. (See: #676723, #685054, #686033, #688714)
    A proper fix will be splitting libxvmcnvidia1 from libgl1-nvidia-glx.
  * Upgrade nvidia-settings relationship from Suggests to Recommends and use a
    substvar for the name of the compatible nvidia-settings package.
  * libgl1-nvidia-glx:i386: Add Breaks: ia32-libs (= 20120926) as the version
    in squeeze-proposed-updates is now newer than the version in sid.
  * There is no need to exclude squeeze-backports from using xz compression.
  * Update lintian overrides.

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 27 Sep 2012 07:52:51 +0200

nvidia-graphics-drivers (304.48-1) unstable; urgency=low

  * New upstream long lived branch release 304.48 (2012-09-11).
    - Fixed RandR per-CRTC gamma persistence across mode-switches and
      VT-switches.
    - Fixed a bug that caused the X server to sometimes hang in response to
      input events.  (Closes: #684941)
    - Fixed a reduction in rendering performance for core X11 rendering on
      certain GPUs that occurred in the 290.* series of releases.
    - Fixed a bug that prevented PowerMizer from working correctly on
      some boards with GDDR5 memory, such as some GeForce GT 240 SKUs.
    - Added support for the following GPUs: GeForce GTX 660, GeForce GTX 650.
    - Fixed a bug that caused OpenGL applications to not animate properly
      when a rotation or a transformation was applied on some older X
      server versions.
    - Enabled FXAA with Unified Back Buffers.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update symbols control files.
  * get-orig-source: Skip downloading if cached files are in ../.cache/
  * Switch .deb compression to xz, saves 13 MB (24 %) on amd64.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 12 Sep 2012 12:23:09 +0200

nvidia-graphics-drivers (304.43-1) unstable; urgency=low

  * New upstream long lived branch release 304.43 (2012-08-27).
    - Fixed a bug that caused pre-release versions of X.Org xserver 1.13 to
      crash when certain GLX operations were performed, such as when starting
      Firefox.
    - Fixed a bug that caused VDPAU to hang when expanding the YouTube
      Flash Player.
    - Fixed a bug that prevented the display palette from being updated
      immediately after an application called XStoreColors.
    - Added support for the following GPUs: GeForce GTX 660 Ti,
      Quadro K5000, Quadro K5000M, Quadro K4000M, Quadro K3000M, NVS 510.
    * Closes: #684123.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * conftest.h:
    - Implement check for linux/screen_info.h (302.17).
    - Implement check for linux/kconfig.h (304.30).
    - Implement new conftest.sh function acpi_os_wait_events_complete
      (304.43).
  * 3.6_kernel.patch: Remove, fixed upstream.
  * bug-control: Report installed versions of libgl1-nvidia-alternatives-ia32,
    libgl1-nvidia{,-legacy-173xx}-glx-ia32, and ia32-libs.
  * libgl1-nvidia-glx: The 302+ drivers add many features not supported by
    older releases of nvidia-settings, therefore add
    Breaks: nvidia-settings (<< 304), nvidia-settings-legacy-173
  * {libgl1-nvidia-glx,libcuda1,nvidia-vdpau-driver,nvidia-opencl-icd}-ia32:
    Add NEWS file describing the steps needed to install the multiarch :i386
    nvidia packages on amd64.

 -- Andreas Beckmann <debian@abeckmann.de>  Sun, 09 Sep 2012 04:11:49 +0200

nvidia-graphics-drivers (304.37-1) unstable; urgency=low

  * New upstream long lived branch release 304.37 (2012-08-13).
    - Removed the ability to enable SLI on GPUs with ECC enabled.
    - Fixed several bugs that prevented some RandR transform geometries from
      being applied.
    - Fixed a bug that caused frequent hangs or crashes on some systems.
      (Closes: #686092, #667684)
    - Fixed a bug that would cause corruption and performance issues in certain
      OpenGL applications such as Amnesia: The Dark Descent on GeForce 6 and 7
      GPUs.
  * New upstream release 295 series.
    * CVE-2012-4225  (Closes: 684781)
    - Implemented hotfix for a privilege escalation vulnerability reported on
      August 1, 2012.  For more details, see:
      https://nvidia.custhelp.com/app/answers/detail/a_id/3140

  [ Andreas Beckmann ]
  * nvidia-kernel-source: Add Built-Using attribute to the generated module
    packages to record the exact versions of linux and nvidia-graphics-drivers
    that were used during the build.
  * libgl1-nvidia-glx:i386: Add Breaks: ia32-libs (<< 20120701) because that
    is shipping /usr/lib32/libGL.so.1 which gets no longer diverted away.
  * 3.6_kernel.patch: New patch to fix compilation with Linux 3.6, taken from
    rpmfusion.  (Closes: #684486)
  * nvidia-kernel-dkms: Set Multi-Arch: foreign (instead of allowed).
  * Add nvidia-kernel-dkms (= ${binary:Version}) as preferred alternative to
    (virtual) nvidia-kernel-${nvidia:Version}.  (Closes: #684782)
  * Upload to unstable.

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 14 Aug 2012 09:36:31 +0200

nvidia-graphics-drivers (304.32-1) experimental; urgency=low

  * New upstream beta 304.32 (2012-08-03).
    - Fixed a bug that caused applications that use DirectColor visuals, such as
      Enemy Territory: Quake Wars and Braid, to appear in shades of blue instead
      of the correct colors.  (Closes: #683758)
    - Modified handling of RRSetScreenSize requests to ignore requests that
      do not actually resize the screen.  This reduces screen flicker in certain
      cases when using GNOME.

  [ Andreas Beckmann ]
  * debian/rules: get-orig-source: Make --pasv overridable.
  * Add xorg-video-abi-13 as alternative dependency.
  * Update symbols control files.

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 04 Aug 2012 14:41:00 +0200

nvidia-graphics-drivers (304.30-2) experimental; urgency=low

  * Disable patch-3.0-rt-nvidia.patch, no longer needed.
  * Add legacy qualification to nvidia-settings suggestion.
  * nvidia-opencl-icd: Ship new library libnvidia-opencl.so.1 and tighten
    dependency on nvidia-opencl-common and libnvidia-compiler.
    (Closes: #683678)

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 03 Aug 2012 13:41:12 +0200

nvidia-graphics-drivers (304.30-1) experimental; urgency=low

  * New upstream beta 304.30 (2012-07-30).
    - Added support for xserver ABI 13 (xorg-server 1.13).
    - Added support for RandR per-CRTC gamma manipulation through the
      RandR 1.2 RRGetCrtcGammaSize, RRGetCrtcGamma, and RRSetCrtcGamma
      requests.
    - Fixed a bug that caused RRSetOutputPrimary requests to incorrectly
      generate BadValue errors when setting the primary output to None.  This
      caused gnome-settings-daemon to crash after changing the screen
      configuration in response to a display hotplug or the display change
      hot-key being pressed.
    - Fixed a problem where RENDER Glyphs operations would exhibit severe
      performance issues in certain cases, such as when used with gradients
      by Cairo and Chromium.
    - Fixed a bug that caused X to hang when resuming certain DisplayPort
      display devices (such as Apple brand mini-DisplayPort to dual-link DVI
      adapters) from power-saving mode.
    - Added support for the following GPU: Tesla K10.
    - Fixed a bug that caused an X screen to be extended to Quadro SDI Output
      devices by default.  An X screen will still use an SDI Output device if
      it is the only display device available.  To use a SDI Output device on
      an X screen with other display devices available, include the SDI Output
      device with either the "UseDisplayDevice" or "MetaMode" X configuration
      options.
    - Updated X11 modeline validation such that modes not defined in a
      display device's EDID are discarded if the EDID 1.3 "GTF Supported"
      flag is unset or if the EDID 1.4 "Continuous Frequency" flag is
      unset.  The new "AllowNonEdidModes" token for the ModeValidation
      X configuration option can be used to disable this new check.
    - Fixed a bug, introduced in the 295.xx release series, with EDID
      detection on some laptop internal panels.  This bug caused the
      laptop internal panel to show six small copies of the desktop.
      (Closes: #681453)
    - Added support for FXAA, Fast Approximate Anti-Aliasing.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update symbols control files.
  * xserver-xorg-video-nvidia.postrm: Do not fail if the debconf templates
    from nvidia-support are not available.

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 31 Jul 2012 11:36:58 +0200

nvidia-graphics-drivers (304.22-1) experimental; urgency=low

  * New upstream beta 304.22 (2012-07-13).
    - Added support for the following GPUs: GeForce GTX 680M, Quadro K1000M,
      Quadro K2000M.
    - Enhanced the functionality of the IncludeImplicitMetaModes X
      configuration option:
      + Implicit MetaModes will be added for the primary display device,
        even if multiple display devices are in use when X is initialized.
      + Implicit MetaModes will be added for common resolutions, even
        if there isn't a mode with that resolution in the mode pool of
        the display device.
      + Extended the syntax of the IncludeImplicitMetaModes X
        configuration option, e.g., to control which display device is
        used for creation of implicit MetaModes.
      See the description of the IncludeImplicitMetaModes X configuration
      option in the README for details.
